diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 600363f..a1f77c6 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -13,6 +13,7 @@ The third section sorts papers by topic.
 
 \section{Linear Algebra} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Unpublished{Kalt01,
   author = "Kaltofen, E.",
@@ -20,11 +21,34 @@ The third section sorts papers by topic.
            over finite fields (Invited talk)",
   year = "2001",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/01/Ka01_Fq6.pdf",
-  paper = "Kalt01.pdf"
+  paper = "Kalt01.pdf",
+  keywords = "survey",
+  abstract = "
+    Sparse and structured matrices over finite fields occur in many
+    settings.  Sparse linear systems arise in sieve-based integer factoring
+    and discrete logarithm algorithms. Structured matrices arise in
+    polynomial factoring algorithms; one example is the famous Q-matrix
+    from Berlekamp's method.  Sparse diophantine linear problems, like
+    computing the Smith canonical form of an integer matrix or computing
+    an integer solution to a sparse linear system, are reduced via p-adic
+    lifting to sparse matrix analysis over a finite field.
+
+    In the past 10 years there has been substantial activity on the
+    improvement of a solution proposed by Wiedemann in 1986. The main new
+    ingredients are faster pre-conditioners, projections by an entire
+    block of random vectors, Lanczos recurrences, and a connection to
+    Kalman realizations of control theory. My talk surveys these
+    developments and describe some major unresolved problems."
 }
 
 \end{chunk}
 
+\index{Chen, L.}
+\index{Eberly, W.}
+\index{Kaltofen, Erich}
+\index{Saunders, B. David}
+\index{Turner, W. J.}
+\index{Villard, Gilles}
 \begin{chunk}{axiom.bib}
 @Article{Chen02,
   author = "Chen, L. and Eberly, W. and Kaltofen, E.
@@ -35,11 +59,30 @@ The third section sorts papers by topic.
   volume = "343--344",
   pages = "119--146",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/02/CEKSTV02.pdf",
-  paper = "Chen02.pdf"
+  paper = "Chen02.pdf",
+  abstract = "
+    The main idea of the ``black box'' approach in exact linear algebra is
+    to reduce matrix problems to the computation of minimum polynomials.
+    In most cases preconditioning is necessary to obtain the desired
+    result.  Here good preconditioners will be used to ensure geometrical
+    / algebraic properties on matrices, rather than numerical ones, so we
+    do not address a condition number. We offer a review of problems for
+    which (algebraic) preconditioning is used, provide a bestiary of
+    preconditioning problems, and discuss several preconditioner types to
+    solve these problems.  We present new conditioners, including
+    conditioners to preserve low displacement rank for Toeplitz-like
+    matrices. We also provide new analyses of preconditioner performance
+    and results on the relations among preconditioning problems and with
+    linear algebra problems.  Thus, improvements are offered for the
+    efficiency and applicability of preconditioners. The focus is on
+    linear algebra problems over finite fields, but most results are valid
+    for entries from arbitrary fields."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Storjohann, Arne}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt11d,
   author = "Kaltofen, Erich and Storjohann, Arne",
@@ -48,11 +91,24 @@ The third section sorts papers by topic.
   crossref = "EACM",
   year = "2011",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/11/KS11.pdf",
-  paper = "Kalt11d.pdf"
+  paper = "Kalt11d.pdf",
+  abstract = "
+    Computational problems in exact linear algebra including computing an
+    exact solution of a system of linear equations with exact scalars,
+    which can be exact rational numbers, integers modulo a prime number,
+    or algebraic extensions of those represented by their residues modulo
+    a minimum polynomial. Classical linear algebra problems are computing
+    for a matrix its rank, determinant, characteristic and minimal
+    polynomial, and rational canonical form (= Frobenius normal form). For
+    matrices with integer and polynomial entries one computes the Hermite
+    and Smith normal forms. If a rational matrix is symmetric, one
+    determines if the matrix is definite."
 }
 
 \end{chunk}
 
+\index{Comer, Matthew T.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Come12,
   author = "Comer, Matthew T. and Kaltofen, Erich L.",
@@ -65,11 +121,27 @@ The third section sorts papers by topic.
   number = "4",
   pages = "480--491",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/10/CoKa10.pdf",
-  paper = "Come12.pdf"
+  paper = "Come12.pdf",
+  abstract = "
+    We derive an explicit count for the number of singular $n\times n$
+    Hankel (Toeplitz) matrices whose entries range over a finite field
+    with $q$ elements by observing the execution of the Berlekamp / Massey
+    algorithm on its elements. Our method yields explicit counts also when
+    some entries above or on the anti-diagonal (diagonal) are fixed. For
+    example, the number of singular $n\times n$ Toeplitz matrices with 0's
+    on the diagonal is $q^{2n-3}+q^{n-1}-q^{n-2}$.
+
+    We also derive the count for all $n\times n$ Hankel matrices of rank
+    $r$ with generic rank profile, I.e., whose first $r$ leading principal
+    submatrices are non-singular and the rest are singular, namely
+    $q^r(q-1)^r$ in the case $r < n$ and $q^{r-1}(q-1)^r$ in the case
+    $r=n$.  This result generalizes to block-Hankel matrices as well."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yuhasz, George}
 \begin{chunk}{axiom.bib}
 @Article{Kalt13a,
   author = "Kaltofen, Erich and Yuhasz, George",
@@ -81,11 +153,23 @@ The third section sorts papers by topic.
   month = "November",
   pages = "2515--2526",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/08/KaYu08.pdf",
-  paper = "Kalt13a.pdf"
+  paper = "Kalt13a.pdf",
+  abstract = "
+    We describe a fraction free version of the Matrix Berlekamp / Massey
+    algorithm. The algorithm computes a minimal matrix generator of
+    linearly generated square matrix sequences over an integral
+    domain. The algorithm performs all operations in the integral domain,
+    so all divisions performed are exact. For scalar sequences, the matrix
+    algorithm specializes to a more efficient algorithm than the algorithm
+    currently in the literature.  The proof of integrality of the matrix
+    algorithm gives a new proof of integrality for the scalar
+    specialization."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yuhasz, George}
 \begin{chunk}{axiom.bib}
 @Article{Kalt13,
   author = "Kaltofen, Erich and Yuhasz, George",
@@ -96,11 +180,23 @@ The third section sorts papers by topic.
   month = "September",
   journal = "ACM Trans. Algorithms",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/06/KaYu06.pdf",
-  paper = "Kalt13.pdf"
+  paper = "Kalt13.pdf",
+  abstract = "
+    We analyze the Matrix Berlekamp / Massey algorithm, which generalizes
+    the Berlekamp / Massey algorithm [Massey 1969] for computing linear
+    generators of scalar sequences. The Matrix Berlekamp / Massey
+    algorithm computes a minimal matrix generator of a linearly generated
+    matrix sequence and has been first introduced by Rissanen [1972a],
+    Dickinson et al. [1974], and Coppersmit [1994]. Our version of the
+    algorithm makes no restrictions on the rank and dimensions of the
+    matrix sequence. We also give new proofs of correctness and complexity
+    for the algorithm, which is based on self-contained loop invariants
+    and includes an explicit termination criterion for a given
+    determinantal degree bound of the minimal matrix generator" 
 }
-
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt02a,
   author = "Kaltofen, Erich",
@@ -116,6 +212,8 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Villard, Gilles}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt01a,
   author = "Kaltofen, E. and Villard, G.",
@@ -127,11 +225,29 @@ The third section sorts papers by topic.
   isbn = "981-02-4763-X",
   year = "2001",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/01/KaVi01.pdf",
-  paper = "Kalt01a.pdf"
+  paper = "Kalt01a.pdf",
+  abstract = "
+    The computation of the determinant of an $n\times n$ matrix $A$ of
+    numbers or polynomials is a challenge for both numerical and symbolic
+    methods. Numerical methods, such as Clarkson's algorithm [10,7] for
+    the sign of the determinant must deal with conditionedness that
+    determines the number of mantissa bits necessary for obtaining a
+    correct sign. Symbolic algorithms that are based on Chinese
+    remaindering [6,17,Chapter 5.5] must deal with the fact that the
+    length of the determinant in the worse case grows linearly in the
+    dimension of the matrix. Hence the number of modular operations is $n$
+    times the number of arithmetic operations in a given algorithm.
+    Hensel lifting combined with rational number recovery [14,1] has cubic
+    bit complexity in $n$, but the algorithm can only determine a factor
+    of the determinant, namely the largest invariant factor. If the matrix
+    is similar to a multiple of the identity matrix, the running time is
+    again that of Chinese remaindering."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Villard, Gilles}
 \begin{chunk}{axiom.bib}
 @Article{Kalt04a,
   author = "Kaltofen, Erich and Villard, Gilles",
@@ -148,6 +264,8 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Eberly, W.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt97b,
   author = "Eberly, W. and Kaltofen, E.",
@@ -157,14 +275,62 @@ The third section sorts papers by topic.
   crossref = "ISSAC97",
   pages = "176--183",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/97/EbKa97.pdf",
-  paper = "Kalt97b.pdf"
-
-}
-
-\end{chunk}
-
-\begin{chunk}{axiom.bib}
-@InProceedings{Kalt94b,
+  paper = "Kalt97b.pdf",
+  abstract = "
+    Las Vegas algorithms that are based on Lanczo's method for solving
+    symmetric linear systems are presented and analyzed. These are
+    compared to a similar randomized Lanczos algorithm that has been used
+    for integer factorization, and to the (provably reliable) algorithm of
+    Wiedemann. The analysis suggests that our Lanczos algorithms are
+    preferable to several versions of Wiedemann's method for computations
+    over large fields, expecially for certain symmetric matrix
+    computations."
+}
+
+\end{chunk}
+
+The Sylvester matrix is used to compute the {\bf resultant} of two
+polynomials. The Sylvester matrix is formed from the coefficients of
+the two polynomials. Given a polynomial with degree $m$ and another of
+degree $n$ form an $(m+n)\times(m+n)$ matrix by filling the matrix
+from the upper left corner with the coefficients of the first
+polynomial then shifting down one row and one column to the right and
+filling in the coefficients starting there until they hit the right
+column.  Starting at the next row, do the same process for the second
+polynomial.  The determinant of this matrix is the {\bf resultant} of
+the two polynomials.
+
+For example, given $a_3x^3+a_2x^2+a_1x+a_0$ and $b_2x^2+b_1x+b_0$
+the Sylvester matrix is a $(3+2)\times(3+2)$ matrix:
+\[\left[\begin{array}{ccccc}
+a_3 & a_2 & a_1 & a_0 & 0\\
+0 & a_3 & a_2 & a_1 & a_0\\
+b_2 & b_1 & b_0 & 0 & 0\\
+0 & b_2 & b_1 & b_0 & 0\\
+0 & 0 & b_2 & b_1 & b_0
+\end{array}\right]\]
+
+The resultant of these two polynomials (assuming a leading coefficient
+of 1), is the product of the differences $p_i-q_i$ between the roots
+of the polynomials. If there are roots in common then the product
+will contain a 0 and the whole equation reduces to 0. This can be
+used to determine if two polynomials have common roots.
+
+For example, given a polynomial in $x$ with distinct roots $a_1$ 
+and $a_2$ it can be factored as $t1:=(x-a_1)(x-a_2)$. 
+
+Given a second polynomial in $x$ with distinct roots $b_1$, $b_2$, 
+and $b_3$ it can be factored as $t2:=(x-b_1)(x-b_2)(x-b_3)$.
+
+The Axiom call of $resultant(t1,t2,x)$ is
+\[ (b_1-a_2)(b_1-a_1)(b_2-a_2)(b_2-a_1)(b_3-a_2)(b_3-a_1) \]
+
+In symbolic form the resultant can show the multiplicity of roots
+when shown in factored form.
+
+\index{Kaltofen, Erich}
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt94c,
   author = "Kaltofen, E.",
   title = "Asymptotically fast solution of {Toeplitz}-like singular 
            linear systems",
@@ -173,14 +339,30 @@ The third section sorts papers by topic.
   crossref = "ISSAC94",
   year = "1994",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/94/Ka94_issac.pdf",
-  paper = "Kalt94b.pdf"
+  paper = "Kalt94c.pdf",
+  abstract = "
+    The Toeplitz-likeness of a matrix (Kailath et al. 1979) is the
+    generalization of the notion that a matrix is Toeplitz. Block matrices
+    with Toeplitz blocks, such as the Sylvester matrix corresponding to
+    the resultant of two univariate polynomials, are Toeplitz-like, as are
+    products and inverses of Toeplitz-like matrices. The displacement rank
+    of a matrix is a measure for the degree of being Toeplitz-like. For
+    example, an $r\times s$ block matrix with Toeplitz blocks has
+    displacement rank $r+s$ whereas a generic $N\ximtes N$ matrix has
+    displacement rank $N$.  A matrix of displacement rank $\alpha$ can be
+    implicitly represented by a sum of $\alpha$ matrices, each of which is
+    the product of a lower trainagular and an upper triangular Toeplitz
+    matrices. Such a $\sigmaLU$ representation can usually be obtained
+    efficiently."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lobo, A.}
 \begin{chunk}{axiom.bib}
 @Article{Kalt99,
-  author = "Kaltofen, E. and Lobo, A",
+  author = "Kaltofen, E. and Lobo, A.",
   title = "Distributed matrix-free solution of large sparse linear systems over
            finite fields",
   journal = "Algorithmica",
@@ -190,11 +372,27 @@ The third section sorts papers by topic.
   volume = "24",
   number = "3--4",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/99/KaLo99.pdf",
-  paper = "Kalt99.pdf"
+  paper = "Kalt99.pdf",
+  abstract = "
+    We describe a coarse-grain parallel approach for the homogeneous
+    solution of linear systems. Our solutoins are symbolic, i.e., exact
+    rather than numerical approximations. We have performed an outer loop
+    parallelization that works well in conjunction with a black box
+    abstraction for the coefficient matrix. Our implementation can be run
+    on a network cluster of UNIX workstations as well as on an SP-2
+    multiprocessor. Task distribution and management are effected through
+    MPI and other packages. Fault tolerance, checkpointing, and recovery
+    are incorporated. Detailed timings are presented for experiments with
+    systems that arise in RSA challenge integer factoring efforts. For
+    example, we can solve a 252,222$\times$252,222 system with about 11.04
+    million nonzero entries over the Galois field with two elements using
+    four processors of an SP-2 multiprocessor, in about 26.5 hours CPU time."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lobo, A.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt96a,
   author = "Kaltofen, E. and Lobo, A.",
@@ -208,11 +406,23 @@ The third section sorts papers by topic.
   publisher = "Simulation Councils, Inc.",
   address = "San Diego, CA",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_hpc.pdf",
-  paper = "Kalt96a.pdf"
+  paper = "Kalt96a.pdf",
+  abstract = "
+    We describe a coarse-grain parallel software system for the
+    homogeneous solution of linear systems. Our solutions are symbolic,
+    i.e., exact rather than numerical approximations. Our implementation
+    can be run on a network cluster of SPARC-20 computers and on an SP-2
+    multiprocessor.  Detained timings are presented for experiments with
+    systems that arise in RSA challenge integer factoring efforts. For
+    example, we can solve a 252,222$\times$252,222 system with about 11.04
+    million non-zero entries over the Galois field with 2 elements using 4
+    processors of an SP-2 multiprocessor, in about 26.5 hours CPU time."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lobo, A.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt94a,
   author = "Kaltofen, E. and Lobo, A.",
@@ -223,11 +433,22 @@ The third section sorts papers by topic.
   pages = "90--98",
   year = "1994",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/94/KaLo94.ps.gz",
-  paper = "Kalt94a.ps"
+  paper = "Kalt94a.ps",
+  abstract = "
+    Modern techniques for solving structured linear systems over finite
+    fields, which use the coefficient matrix as a black box and require an
+    efficient algorithm for multiplying this matrix by a vector, are
+    applicable to the classical algorithm for factoring a univariate
+    polynomial over a finite field by Berlekamp (1967 and 1970). We report
+    aon a computer implementation of this idea that is based on the
+    parallel block Wiedemann linear system solver (Coppersmit 1994 and
+    Kaltofen 1993 and 1995). The program uses randomization and we also
+    study the expected run time behavior of our method."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt95,
   author = "Kaltofen, E.",
@@ -239,11 +460,26 @@ The third section sorts papers by topic.
   number = "210",
   pages = "777--806",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_mathcomp.pdf",
-  paper = "Kalt95.pdf"
+  paper = "Kalt95.pdf",
+  abstract = "
+    By using projections by a block of vectors in place of a single vector
+    it is possible to parallelize the outer loop of iterative methods for
+    solving sparse linear systems. We analyze such a scheme proposed by
+    Coppersmith for Wiedemann's coordinate recurrence algorithm, which is
+    based in part on the Krylov subspace approach. We prove that by use of
+    certain radomizations on the input system the parallel speed up is
+    roughly by the number of vectors in the blocks when using as many
+    processors. Our analysis is valid for fields of entries that have
+    sufficiently large cardinality. Our analysis also deals with an
+    arising subproblem of solving a singular block Toeplitz system by use
+    of the theory of Toeplitz-like matrices."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Krishnamoorthy, M.S.}
+\index{Saunders, B. David}
 \begin{chunk}{axiom.bib}
 @Article{Kalt90a,
   author = "Kaltofen, E. and Krishnamoorthy, M.S. and Saunders, B.D.",
@@ -253,11 +489,30 @@ The third section sorts papers by topic.
   volume = "136",
   pages = "189--208",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/90/KKS90.pdf",
-  paper = "Kalt90a.pdf"
+  paper = "Kalt90a.pdf",
+  abstract = "
+    Here we offer a new randomized parallel algorithm that determines the
+    Smith normal form of a matrix with entries being univariate
+    polynomials with coefficients in an arbitrary field. The algorithm has
+    two important advantages over our previous one: the multipliers
+    related the Smith form to the input matrix are computed, and the
+    algorithm is probabilistic of Las Vegas type, i.e., always finds the
+    correct answer. The Smith form algorithm is also a good sequential
+    algorithm. Our algorithm reduces the problem of Smith form
+    computations to two Hermite form computations.  Thus the Smith form
+    problem has complexity asymptotically that of the Hermite form
+    problem. We also construct fast parallel algorithms for Jordan normal
+    form and testing similarity of matrices. Both the similarity and
+    non-similarity problems are in the complexity class RNC for the usual
+    coefficient fields, i.e., they can be probabilistically decided in
+    poly-logarithmic time using polynomially many processors."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Krishnamoorthy, M.S.}
+\index{Saunders, B. David}
 \begin{chunk}{axiom.bib}
 @Article{Kalt87,
   author = "Kaltofen, E. and Krishnamoorthy, M.S. and Saunders, B.D.",
@@ -268,11 +523,23 @@ The third section sorts papers by topic.
   volume = "8",
   pages = "683--690",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/87/KKS87.pdf",
-  paper = "Kalt87.pdf"
+  paper = "Kalt87.pdf",
+  abstract = "
+    Boolean circuits of polynomial size and poly-logarithmic depth are
+    given for computing the Hermite and Smith normal forms of polynomial
+    matrices over finite fields and the field of rational numbers. The
+    circuits for the Smith normal form computation are probabilistic ones
+    and also determine very efficient sequential algorithms. Furthermore,
+    we give a polynomial-time deterministic sequential algorithm for the
+    Smith normal form over the rationals. The Smith normal form algorithms
+    are applied to the Rational canonical form of matrices over finite
+    fields and the field of rational numbers."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Pan, V.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt92,
   author = "Kaltofen, E. and Pan, V.",
@@ -284,11 +551,24 @@ The third section sorts papers by topic.
   publisher = "IEEE Computer Society Press",
   address = "Los Alamitos, California",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/92/KaPa92.pdf",
-  paper = "Kalt92.pdf"
+  paper = "Kalt92.pdf",
+  abstract = "
+    We show that over any field, the solution set to a system of $n$
+    linear equations in $n$ unknowns can be computed in parallel with
+    randomization simultaneously in poly-logarithmic time in $n$ and with
+    only as many processors as are utilized to multiply two $n\times n$
+    matrices. A time unit represents an arithmetic operation in the
+    field. For singular systems our parallel timings are asymptotically as
+    fast as those for non-singular systems, due to our avoidance of binary
+    search in the matrix rank problem, except when the field has small
+    positive characteristic; in that case, binary search is avoided to a
+    somewhat higher processor count measure."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Pan, V.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt91c,
   author = "Kaltofen, E. and Pan, V.",
@@ -300,11 +580,25 @@ The third section sorts papers by topic.
   year = "1991",
   address = "New York, N.Y.",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/KaPa91.pdf",
-  paper = "Kalt91c.pdf"
+  paper = "Kalt91c.pdf",
+  abstract = "
+    Parallel randomized algorithms are presented that solve
+    $n$-dimensional systems of linear equations and compute inverses of
+    $n\times n$ non-singular matrices over a field in $O((log n)^2)$ time,
+    where each time unit represents an arithmetic operation in the field
+    generated by the matrix entries. The algorithms utilize with a $O(log n)$
+    factor as many processors as are needed to multiply two $n\times n$
+    matrices. The algorithms avoid zero divisions with controllably
+    high probability provided the $O(n)$ random elements used are selected
+    uniformly from a sufficiently large set. For fields of small positive
+    characteristics, the processor count measures of our solutions are
+    somewhat higher."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Saunders, B. David}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt91,
   author = "Kaltofen, E. and Saunders, B.D.",
@@ -317,13 +611,39 @@ The third section sorts papers by topic.
   publisher = "Springer-Verlag",
   year = "1991",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/KaSa91.pdf",
-  paper = "Kalt91.pdf"
+  paper = "Kalt91.pdf",
+  abstract = "
+    Douglas Wiedemann's (1986) landmark approach to solving sparse linear
+    systems over finite fields provides the symbolic counterpart to
+    non-combinatorial numerical methods for solving sparse linear systems,
+    such as the Lanczos or conjugate gradient method (see Golub and van
+    Load (1983)). The problem is to solve a sparse linear system, when the
+    individual entries lie in a generic field, and the only operations
+    possible are field arithmethic; the solution is to be exact. Such is
+    the situation, for instance, if one works in a finite field. Wiedemann
+    bases his approach on Krylov subspaces, but projects further to a
+    sequence of individual field elements. By making a link to the
+    Berlekamp / Massey problem from coding theory -- the coordinate
+    recurrences -- and by using randomization an algorithm is obtained
+    with the following property. On input of an $n\times n$ coefficient
+    matrix $A$ given by a so-called black box, which is a program that can
+    multiply the matrix by a vector (see Figure 1), and of a vector $b$,
+    the algorithm finds, with high probability in case the system is
+    solvable, a random solution vector $x$ with $Ax=b$. It is assumed that
+    the field has sufficiently many elements, say no less than $50n^2
+    log(x)$, otherwise one goes to a finite algebraic extension. The
+    complexity of the method is in the general singular case $O(n log
+    (n))$ calls to the black box for $A$ and an additional $O(n^2
+    log(n)^2)$ field arithmetic operations."
 }
 
 \end{chunk}
 
 \section{Algebraic Algorithms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Diaz, A.}
+\index{Kaltofen, Erich}
+\index{Pan, V.}
 \begin{chunk}{axiom.bib}
 @InCollection{Diaz97,
   author = "Diaz, A. and Kaltofen, E. and Pan, V.",
@@ -337,11 +657,29 @@ The third section sorts papers by topic.
   chapter = "10",
   keywords = "survey",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/97/DKP97.ps.gz",
-  paper = "Diaz97.ps"
+  paper = "Diaz97.ps",
+  abstract = "
+    The title's subject is the algorithmic approach to algebra: arithmetic
+    with numbers, polynomials, matrices, differential polynomials, such as
+    $y^{\prime\prime} + (1/2 + x^4/4)y$, truncated series, 
+    and algebraic sets, i.e.,
+    quantified expressions such as $\exists x \in {\bf R}: x^4+p\cdot x+q=0$, 
+    which describes a subset of the two-dimensional space with
+    coordinates $p$ and $q$ for which the given quartic equation has a
+    real root.  Algorithms that manipulate such objects are the backbone
+    of modern symbolic mathematics software such as the Maple and
+    Mathematica systems, to name but two among many useful systems. This
+    chapter restricts itself to algorithms in four areas: linear matrix
+    algebra, root finding ov univariate polynomials, solution of systems
+    of nonlinear algebraic equations, and polynomial factorization."
 }
 
 \end{chunk}
 
+\index{Diaz, A.}
+\index{Emiris, I.}
+\index{Kaltofen, Erich}
+\index{Pan, V.}
 \begin{chunk}{axiom.bib}
 @InCollection{Diaz99,
   author = "Diaz, A. and Emiris, I. and Kaltofen, E. and Pan, V.",
@@ -355,11 +693,28 @@ The third section sorts papers by topic.
   isbn = "0-8493-2649-4",
   keywords = "survey",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/99/DEKP99.ps.gz",
-  paper = "Diaz99.ps"
+  paper = "Diaz99.ps",
+  abstract = "
+    The title's subject is the algorithmic approach to algebra: arithmetic
+    with numbers, polynomials, matrices, differential polynomials, such as
+    $y^n+(1/2+x^4/4)y$, truncated series, and algebraic sets, i.e.,
+    quantified expressions such as $\exists x \in {\bf R}: x^4+p\cdotx+q=0$, 
+    which describes a subset of the two-dimensional space with
+    coordinates $p$ and $q$ for which the given quartic equation has a
+    real root.  Algorithms that manipulate such objects are the backbone
+    of modern symbolic mathematics software such as the Maple and
+    Mathematica systems, to name but two among many useful systems. This
+    chapter restricts itself to algorithms in four areas: linear algebra,
+    root finding for univariate polynomials, solution of systems of
+    nonlinear algebraic equations, and polynomial factorization (see
+    section 5 on some pointers to the vast further material on algebraic
+    algorithms and section 2.2 and [Pan 1993] on further applications to
+    the graph and combinatorial computations)."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt87a,
   author = "Kaltofen, E.",
@@ -371,15 +726,30 @@ The third section sorts papers by topic.
   year = "1987",
   volume = "2",
   address = "Palo Alto, California",
-  keywords = "survey",
+  keywords = "survey,axiomref",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_annrev.pdf",
-  paper = "Kalt87a.pdf"
+  paper = "Kalt87a.pdf",
+  abstract = "
+    The origins of the discipline of computer algebra can be found in
+    Issac Newton's {\sl Universal Arithmetic} (1728) [130], where methods
+    for methods for manipulating universal mathematical expressions (i.e.
+    formulas containing symbolic indeterminates) and algorithms for
+    solving equations built with these expressions are systematically
+    discussed. One can interpret the misson of computer algebra as the
+    construction of computer systems that enable scientific or engineering
+    users, for instance, to carry out mathematical manipulation
+    automatically. Indeed, systems with this goal already exist, among
+    them {MACSYMA}, {MAPLE}, {muMATH}, {REDUCE}, {SAC/2}, {SCRATCHPAD/II},
+    and {SMP}. These systems carry out scientific computing tasks, whose
+    results are distinguished from numerical computing in two principle
+    aspects."
 }
 
 \end{chunk}
 
 \section{Sparse Linear Systems} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt96b,
   author = "Kaltofen, E.",
@@ -394,13 +764,32 @@ The third section sorts papers by topic.
   keywords = "survey",
   url = 
     "http://www.math.ncsu.edu/~kaltofen/bibliography/96/Ka96_stratagem.ps.gz",
-  paper = "Kalt96b.ps"
+  paper = "Kalt96b.ps",
+  abstract = "
+    The problem of solving a large sparse or structured system of linear
+    equations in the symbolic context, for instance when the coefficients
+    lie in a finite field, has arisen in several applications. A famous
+    example are the linear systems of ${\bf F}_2$, the field with 2
+    elements, that arise in sieve based integer factoring algorithms. For
+    example, for the factorization of the RSA-130 challenge number several
+    column dependencies of a $3504823\times 3516502$ matrix with an
+    average of $39.4.$ non-zero entries per column needed to be computed
+    [10]. A second example is the Berlekamp polynomial factorization
+    algorithm [6]. In that example, the matrix is not explicitly
+    constructed, but instead a fast algorithm for performing the matrix
+    times vector product is used. Further examples for such ``black box
+    matrices'' arise in the power series solutoin of algebraic or
+    differential equations by undetermined coefficients. The arising
+    linear systems for the coefficients usually have a distinct structure
+    that allows a fast coefficient matrix times vector product."
 }
 
 \end{chunk}
 
 \section{Matrix Determinants} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
+\index{Villard, Gilles}
 \begin{chunk}{axiom.bib}
 @Article{Kalt04,
   author = "Kaltofen, E. and Villard, G.",
@@ -414,7 +803,16 @@ The third section sorts papers by topic.
   year = "2004",
   keywords = "survey",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/02/KaVi02.pdf",
-  paper = "Kalt04.pdf"
+  paper = "Kalt04.pdf",
+  abstract = "
+    Computation of the sign of the determinant of a matrix and the
+    determiant itself is a challenge for both numerical and exact
+    methods. We survey the complexity of existing methods to solve these
+    problems when the input is an $n\times n$ matrix $A$ with integer
+    entries. We study the bit-complexities of the algorithms
+    asymptotically in $n$ and the norm $A$.  Existing approaches rely on
+    numerical approximate computations, on exact computations, or on both
+    types of arithmetic in combination."
 }
 
 \end{chunk}
@@ -422,6 +820,7 @@ The third section sorts papers by topic.
 
 \section{Open Problems} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt00,
   author = "Kaltofen, E.",
@@ -433,13 +832,39 @@ The third section sorts papers by topic.
   year = "2000",
   keywords = "survey",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/2K/Ka2K.pdf",
-  paper = "Kalt00.pdf"
+  paper = "Kalt00.pdf",
+  abstract = "
+    The success of the symbolic mathematical computation discipline is 
+    striking. The theoretical advances have been continuous and significant:
+    Gr{\"o}bner bases, the Risch integration algorithm, integer lattice 
+    basis reduction, hypergeometric summation algorithms, etc. From the
+    beginning in the early 60s, it has been the tradition of our discipline
+    to create software that makes our ideas readily available to a 
+    scientists, engineers, and education: {SAC-1}, {Reduce}, {Macsyma}, etc.
+    The commercial viability of our system products is proven by Maple and
+    Mathematica.
+
+    Today's user communities of symbolic computation systems are diverse:
+    educators, engineers, stock market anaysts, etc. The mathematics and
+    computer science in the design and implementation of our algorithms are
+    sophisticated. The research challenges in symbolic computation at the 
+    close of the 20th century are formidable.
+
+    I state my favorite eight open problems in symbolic computations. They
+    range from problems in symbolic /numeric computing, symbolic algorithm
+    synthesis, to system component construction. I have worked on seven of
+    my problems and borrowed one from George Collins. I present background
+    to each of my problems and a clear-cut test that evaluates whether a
+    proposed attack has solved one of my problems. An additional ninth
+    open problem by Rob Corless and David Jeffrey on complex function
+    semantics is given in an appendix."
 }
 
 \end{chunk}
 
 \section{Parallel Evaluation} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt93a,
   author = "Kaltofen, E.",
@@ -453,13 +878,29 @@ The third section sorts papers by topic.
   keywords = "survey",
   url = 
     "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_synthesis.ps.gz",
-  paper = "Kalt93a.ps"
+  paper = "Kalt93a.ps",
+  abstract = "
+    One generic parallel evaluation scheme for algebraic objects, that of
+    evaluating algebraic computation trees or formulas, is presented by
+    Miller in a preceding chapter of this book. However, there are basic
+    algebraic functions for which the tree model of computation seems not
+    sufficient to allow an eficient -- even sequential -- decision-free
+    algebraic computation. The formula model essentially restricts the use
+    of an intermediate result to a single place, because the parse tree
+    nodes have fan-out one. If an intermediate result participates in the
+    computations of several further nodes, in the tree model it must be
+    recomputed anew for each of these nodes. It is a small formal change
+    to allow node values to propagate to more than one node deeper level
+    of the computation. Thus we obtain the {\sl algebraic circuit model},
+    which is equivalent to the {\sl straight-line program model}."
 }
 
 \end{chunk}
 
 \section{Hybrid Symbolic/Numeric} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt06,
   author = "Kaltofen, Erich and Zhi, Lihong",
@@ -469,11 +910,41 @@ The third section sorts papers by topic.
   crossref = "ISSAC06",
   pages = "7",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/06/KaZhi06.pdf",
-  paper = "Kalt06.pdf"
-}
-
-\end{chunk}
-
+  paper = "Kalt06.pdf",
+  abstract = "
+    Several standard problems in symbolic computation, such as greatest
+    common divisors and factorization of polynomials, sparse
+    interpolation, or computing solutions to overdetermined systems of
+    polynomial equations have non-trivial solutions only if the input
+    coefficients satisfy certain algebraic constraints. Errors in the
+    coefficients due to floating point round-off or through physical
+    measurement thus render the exact symbolic algorithms unusable. By
+    symbolic-numeric methods one computes minimal deformations of the
+    coefficients that yield non-trivial results. We will present hybrid
+    algorithms and benchmark computations based on Gauss-Newton
+    optimazation, singular value decomposition (SVD) and
+    structure-preserving total least squares (STLS) fitting for several of
+    the above problems.
+
+    A significant body of results to solve those ``approximate computer
+    algebra'' problems has been discovered in the past 10 years. In the
+    Computer Algebra Handbook the section on ``Hybrid Methods'' concludes
+    as follows [2]: ``The challenge of hybrid symbolic-numeric algorithms
+    is to explore the effects of imprecision, discontinuity, and
+    algorithmic complexity by applying mathematical optimization,
+    perturbation theory, and inexact arithmetic and other tools in order
+    to solve mathematical problems that today are not solvable by
+    numeriiical or symbolic methods alone.'' The focus of our tutorial is
+    on how to formulate several approximate symbolic computation problems
+    as numerical problems in linear algebra and optimization and on
+    software that realizes their solutions."
+}
+
+\end{chunk}
+
+\index{Hutton, Sharon E.}
+\index{Kaltofen, Erich}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Hutt10,
   author = "Hutton, Sharon E. and Kaltofen, Erich L. and Zhi, Lihong",
@@ -485,11 +956,41 @@ The third section sorts papers by topic.
   pages = "227--234",
   month = "July",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/10/HKZ10.pdf",
-  paper = "Hutt10.pdf"
-}
-
-\end{chunk}
-
+  paper = "Hutt10.pdf",
+  abstract = "
+    We give a stability criterion for real polynomial inequalities with
+    floating point or inexact scalars by estimating from below or
+    computing the radius of semdefiniteness. That radious is the maximum
+    deformation of the polynomial coefficent vector measured in a weighted
+    Euclidean vector norm within which the inequality remains true. A
+    large radius means that the inequalities may be considered numerically
+    valid.
+
+    The radius of positive (or negative) semidefiniteness is the distance
+    to the nearest polynomial with a real root, which has been thoroughly
+    studied before. We solve this problem by parameterized Lagrangian
+    multipliers and Karush-Kuhn-Tucker conditions. Our algorithms can
+    compute the radius for several simultaneous inequalities including
+    possibly additional linear coefficient constraints. Our distance
+    measure is the weighted Euclidena coefficient norm, but we also
+    discuss several formulas for the weighted infinity and 1-norms.
+
+    The computation of the nearest polynomial with a real root can be
+    interpreted as a dual of Seidenberg's method that decides if a real
+    hypersurface contains a real point. Sums-of-squares rational lower
+    bound certificates for the radius of semidefinitesness provide a new
+    approach to solving Seidenberg's problem, especially when the
+    coeffcients are numeric. They also offer a surprising alternative
+    sum-of-squares proof for those polynomials that themselves cannot be
+    represented by a polynomial sum-of-squares but that have a positive
+    distance to the nearest indefinte polynomial."
+}
+
+\end{chunk}
+
+\index{Kaltofen, Erich}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt09,
   author = "Kaltofen, Erich and Yang, Zhengfeng and Zhi, Lihong",
@@ -500,11 +1001,24 @@ The third section sorts papers by topic.
   crossref = "SNC09",
   pages = "65--69",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/09/KYZ09.pdf",
-  paper = "Kalt09.pdf"
+  paper = "Kalt09.pdf",
+  abstract = "
+    For a proof of the monotone column permanent (MCP) conjecture for
+    dimension 4 it is sufficient to show that 4 polynomials, which come
+    rom the permanents of real marices, are nonnegative for all real
+    values of the variables, where the degrees and the number of the
+    variables of these polynomials are all 8. Here we apply a hybrid
+    symbolic-numerical algorithm for certifying that these polynomials can
+    be written as an exact fraction of two polynomial sums-of-squares
+    (SOS) with rational coefficients."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Li, Bin}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @Article{Kalt12,
   author = "Kaltofen, Erich L. and Li, Bin and Yang, Zhengfeng and 
@@ -519,11 +1033,35 @@ The third section sorts papers by topic.
   number = "1",
   pages = "1--15",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/09/KLYZ09.pdf",
-  paper = "Kalt12.pdf"
+  paper = "Kalt12.pdf",
+  abstract = "
+    We present a hybrid symbolic-numeric algorithm for certifying a
+    polynomial or rational function with rational coefficients to be
+    non-negative for all real values of the variables by computing a
+    representation for it as a fraction of two polynomial sum-of-squares
+    (SOS) with rational coeficients. Our new approach turns the earlier
+    methods by Peyrl and Parrilo and SCN'07 and ours at ISSAC'08 both
+    based on polynomial SOS, which do not always exist, into a universal
+    algorithm for all inputs via Artin's theorem.
+
+    Furthermore, we scrutinize the all-important process of converting the
+    numerical SOS numerators and denomiators produced by block
+    semidefinite programming into an exact rational identity. We improve
+    on our own Newton iteration-based high precision refinement algorithm
+    by compressing the initial Gram matrices and by deploying rational
+    vector recovery aside from orthogonal projection. We successfully
+    demenstrate our algorithm on 1. various exceptional SOS problems with
+    necessary polynomial denominators from the literature and on 2. very
+    large (thousands of variables) SOS lower bound certificates for Rump's
+    model problem (up to $n=18$, factor degree $=17$)."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Li, Bin}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt08b,
   author = "Kaltofen, Erich and Li, Bin and Yang, Zhengfeng and Zhi, Lihong",
@@ -535,11 +1073,34 @@ The third section sorts papers by topic.
   crossref = "ISSAC08",
   pages = "155--163",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/08/KLYZ08.pdf",
-  paper = "Kalt08b.pdf"
+  paper = "Kalt08b.pdf",
+  abstract = "
+    We generalize the technique by Peyrl and Parillo [Proc. SNC 2007] to
+    computing lower bound certificates for several well-known
+    factorization problems in hybrid symbolic-numeric computation. The
+    idea is to transform a numerical sum-of-squares (SOS) representation
+    of a positive polynomial into an exact rational identity. Our
+    algorithms successfully certify accurate rational lower bounds near
+    the irrational global optima for benchmark approximate polynomial
+    greatest common divisors and multivariate polynomial irreducibility
+    radii from the literature, and factor coefficient bounds in the
+    setting of a model problem by Rump (up to $n=14$, factor degree $=13$).
+
+    The numeric SOSes produced by the current fixed precision
+    semi-definite programming (SDP) packages (SeDuMi, SOSTOOLS, YALMIP)
+    are usually too coarse to allow successful projection to exact SOSes
+    via Maple 11's exact linear algebra. Therefore, before projection we
+    refine the SOSes by rank-preserving Newton iteration. For smaller
+    problems the starting SOSes for Newton can be guessed without SDP
+    (``SDP-free SOS''), but for larger inputs we additionally appeal to
+    sparsity techniques in our SDP formulation."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt06b,
   author = "Kaltofen, Erich and Yang, Zhengfeng and Zhi, Lihong",
@@ -550,11 +1111,35 @@ The third section sorts papers by topic.
   crossref = "ISSAC06",
   pages = "169--176",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/06/KYZ06.pdf",
-  paper = "Kalt06b.pdf"
-}
-
-\end{chunk}
-
+  paper = "Kalt06b.pdf",
+  abstract = "
+    We consider the problem of computing minimal real or complex
+    deformations to the coefficients in a list of relatively prime real or
+    complex multivariate polynomials such that the deformed polynomials
+    have a greatest common divisor (GCD) of a least a given degree $k$. In
+    addition, we restrict the deformed coefficients by a given set of
+    linear constraints, thus introducing the {\sl linearly constrained
+    aproximate GCD} problem.  We present an algorithm based on a version
+    of the structured total least norm (STLN) method and demonstrate, on a
+    diverse set of benchmark polynomials, that the algorithm in practice
+    computes globally minimal approximations. As an application of the
+    linearly constrained approximate GCD problem, we present an STLN-based
+    method that computes for a real or complex polynomial the nearest real
+    or complex polynomial the nearest real or complex polynomial that has
+    a root of multiplicity at least $k$.  We demonstrate that the
+    algorithm in practice computes, on the benchmark polynomials given in
+    the literate, the known globally optimal nearest singular
+    polynomials. Our algorithms can handle, via randomized
+    preconditioning, the difficult case when the nearest solution to a
+    list of real input polynomials actually has non-real complex
+    coefficients."
+}
+
+\end{chunk}
+
+\index{Kaltofen, Erich}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt05,
   author = "Kaltofen, Erich and Yang, Zhengfeng and Zhi, Lihong",
@@ -564,11 +1149,27 @@ The third section sorts papers by topic.
   pages = "69--83",
   year = "2005",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/05/KYZ05.pdf",
-  paper = "Kalt05.pdf"
+  paper = "Kalt05.pdf",
+  abstract = "
+    The task of determining the approximate greatest common divisor (GCD)
+    of univariate polynomials with inexact coefficients can be formulated
+    as computing for a given Sylvester matrix a new Sylvester matrix of
+    lower rank whose entries are near the corresponding entries of that
+    input matrix.  We solve the approximate GCD problem by a new method
+    based on structured total least norm (STLN) algorithms, in our case
+    for matrices with Sylvester structure. We present iterative algorithms
+    that compute an approximate GCD and that can certify an approximate
+    $\epsilon$-GCD when a tolerence $\epsilon$ is given on input. Each
+    single iteration is carried out with a number of floating point
+    operations that is of cubic order in the input degrees. We also
+    demonstrate the practical performance of our algorithms on a diverse
+    set of univariate pairs of polynomials."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{May, John}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt03a,
   author = "Kaltofen, Erich and May, John",
@@ -578,14 +1179,30 @@ The third section sorts papers by topic.
   crossref = "ISSAC03",
   pages = "161--168",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/03/KM03.pdf",
-  paper = "Kalt03a.pdf"
+  paper = "Kalt03a.pdf",
+  abstract = "
+    We study the problem of bounding all factorizable polynomials away
+    from a polynomial that is absolutely irreducible. Such separation
+    bounds are useful for testing whether a numerical polynomial is
+    absolutely irreducible, given a certain tolerance on its coefficients
+    Using an absolute irreducibility criterion due to Ruppert, we are able
+    to find useful separation bounds, in several norms, for bivariate
+    polynomials.  We also use Ruppert's criterion to derive new, more
+    effective Noether forms for polynomials of arbitrarily many
+    variables. These forms lead to small separation bounds for polynomials
+    of arbitrarily many variables."
 }
 
 \end{chunk}
 
+\index{Gao, Shuhong}
+\index{Kaltofen, Erich}
+\index{May, John}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Gao04a,
-  author = "Shuhong, Gao and Kaltofen, Erich and May, John P. and 
+  author = "Gao, Shuhong and Kaltofen, Erich and May, John P. and 
             Yang, Zhengfeng and Zhi, Lihong",
   title = "Approximate factorization of multivariate polynomials via 
            differential equations",
@@ -594,11 +1211,31 @@ The third section sorts papers by topic.
   crossref = "ISSAC04",
   pages = "167--174",
   url = "http://www.math.ncsu.edu/~kaltofen/bibliography/04/GKMYZ04.pdf",
-  paper = "Gao04a.pdf"
+  paper = "Gao04a.pdf",
+  abstract = "
+    The input to our algorithm is a multivariate polynomial, whose complex
+    rational coefficient are considered imprecise with an unknown error
+    that causes $f$ to be irreducible over the complex numbers {\bf C}.
+    We seek to perturb the coefficients by a small quantity such that the
+    resulting polynomial factors over {\bf C}. Ideally, one would like to
+    minimize the perturbation in some selected distance measure, but no
+    efficient algorithm for that is known. We give a numerical
+    multivariate greatest common divisor algorithm and use it on a
+    numerical variant of algorithms by W. M. Ruppert and S. Gao. Our
+    numerical factorizer makes repeated use of singular value
+    decompositions. We demonstrate on a significant body of experimental
+    data that our algorithm is practical and can find factorizable
+    polynomials within a distance that is about the same in relative
+    magnitude as the input error, even when the relative error in the
+    input is substantial ($10^{-3})."
 }
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{May, John}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @Article{Kalt08,
   author = "Kaltofen, Erich and May, John and Yang, Zhengfeng and Zhi, Lihong",
@@ -615,6 +1252,9 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Hitz, M.A.}
+\index{Kaltofen, Erich}
+\index{Lakshman, Yagati N.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Hitz99,
   author = "Hitz, M.A. and Kaltofen, E. and Lakshman, Y.N.",
@@ -630,6 +1270,8 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Hitz, M.A.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Hitz98,
   author = "Hitz, M. A. and Kaltofen, E.",
@@ -647,6 +1289,10 @@ The third section sorts papers by topic.
 
 \section{Software Systems} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Diaz, A.}
+\index{Kaltofen, Erich}
+\index{Schmitz, K.}
+\index{Valente, T.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Diaz91,
   author = "Diaz, A.; Kaltofen,E.; Schmitz, K.; Valente, T.",
@@ -661,6 +1307,9 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Chan, K.C.}
+\index{Diaz, A.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Chan94,
   author = "Chan, K.C. and Diaz, A. and Kaltofen, E.",
@@ -678,6 +1327,15 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Dumas, Jean-Guillaume}
+\index{Gautier, T.}
+\index{Giesbrecht, Mark}
+\index{Giorgi, P.}
+\index{Hovinen, B.}
+\index{Kaltofen, Erich}
+\index{Saunders, B. David}
+\index{Turner, W.J.}
+\index{Villard, Gilles}
 \begin{chunk}{axiom.bib}
 @InProceedings{Duma02,
   author = "Dumas, J.-G. and Gautier, T. and Giesbrecht, M. and Giorgi, P.
@@ -695,6 +1353,9 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Morozov, Dmitriy}
+\index{Yuhasz, George}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt05a,
   author = "Kaltofen, Erich and Morozov, Dmitriy and Yuhasz, George",
@@ -709,6 +1370,8 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Diaz, A.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Diaz98,
   author = "Diaz, A. and Kaltofen, E.",
@@ -724,6 +1387,10 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Diaz, A.}
+\index{Kaltofen, Erich}
+\index{Lobo, A.}
+\index{Valente, T.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Diaz93,
   author = "Diaz, A. and Kaltofen, E. and Lobo, A. and Valente, T.",
@@ -742,10 +1409,15 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Diaz, A.}
+\index{Hitz, M.A.}
+\index{Kaltofen, Erich}
+\index{Lobo, A.}
+\index{Valente, T.}
 \begin{chunk}{axiom.bib}
 @Article{Diaz95a,
   author = "Diaz, A. and Hitz, M. and Kaltofen, E. and Lobo, A. and 
-            Valtente, T.",
+            Valente, T.",
   title = "Process scheduling in {DSC} and the large sparse linear 
            systems challenge",
   journal = "Journal of Symbolic Computing",
@@ -759,6 +1431,10 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Freeman, T.S.}
+\index{Imirzian, G.}
+\index{Kaltofen, Erich}
+\index{Lakshman, Yagati N.}
 \begin{chunk}{axiom.bib}
 @Article{Free88,
   author = "Freeman, T.S. and Imirzian, G. and Kaltofen, E. and 
@@ -778,6 +1454,7 @@ The third section sorts papers by topic.
 
 \section{The Seven Dwarfs} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt10a,
   author = "Kaltofen, Erich L.",
@@ -796,6 +1473,7 @@ The third section sorts papers by topic.
 
 \section{Solving Systems of Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @inproceedings{Bro86,
   author = "Bronstein, Manuel",
@@ -817,6 +1495,7 @@ The third section sorts papers by topic.
 
 \section{Numerical Algorithms} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 {Bro99,
   author = "Bronstein, Manuel",
@@ -840,6 +1519,7 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Kelsey, Tom}
 \begin{chunk}{ignore}
 {Kel00,
   author = "Kelsey, Tom",
@@ -858,6 +1538,8 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Yang, Xiang}
+\index{Mittal, Rajat}
 \begin{chunk}{ignore}
 {Yang14,
   author ="Yang, Xiang and Mittal, Rajat",
@@ -872,6 +1554,11 @@ The third section sorts papers by topic.
 
 \section{Special Functions} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Corless, Robert M.}
+\index{Jeffrey, David J.}
+\index{Watt, Stephen M.}
+\index{Bradford, Russell}
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 {Corl0,
   author = "Corless, Robert M. and Jeffrey, David J. and Watt, Stephen M.
@@ -893,6 +1580,8 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Ng, Edward W.}
+\index{Geller, Murray}
 \begin{chunk}{ignore}
 {Ng68,
   author = "Ng, Edward W. and Geller, Murray",
@@ -908,6 +1597,8 @@ The third section sorts papers by topic.
 
 \section{Exponential Integral $E_1(x)$} %%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Geller, Murray}
+\index{Ng, Edward W.}
 \begin{chunk}{ignore}
 {Gell69,
   author = "Geller, Murray and Ng, Edward W.",
@@ -921,6 +1612,7 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Segletes, S.B.}
 \begin{chunk}{axiom.bib}
 @techreport{Segl98,
   author = "Segletes, S.B.",
@@ -954,6 +1646,7 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Segletes, S.B.}
 \begin{chunk}{axiom.bib}
 @techreport{Se09,
   author = "Segletes, S.B.",
@@ -983,6 +1676,8 @@ The third section sorts papers by topic.
 
 \section{Polynomial GCD} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
+\index{Monagan, Michael B.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt99a,
   author = "Kaltofen, E. and Monagan, M.",
@@ -997,6 +1692,7 @@ The third section sorts papers by topic.
 
 \end{chunk}
 
+\index{Knuth, Donald E.}
 \begin{chunk}{ignore}
 \bibitem[Knuth 71]{ST-PGCD-Knu71} Knuth, Donald
 ``The Art of Computer Programming''
@@ -1005,8 +1701,10 @@ Addison-Wesley 1971, section 4.6 pp399-505
 
 \end{chunk}
 
+\index{Ma, Keju}
+\index{von zur Gathen, Joachim}
 \begin{chunk}{ignore}
-\bibitem[Ma 90]{ST-PGCD-Ma90} Ma, Keju; Gathen, Joachim von zur
+\bibitem[Ma 90]{ST-PGCD-Ma90} Ma, Keju; {von zur Gathen}, Joachim
 ``Analysis of Euclidean Algorithms for Polynomials over Finite Fields''
 J. Symbolic Computation (1990) Vol 9 pp429-455\hfill{}
 \verb|www.researchgate.net/publication/220161718_Analysis_of_Euclidean_|
@@ -1022,6 +1720,7 @@ J. Symbolic Computation (1990) Vol 9 pp429-455\hfill{}
 
 \end{chunk}
 
+\index{Naylor, William A.}
 \begin{chunk}{ignore}
 \bibitem[Naylor 00a]{N00} Naylor, Bill
 ``Polynomial GCD Using Straight Line Program Representation''
@@ -1061,6 +1760,7 @@ PhD. Thesis, University of Bath, 2000
 
 \end{chunk}
 
+\index{Shoup, Victor}
 \begin{chunk}{ignore}
 \bibitem[Shoup 93]{ST-PGCD-Sh93} Shoup, Victor
 ``Factoring Polynomials over Finite Fields: Asymptotic Complexity vs
@@ -1079,8 +1779,10 @@ Proc. IMACS Symposium, Lille, France, (1993)
 
 \end{chunk}
 
+\index{von zur Gathen, Joachim}
+\index{Panario, Daniel}
 \begin{chunk}{ignore}
-\bibitem[Gathen 01]{ST-PGCD-Ga01} Gathen, Joachim von zur; Panario, Daniel
+\bibitem[Gathen 01]{ST-PGCD-Ga01} von zur Gathen, Joachim; Panario, Daniel
 ``Factoring Polynomials Over Finite Fields: A Survey''
 J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}
 \verb|people.csail.mit.edu/dmoshdov/courses/codes/poly-factorization.pdf|
@@ -1097,8 +1799,10 @@ J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}
 
 \end{chunk}
 
+\index{van Hoeij, Mark}
+\index{Monagan, Michael}
 \begin{chunk}{ignore}
-\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael
+\bibitem[van Hoeij]{Hoeij04} {van Hoeij}, Mark; Monagan, Michael
 ``Algorithms for Polynomial GCD Computation over Algebraic Function Fields''
 \verb|www.cecm.sfu.ca/personal/mmonagan/papers/AFGCD.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Hoeij04.pdf|
@@ -1116,6 +1820,7 @@ J. Symbolic Computation (2001) Vol 31, pp3-17\hfill{}
 
 \end{chunk}
 
+\index{Wang, Paul S.}
 \begin{chunk}{ignore}
 \bibitem[Wang 78]{Wang78} Wang, Paul S.
 ``An Improved Multivariate Polynomial Factoring Algorithm''
@@ -1147,6 +1852,8 @@ Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
 
 \section{Category Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Baez, John C.}
+\index{Stay, Mike}
 \begin{chunk}{ignore}
 \bibitem[Baez 09]{Baez09} Baez, John C.; Stay, Mike
 ``Physics, Topology, Logic and Computation: A Rosetta Stone''
@@ -1170,6 +1877,9 @@ Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
 
 \end{chunk}
 
+\index{Meijer, Erik}
+\index{Fokkinga, Maarten}
+\index{Paterson, Ross}
 \begin{chunk}{ignore}
 \bibitem[Meijer 91]{Meij91} Meijer, Erik; Fokkinga, Maarten; Paterson, Ross
 ``Functional Programming with Bananas, Lenses, Envelopes and Barbed Wire''
@@ -1185,6 +1895,7 @@ Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
 
 \end{chunk}
 
+\index{Youssef, Saul}
 \begin{chunk}{ignore}
 \bibitem[Youssef 04]{You04} Youssef, Saul
 ``Prospects for Category Theory in Aldor''
@@ -1201,6 +1912,10 @@ October 2004
 
 \section{Proving Axiom Correct} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Adams, Andrew A.}
+\index{Gottlieben, Hanne}
+\index{Linton, Steve A.}
+\index{Martin, Ursula}
 \begin{chunk}{ignore}
 \bibitem[Adams 99]{Adam99} Adams, A.A.; Gottlieben, H.; Linton, S.A.; 
 Martin, U.
@@ -1227,6 +1942,12 @@ Martin, U.
 
 \end{chunk}
 
+\index{Adams, Andrew A.}
+\index{Dunstan, Martin}
+\index{Gottlieben, Hanne}
+\index{Kelsey, Tom}
+\index{Martin, Ursula}
+\index{Owre, Sam}
 \begin{chunk}{ignore}
 \bibitem[Adams 01]{Adam01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
 Kelsey, Tom; Martin, Ursula; Owre, Sam
@@ -1245,6 +1966,7 @@ Kelsey, Tom; Martin, Ursula; Owre, Sam
 
 \end{chunk}
 
+\index{Mahboubi, Assia}
 \begin{chunk}{axiom.bib}
 @article{Mahb06,
   author = "Mahboubi, Assia",
@@ -1264,6 +1986,8 @@ Kelsey, Tom; Martin, Ursula; Owre, Sam
 
 \end{chunk}
 
+\index{Ballarin, Clemens}
+\index{Paulson, Lawrence C.}
 \begin{chunk}{ignore}
 \bibitem[Ballarin 99]{Ball99} Ballarin, Clemens; Paulson, Lawrence C.
 ``A Pragmatic Approach to Extending Provers by Computer Algebra -- 
@@ -1292,6 +2016,8 @@ Kelsey, Tom; Martin, Ursula; Owre, Sam
 
 \end{chunk}
 
+\index{Bertot, Yves}
+\index{Cast\'eran, Pierre}
 \begin{chunk}{ignore}
 \bibitem[Bertot 04]{Bert04} Bertot, Yves; Cast\'eran, Pierre
 ``Interactive Theorem Proving and Program Development''
@@ -1310,6 +2036,9 @@ Springer ISBN 3-540-20854-2
 
 \end{chunk}
 
+\index{Boulm\'e, S.}
+\index{Hardin, T.}
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Boulme 00]{BHR00} Boulm\'e, S.; Hardin, T.; Rioboo, R.
 ``Polymorphic Data Types, Objects, Modules and Functors,: is it too much?''
@@ -1330,6 +2059,11 @@ Springer ISBN 3-540-20854-2
 
 \end{chunk}
 
+\index{Boulm\'e, S.}
+\index{Hardin, T.}
+\index{Hirschkoff, D.}
+\index{Rioboo, Renaud}
+\index{M\'enissier-Morain, V.}
 \begin{chunk}{ignore}
 \bibitem[Boulme 01]{BHHMR01}
 Boulm\'e, S.; Hardin, T.; Hirschkoff, D.; M\'enissier-Morain, V.; Rioboo, R.
@@ -1356,6 +2090,7 @@ Calculemus-2001
 
 \end{chunk}
 
+\index{Daly, Timothy}
 \begin{chunk}{ignore}
 \bibitem[Daly 10]{Daly10} Daly, Timothy
 ``Intel Instruction Semantics Generator''
@@ -1369,6 +2104,10 @@ Calculemus-2001
 
 \end{chunk}
 
+\index{Danielsson, Nils Anders}
+\index{Hughes, John}
+\index{Jansson, Patrik}
+\index{Gibbons, Jeremy}
 \begin{chunk}{ignore}
 \bibitem[Danielsson 06]{Dani06} Danielsson, Nils Anders; Hughes, John;
 Jansson, Patrik; Gibbons, Jeremy
@@ -1396,6 +2135,10 @@ ACM POPL'06 January 2005, Charleston, South Carolina, USA
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Bradford, Russell}
+\index{England, Matthew}
+\index{Wilson, David}
 \begin{chunk}{ignore}
 \bibitem[Davenport 12]{Davenp12} Davenport, James H.; Bradford, Russell;
 England, Matthew; Wilson, David
@@ -1425,6 +2168,8 @@ branch cuts etc.''
 
 \end{chunk}
 
+\index{Dolzmann, Andreas}
+\index{Sturm, Thomas}
 \begin{chunk}{ignore}
 \bibitem[Dolzmann 97]{Dolz97} Dolzmann, Andreas; Sturm, Thomas
 ``Guarded Expressions in Practice''
@@ -1447,6 +2192,9 @@ branch cuts etc.''
 
 \end{chunk}
 
+\index{Dos Reis, Gabriel}
+\index{Matthews, David}
+\index{Li, Yue}
 \begin{chunk}{ignore}
 \bibitem[Dos Reis 11]{DR11} Dos Reis, Gabriel; Matthews, David; Li, Yue
 ``Retargeting OpenAxiom to Poly/ML: Towards an Integrated Proof Assistants
@@ -1466,6 +2214,7 @@ Calculemus (2011) Springer
 
 \end{chunk}
 
+\index{Dunstan, Martin}
 \begin{chunk}{ignore}
 \bibitem[Dunstan 00a]{Dun00a} Dunstan, Martin N.
 ``Adding Larch/Aldor Specifications to Aldor''
@@ -1481,6 +2230,10 @@ Calculemus (2011) Springer
 
 \end{chunk}
 
+\index{Dunstan, Martin}
+\index{Kelsey, Tom}
+\index{Linton, Steve A.}
+\index{Martin, Ursula}
 \begin{chunk}{ignore}
 \bibitem[Dunstan 98]{Dun98} Dunstan, Martin; Kelsey, Tom; Linton, Steve;
 Martin, Ursula
@@ -1495,6 +2248,7 @@ Martin, Ursula
 
 \end{chunk}
 
+\index{Dunstan, Martin}
 \begin{chunk}{ignore}
 \bibitem[Dunstan 99a]{Dun99a} Dunstan, MN
 ``Larch/Aldor - A Larch BISL for AXIOM and Aldor''
@@ -1515,6 +2269,10 @@ PhD Thesis, 1999
 
 \end{chunk}
 
+\index{Dunstan, Martin}
+\index{Kelsey, Tom}
+\index{Martin, Ursula}
+\index{Linton, Steve A.}
 \begin{chunk}{ignore}
 \bibitem[Dunstan 00]{Dun00} Dunstan, Martin; Kelsey, Tom; Martin, Ursula;
 Linton, Steve
@@ -1531,6 +2289,9 @@ FME'99, Toulouse, France, Sept 20-24, 1999, pp 1758-1777
 
 \end{chunk}
 
+\index{Hardin, David S.}
+\index{McClurg, Jedidiah R.}
+\index{Davis, Jennifer A.}
 \begin{chunk}{axiom.bib}
 @misc{Hard13,
   author = "Hardin, David S. and McClurg, Jedidiah R. and Davis, Jennifer A.",
@@ -1548,6 +2309,10 @@ FME'99, Toulouse, France, Sept 20-24, 1999, pp 1758-1777
 
 \end{chunk}
 
+\index{Hardin, David S.}
+\index{Davis, Jennifer A.}
+\index{Greve, David A.}
+\index{McClurg, Jedidiah R.}
 \begin{chunk}{axiom.bib}
 @misc{Hard14,
   author = "Hardin, David S. and Davis, Jennifer A. and Greve, David A. and 
@@ -1578,6 +2343,7 @@ FME'99, Toulouse, France, Sept 20-24, 1999, pp 1758-1777
 
 \end{chunk}
 
+\index{Lamport, Leslie}
 \begin{chunk}{ignore}
 \bibitem[Lamport 02]{Lamp02} Lamport, Leslie
 ``Specifying Systems''
@@ -1587,6 +2353,8 @@ Addison-Wesley ISBN 0-321-14306-X
 
 \end{chunk}
 
+\index{Martin, Ursula}
+\index{Shand, D.}
 \begin{chunk}{ignore}
 \bibitem[Martin 97]{Mart97} Martin, U.; Shand, D.
 ``Investigating some Embedded Verification Techniques for Computer 
@@ -1605,6 +2373,7 @@ Addison-Wesley ISBN 0-321-14306-X
 
 \end{chunk}
 
+\index{Mason, Ian A.}
 \begin{chunk}{axiom.bib}
 @book{Maso86,
   author = "Mason, Ian A.",
@@ -1627,6 +2396,12 @@ Addison-Wesley ISBN 0-321-14306-X
 
 \end{chunk}
 
+\index{Newcombe, Chris}
+\index{Rath, Tim}
+\index{Zhang, Fan}
+\index{Munteanu, Bogdan}
+\index{Brooker, Marc}
+\index{Deardeuff, Michael}
 \begin{chunk}{ignore}
 \bibitem[Newcombe 13]{Newc13} Newcombe, Chris; Rath, Tim; Zhang, Fan;
 Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
@@ -1658,6 +2433,7 @@ Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
 
 \end{chunk}
 
+\index{Poll, Erik}
 \begin{chunk}{ignore}
 \bibitem[Poll 99a]{P99a} Poll, Erik
 ``The Type System of Axiom''
@@ -1669,6 +2445,8 @@ Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
 
 \end{chunk}
 
+\index{Poll, Erik}
+\index{Thompson, Simon}
 \begin{chunk}{ignore}
 \bibitem[Poll 99]{PT99} Poll, Erik; Thompson, Simon
 ``The Type System of Aldor''
@@ -1682,6 +2460,8 @@ Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
 
 \end{chunk}
 
+\index{Poll, Erik}
+\index{Thompson, Simon}
 \begin{chunk}{ignore}
 \bibitem[Poll (a)]{PTxx} Poll, Erik; Thompson, Simon
 ``Adding the axioms to Axiom. Toward a system of automated reasoning in
@@ -1714,6 +2494,8 @@ Aldor''
 
 \end{chunk}
 
+\index{Poll, Erik}
+\index{Thompson, Simon}
 \begin{chunk}{ignore}
 \bibitem[Poll 00]{PT00} Poll, Erik; Thompson, Simon
 ``Integrating Computer Algebra and Reasoning through the Type System
@@ -1734,6 +2516,10 @@ of Aldor''
 
 \section{Interval Arithmetic} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Boehm, Hans-J.}
+\index{Cartwright, Robert}
+\index{Riggle, Mark}
+\index{O'Donnell, Michael J.}
 \begin{chunk}{ignore}
 \bibitem[Boehm 86]{Boe86} Boehm, Hans-J.; Cartwright, Robert; Riggle, Mark;
 O'Donnell, Michael J.
@@ -1743,6 +2529,7 @@ O'Donnell, Michael J.
 
 \end{chunk}
 
+\index{Briggs, Keith}
 \begin{chunk}{ignore}
 \bibitem[Briggs 04]{Bri04} Briggs, Keith
 ``Exact real arithmetic''
@@ -1751,6 +2538,8 @@ O'Donnell, Michael J.
 
 \end{chunk}
 
+\index{Fateman, Richard J.}
+\index{Yan, Tak W.}
 \begin{chunk}{ignore}
 \bibitem[Fateman 94]{Fat94} Fateman, Richard J.; Yan, Tak W.
 ``Computation with the Extended Rational Numbers and an Application to 
@@ -1769,6 +2558,7 @@ Interval Arithmetic''
 
 \end{chunk}
 
+\index{Lambov, Branimir}
 \begin{chunk}{axiom.bib}
 @incollection{Lamb06,
   author = "Lambov, Branimir",
@@ -1784,6 +2574,9 @@ Interval Arithmetic''
 
 \section{Numerics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Atkinson, Kendall}
+\index{Han, Welmin}
+\index{Stewear, David}
 \begin{chunk}{ignore}
 \bibitem[Atkinson 09]{Atk09} Atkinson, Kendall; Han, Welmin; Stewear, David
 ``Numerical Solution of Ordinary Differential Equations''
@@ -1806,6 +2599,8 @@ Interval Arithmetic''
 
 \end{chunk}
 
+\index{Crank, J.}
+\index{Nicolson, P.}
 \begin{chunk}{ignore}
 \bibitem[Crank 96]{Cran96} Crank, J.; Nicolson, P.
 ``A practical method for numerical evaluations of solutions of partial 
@@ -1817,6 +2612,9 @@ Advances in Computational Mathematics Vol 6 pp207-226 (1996)
 
 \end{chunk}
 
+\index{Lef\'evre, Vincent}
+\index{Stehl\'e, Damien}
+\index{Zimmermann, Paul}
 \begin{chunk}{ignore}
 \bibitem[Lef\'evre 06]{Lef06} Lef\'evre, Vincent; Stehl\'e, Damien;
 Zimmermann, Paul
@@ -1842,9 +2640,10 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \end{chunk}
 
+\index{Hamming, R W.}
 \begin{chunk}{axiom.bib}
 @book{Hamm62,
-  author = "Hamming R W.",
+  author = "Hamming, R W.",
   title = "Numerical Methods for Scientists and Engineers",
   publisher = "Dover",
   year = "1973",
@@ -1855,6 +2654,7 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \section{Advanced Documentation} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Bostock, Mike}
 \begin{chunk}{ignore}
 \bibitem [Bostock 14]{Bos14} Bostock, Mike
 ``Visualizing Algorithms''
@@ -1865,8 +2665,9 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \end{chunk}
 
+\index{van Leeuwen, Andr\'e M.A.}
 \begin{chunk}{ignore}
-\bibitem[Leeuwen]{Leexx} van Leeuwen, Andr\'e M.A.
+\bibitem[Leeuwen]{Leexx} {van Leeuwen}, Andr\'e M.A.
 ``Representation of mathematical object in interactive books''
 %\verb|axiom-developer.org/axiom-website/papers/Leexx.pdf|
   abstract = "
@@ -1886,6 +2687,7 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \end{chunk}
 
+\index{Soiffer, Neil Morrell}
 \begin{chunk}{ignore}
 \bibitem[Soiffer 91]{Soif91} Soiffer, Neil Morrell
 ``The Design of a User Interface for Computer Algebra Systems''
@@ -1903,6 +2705,7 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \end{chunk}
 
+\index{Victor, Bret}
 \begin{chunk}{ignore}
 \bibitem[Victor 11]{Vict11} Victor, Bret
 ``Up and Down the Ladder of Abstraction''
@@ -1914,6 +2717,7 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \end{chunk}
 
+\index{Victor, Bret}
 \begin{chunk}{ignore}
 \bibitem[Victor 12]{Vict12} Victor, Bret
 ``Inventing on Principle''
@@ -1928,6 +2732,7 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \section{Differential Equations} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt84,
   author = "Kaltofen, E.",
@@ -1942,6 +2747,9 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \end{chunk}
 
+\index{Abramov, Sergei A.}
+\index{Bronstein, Manuel}
+\index{Petkovsek, Marko}
 \begin{chunk}{ignore}
 \bibitem[Abramov 95]{Abra95} Abramov, Sergei A.; Bronstein, Manuel; 
 Petkovsek, Marko
@@ -1951,6 +2759,8 @@ Petkovsek, Marko
 
 \end{chunk}
 
+\index{Abramov, Sergei A.}
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Abramov 01]{Abra01} Abramov, Sergei; Bronstein, Manuel
 ``On Solutions of Linear Functional Systems''
@@ -1969,6 +2779,7 @@ Petkovsek, Marko
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 96b]{Bro96b} Bronstein, Manuel
 ``On the Factorization of Linear Ordinary Differential Operators''
@@ -1984,6 +2795,8 @@ Mathematics and Computers in Simulation 42 pp 387-389 (1996)
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Petkovsek, Marko}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 96a]{Bro96a} Bronstein, Manuel; Petkovsek, Marko
 ``An introduction to pseudo-linear algebra''
@@ -2001,6 +2814,7 @@ Theoretical Computer Science V157 pp3-33 (1966)
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein xb]{Broxb} Bronstein, Manuel
 ``Computer Algebra Algorithms for Linear Ordinary Differential and
@@ -2017,6 +2831,7 @@ Difference equations''
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 94]{Bro94} Bronstein, Manuel
 ``An improved algorithm for factoring linear ordinary differential
@@ -2036,6 +2851,7 @@ operators''
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 90]{Bro90} Bronstein, Manuel
 ``On Solutions of Linear Ordinary Differential Equations in their 
@@ -2054,6 +2870,7 @@ Coefficient Field''
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 96]{Bro96} Bronstein, Manuel
 ``$\sum^{IT}$ -- A strongly-typed embeddable computer algebra library''
@@ -2072,6 +2889,7 @@ Coefficient Field''
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 99a]{Bro99a} Bronstein, Manuel
 ``Solving linear ordinary differential equations over 
@@ -2089,6 +2907,7 @@ $C(x,e^{\int{f(x)dx}})$
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 00]{Bro00} Bronstein, Manuel
 ``On Solutions of Linear Ordinary Differential Equations in their 
@@ -2112,6 +2931,8 @@ $C(x,e^{\int{f(x)dx}})$
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Lafaille, S\'ebastien}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 02]{Bro02} Bronstein, Manuel; Lafaille, S\'ebastien
 ``Solutions of linear ordinary differential equations in terms of 
@@ -2135,6 +2956,8 @@ special functions''
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 03]{Bro03} Bronstein, Manuel; Trager, Barry M.
 ``A Reduction for Regular Differential Systems''
@@ -2152,6 +2975,8 @@ special functions''
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Sol\'e, Patrick}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 03a]{Bro03a} Bronstein, Manuel; Sol\'e, Patrick
 ``Linear recurrences with polynomial coefficients''
@@ -2166,6 +2991,9 @@ special functions''
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Li, Ziming}
+\index{Wu, Min}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 05]{Bro05} Bronstein, Manuel; Li, Ziming; Wu, Min
 ``Picard-Vessiot Extensions for Linear Functional Systems''
@@ -2182,6 +3010,7 @@ special functions''
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 86]{Dav86} Davenport, J.H.
 ``The Risch Differential Equation Problem''
@@ -2204,8 +3033,9 @@ SIAM J. COMPUT. Vol 15, No. 4 1986
 
 \end{chunk}
 
+\index{Singer, Michael F.}
 \begin{chunk}{ignore}
-\bibitem[Singer 9]{Sing91.pdf} singer, Michael F.
+\bibitem[Singer 9]{Sing91.pdf} Singer, Michael F.
 ``Liouvillian Solutions of Linear Differential Equations with Liouvillian 
   Coefficients''
 J. Symbolic Computation V11 No 3 pp251-273 (1991)
@@ -2224,16 +3054,18 @@ J. Symbolic Computation V11 No 3 pp251-273 (1991)
 
 \end{chunk}
 
+\index{von Mohrenschildt, Martin}
 \begin{chunk}{ignore}
-\bibitem[Von Mohrenschildt 94]{Mohr94} Von Mohrenschildt, Martin
+\bibitem[Von Mohrenschildt 94]{Mohr94} {von Mohrenschildt}, Martin
 ``Symbolic Solutions of Discontinuous Differential Equations''
 \verb|e-collection.library.ethz.ch/eserv/eth:39463/eth-39463-01.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mohr94.pdf|
 
 \end{chunk}
 
+\index{von Mohrenschildt, Martin}
 \begin{chunk}{ignore}
-\bibitem[Von Mohrenschildt 98]{Mohr98} Von Mohrenschildt, Martin
+\bibitem[Von Mohrenschildt 98]{Mohr98} von Mohrenschildt, Martin
 ``A Normal Form for Function Rings of Piecewise Functions''
 J. Symbolic Computation (1998) Vol 26 pp607-619
 \verb|www.cas.mcmaster.ca/~mohrens/JSC.pdf|
@@ -2255,6 +3087,7 @@ J. Symbolic Computation (1998) Vol 26 pp607-619
 
 \end{chunk}
 
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 06]{Webe06} Weber, Andreas
 ``Quantifier Elimination on Real Closed Fields and Differential Equations''
@@ -2276,6 +3109,7 @@ J. Symbolic Computation (1998) Vol 26 pp607-619
 
 \end{chunk}
 
+\index{Ulmer, Felix}
 \begin{chunk}{ignore}
 \bibitem[Ulmer 03]{Ulm03} Ulmer, Felix
 ``Liouvillian solutions of third order differential equations''
@@ -2301,6 +3135,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \section{Expression Simplification} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Carette, Jacques}
 \begin{chunk}{ignore}
 \bibitem[Carette 04]{Car04} Carette, Jacques
 ``Understanding Expression Simplification''
@@ -2321,6 +3156,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \section{Integration} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @TechReport{Kalt84b,
   author = "Kaltofen, E.",
@@ -2335,6 +3171,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \end{chunk}
 
+\index{Adamchik, Victor}
 \begin{chunk}{ignore}
 \bibitem[Adamchik xx]{Adamxx} Adamchik, Victor
 ``Definite Integration''
@@ -2343,6 +3180,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \end{chunk}
 
+\index{Adamchik, Victor}
 \begin{chunk}{ignore}
 \bibitem[Adamchik 97]{Adam97} Adamchik, Victor
 ``A Class of Logarithmic Integrals''
@@ -2356,6 +3194,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \end{chunk}
 
+\index{Avgoustis, Ioannis Dimitrios}
 \begin{chunk}{ignore}
 \bibitem[Avgoustis 77]{Avgo77} Avgoustis, Ioannis Dimitrios
 ``Definite Integration using the Generalized Hypergeometric Functions''
@@ -2377,6 +3216,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \end{chunk}
 
+\index{Baddoura, Mohamed Jamil}
 \begin{chunk}{ignore}
 \bibitem[Baddoura 89]{Bad89} Baddoura, Jamil
 ``A Dilogarithmic Extension of Liouville's Theorem on Integration in Finite 
@@ -2393,6 +3233,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \end{chunk}
 
+\index{Baddoura, Mohamed Jamil}
 \begin{chunk}{ignore}
 \bibitem[Baddoura 94]{Bad94} Baddoura, Mohamed Jamil
 ``Integration in Finite Terms with Elementary Functions and Dilogarithms''
@@ -2410,6 +3251,7 @@ J. Symbolic COmputations 36 pp 855-889 (2003)
 
 \end{chunk}
 
+\index{Baddoura, Mohamed Jamil}
 \begin{chunk}{ignore}
 \bibitem[Baddoura 10]{Bad10} Baddoura, Jamil
 ``A Note on Symbolic Integration with Polylogarithms''
@@ -2427,6 +3269,7 @@ J. Math Vol 8 pp229-241 (2011)
 
 \end{chunk}
 
+\index{Bajpai, S.D.}
 \begin{chunk}{ignore}
 \bibitem[Bajpai 70]{Bajp70} Bajpai, S.D.
 ``A contour integral involving legendre polynomial and Meijer's G-function''
@@ -2441,6 +3284,7 @@ J. Math Vol 8 pp229-241 (2011)
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 89]{Bro89a} Bronstein, M. 
 ``An Algorithm for the Integration of Elementary Functions''
@@ -2458,6 +3302,7 @@ Lecture Notes in Computer Science Vol 378 pp491-497 (1989)
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 90a]{Bro90a} Bronstein, Manuel
 ``Integration of Elementary Functions''
@@ -2487,6 +3332,7 @@ J. Symbolic Computation (1990) 9, pp117-173 September 1988
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @article{Bron90c,
   author = "Bronstein, Manuel",
@@ -2501,6 +3347,8 @@ J. Symbolic Computation (1990) 9, pp117-173 September 1988
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Salvy, Bruno}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 93]{REF-BS93} Bronstein, Manuel; Salvy, Bruno
 ``Full partial fraction decomposition of rational functions''
@@ -2509,6 +3357,7 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 90]{Bro90b} Bronstein, Manuel
 ``A Unification of Liouvillian Extensions''
@@ -2524,6 +3373,7 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @book{Bron97,
   author = "Bronstein, Manuel",
@@ -2537,6 +3387,7 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 05a]{Bro05a} Bronstein, Manuel
 ``The Poor Man's Integrator, a parallel integration heuristic''
@@ -2546,6 +3397,7 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @article{Bron06,
   author = "Bronstein, M.",
@@ -2573,6 +3425,7 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @article{Bron07,
   author = "Bronstein, Manuel",
@@ -2596,6 +3449,7 @@ In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2 LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Charlwood, Kevin}
 \begin{chunk}{ignore}
 \bibitem[Charlwood 07]{Charl07} Charlwood, Kevin
 ``Integration on Computer Algebra Systems''
@@ -2615,6 +3469,7 @@ The Electronic J of Math. and Tech. Vol 2, No 3, ISSN 1933-2823
 
 \end{chunk}
 
+\index{Charlwood, Kevin}
 \begin{chunk}{ignore}
 \bibitem[Charlwood 08]{Charl08} Charlwood, Kevin
 ``Symbolic Integration Problems''
@@ -2628,6 +3483,7 @@ The Electronic J of Math. and Tech. Vol 2, No 3, ISSN 1933-2823
 
 \end{chunk}
 
+\index{Cherry, G.W.}
 \begin{chunk}{ignore}
 \bibitem[Cherry 84]{Che84} Cherry, G.W.
 ``Integration in Finite Terms with Special Functions: The Error Function''
@@ -2648,6 +3504,7 @@ J. Symbolic Computation (1985) Vol 1 pp283-302
 
 \end{chunk}
 
+\index{Cherry, G.W.}
 \begin{chunk}{ignore}
 \bibitem[Cherry 86]{Che86} Cherry, G.W.
 ``Integration in Finite Terms with Special Functions: 
@@ -2656,6 +3513,7 @@ SIAM J. Comput. Vol 15 pp1-21 February 1986
 
 \end{chunk}
 
+\index{Cherry, G.W.}
 \begin{chunk}{ignore}
 \bibitem[Cherry 89]{Che89} Cherry, G.W.
 ``An Analysis of the Rational Exponential Integral''
@@ -2681,6 +3539,7 @@ SIAM J. Computing Vol 18 pp 893-905 (1989)
 
 \end{chunk}
 
+\index{Churchill, R.C.}
 \begin{chunk}{ignore}
 \bibitem[Churchill 06]{Chur06} Churchill, R.C.
 ``Liouville's Theorem on Integration Terms of Elementary Functions''
@@ -2704,6 +3563,7 @@ SIAM J. Computing Vol 18 pp 893-905 (1989)
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 79b]{Dav79b} Davenport, James Harold
 ``On the Integration of Algebraic Functions''
@@ -2712,6 +3572,7 @@ ISBN 0-387-10290-6
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 79c]{Dav79c} Davenport, J. H.
 ``Algorithms for the Integration of Algebraic Functions''
@@ -2731,6 +3592,7 @@ Lecture Notes in Computer Science V 72 pp415-425 (1979)
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 82a]{Dav82a} Davenport, J.H.
 ``The Parallel Risch Algorithm (I)
@@ -2743,6 +3605,7 @@ Lecture Notes in Computer Science V 72 pp415-425 (1979)
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 82]{Dav82} Davenport, J.H.
 ``On the Parallel Risch Algorithm (III): Use of Tangents''
@@ -2750,6 +3613,7 @@ SIGSAM V16 no. 3 pp3-6 August 1982
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 03]{Dav03} Davenport, James H.
 ``The Difficulties of Definite Integration''
@@ -2763,6 +3627,7 @@ SIGSAM V16 no. 3 pp3-6 August 1982
 
 \end{chunk}
 
+\index{Fateman, Richard J.}
 \begin{chunk}{ignore}
 \bibitem[Fateman 02]{Fat02} Fateman, Richard
 ``Symbolic Integration''
@@ -2771,6 +3636,8 @@ SIGSAM V16 no. 3 pp3-6 August 1982
 
 \end{chunk}
 
+\index{Geddes, K. O.}
+\index{Stefanus, L. Y.}
 \begin{chunk}{axiom.bib}
 @inproceedings{Gedd89,
   author = "Geddes, K. O. and Stefanus, L. Y.",
@@ -2803,6 +3670,9 @@ SIGSAM V16 no. 3 pp3-6 August 1982
 
 \end{chunk}
 
+\index{Geddes, K. O.}
+\index{Czapor, S.R.}
+\index{Labahn, George}
 \begin{chunk}{ignore}
 \bibitem[Geddes 92a]{GCL92a} Geddes, K.O.; Czapor, S.R.; Labahn, G.
 ``The Risch Integration Algorithm''
@@ -2811,6 +3681,7 @@ Algorithms for Computer Algebra, Ch 12 pp511-573 (1992)
 
 \end{chunk}
 
+\index{Hardy, G.H.}
 \begin{chunk}{ignore}
 \bibitem[Hardy 1916]{Hard16} Hardy, G.H.
 ``The Integration of Functions of a Single Variable''
@@ -2819,6 +3690,7 @@ Cambridge Unversity Press, Cambridge, 1916
 
 \end{chunk}
 
+\index{Harrington, S.J.}
 \begin{chunk}{ignore}
 \bibitem[Harrington 78]{Harr87} Harrington, S.J.
 ``A new symbolic integration system in reduce''
@@ -2838,6 +3710,7 @@ Cambridge Unversity Press, Cambridge, 1916
 
 \end{chunk}
 
+\index{Hermite, E.}
 \begin{chunk}{axiom.bib}
 @misc{Herm1872,
   author = "Hermite, E.",
@@ -2850,6 +3723,7 @@ Cambridge Unversity Press, Cambridge, 1916
 
 \end{chunk}
 
+\index{Horowitz, Ellis}
 \begin{chunk}{ignore}
 \bibitem[Horowitz 71]{Horo71} Horowitz, Ellis
 ``Algorithms for Partial Fraction Decomposition and Rational Function 
@@ -2872,6 +3746,8 @@ pp441-457
 
 \end{chunk}
 
+\index{Jeffrey, David J.}
+\index{Rich, Albert D.}
 \begin{chunk}{ignore}
 \bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.
 ``Recursive integration of piecewise-continuous functions''
@@ -2890,6 +3766,10 @@ pp441-457
 
 \end{chunk}
 
+\index{Jeffrey, David J.}
+\index{Labahn, George}
+\index{von Mohrenschildt, Martin}
+\index{Rich, Albert D.}
 \begin{chunk}{ignore}
 \bibitem[Jeffrey 99]{Jeff99} Jeffrey, D.J.; Labahn, G.; Mohrenschildt, M.v.;
 Rich, A.D.
@@ -2907,6 +3787,8 @@ Rich, A.D.
 
 \end{chunk}
 
+\index{Kiymaz, Onur}
+\index{Mirasyedioglu, Seref}
 \begin{chunk}{ignore}
 \bibitem[Kiymaz 04]{Kiym04} Kiymaz, Onur; Mirasyedioglu, Seref
 ``A new symbolic computation for formal integration with exact power series''
@@ -2918,6 +3800,7 @@ Rich, A.D.
 
 \end{chunk}
 
+\index{Knowles, P.}
 \begin{chunk}{ignore}
 \bibitem[Knowles 93]{Know93} Knowles, P.
 ``Integration of a class of transcendental liouvillian
@@ -2926,6 +3809,7 @@ Journal of Symbolic Computation Vol 13 pp525-543 (1993)
 
 \end{chunk}
 
+\index{Knowles, P.}
 \begin{chunk}{ignore}
 \bibitem[Knowles 95]{Know95} Knowles, P.
 ``Integration of a class of transcendental liouvillian
@@ -2934,6 +3818,7 @@ Journal of Symbolic Computation Vol 16 pp227-241 (1995)
 
 \end{chunk}
 
+\index{Kragler, R.}
 \begin{chunk}{axiom.bib}
 @article{Krag09,
   author = "Kragler, R.",
@@ -2955,6 +3840,7 @@ Journal of Symbolic Computation Vol 16 pp227-241 (1995)
 
 \end{chunk}
 
+\index{Lang, S.}
 \begin{chunk}{ignore}
 \bibitem[Lang 93]{Lang93} Lang, S.
 ``Algebra''
@@ -2962,6 +3848,8 @@ Addison-Wesly, New York, 3rd edition 1993
 
 \end{chunk}
 
+\index{Leerawat, Utsanee}
+\index{Laohakosol, Vichian}
 \begin{chunk}{ignore}
 \bibitem[Leerawat 02]{Leer02} Leerawat, Utsanee; Laohakosol, Vichian
 ``A Generalization of Liouville's Theorem on Integration in Finite Terms''
@@ -2976,6 +3864,7 @@ Addison-Wesly, New York, 3rd edition 1993
 
 \end{chunk}
 
+\index{Leslie, Martin}
 \begin{chunk}{ignore}
 \bibitem[Leslie 09]{Lesl09} Leslie, Martin
 ``Why you can't integrate exp($x^2$)''
@@ -2984,6 +3873,7 @@ Addison-Wesly, New York, 3rd edition 1993
 
 \end{chunk}
 
+\index{Lichtblau, Daniel}
 \begin{chunk}{ignore}
 \bibitem[Lichtblau 11]{Lich11} Lichtblau, Daniel
 ``Symbolic definite (and indefinite) integration: methods and open issues''
@@ -3002,6 +3892,7 @@ ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)
 
 \end{chunk}
 
+\index{Liouville, Joseph}
 \begin{chunk}{axiom.bib}
 @article{Liou1833a,
   author = "Liouville, Joseph",
@@ -3015,6 +3906,7 @@ ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)
 
 \end{chunk}
 
+\index{Liouville, Joseph}
 \begin{chunk}{axiom.bib}
 @article{Liou1833b,
   author = "Liouville, Joseph",
@@ -3028,6 +3920,7 @@ ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)
 
 \end{chunk}
 
+\index{Liouville, Joseph}
 \begin{chunk}{ignore}
 \bibitem[Liouville 1833c]{Lio1833c} Liouville, Joseph
 ``Note sur la determination des int\'egrales dont la
@@ -3037,6 +3930,7 @@ Vol 10 pp 247-259, (1833)
 
 \end{chunk}
 
+\index{Liouville, Joseph}
 \begin{chunk}{ignore}
 \bibitem[Liouville 1833d]{Lio1833d} Liouville, Joseph
 ``Sur la determination des int\'egrales dont la valeur est
@@ -3045,6 +3939,7 @@ alg\'ebrique''
 
 \end{chunk}
 
+\index{Liouville, Joseph}
 \begin{chunk}{ignore}
 \bibitem[Liouville 1835]{Lio1835} Liouville, Joseph
 ``M\'emoire sur l'int\'gration d'une classe de fonctions
@@ -3054,6 +3949,8 @@ Vol 13(2) pp 93-118, (1835)
 
 \end{chunk}
 
+\index{Marchisotto, Elena Anne}
+\index{Zakeri, Gholem-All}
 \begin{chunk}{ignore}
 \bibitem[Marc 94]{Marc94} Marchisotto, Elena Anne; Zakeri, Gholem-All
 ``An Invitation to Integration in Finite Terms''
@@ -3063,6 +3960,7 @@ College Mathematics Journal Vol 25 No 4 (1994) pp295-308
 
 \end{chunk}
 
+\index{Marik, Jan}
 \begin{chunk}{ignore}
 \bibitem[Marik 91]{Mari91} Marik, Jan
 ``A note on integration of rational functions''
@@ -3078,6 +3976,7 @@ College Mathematics Journal Vol 25 No 4 (1994) pp295-308
 
 \end{chunk}
 
+\index{Moses, Joel}
 \begin{chunk}{ignore}
 \bibitem[Moses 76]{Mos76} Moses, Joel
 ``An introduction to the Risch Integration Algorithm''
@@ -3093,6 +3992,7 @@ ACM Proc. 1976 annual conference pp425-428
 
 \end{chunk}
 
+\index{Moses, Joel}
 \begin{chunk}{ignore}
 \bibitem[Moses 71a]{Mos71a} Moses, Joel
 ``Symbolic Integration: The Stormy Decade''
@@ -3114,6 +4014,8 @@ CACM Aug 1971 Vol 14 No 8 pp548-560
 
 \end{chunk}
 
+\index{Norman, Arthur C.}
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Norman 79]{Nor79} Norman, A.C.; Davenport, J.H.
 ``Symbolic Integration -- The Dust Settles?''
@@ -3132,6 +4034,7 @@ CACM Aug 1971 Vol 14 No 8 pp548-560
 
 \end{chunk}
 
+\index{Ostrowski, A.}
 \begin{chunk}{ignore}
 \bibitem[Ostrowski 46]{Ost46} Ostrowski, A.
 ``Sur l'int\'egrabilit\'e \'el\'ementaire de quelques classes
@@ -3141,6 +4044,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Raab, Clemens G.}
 \begin{chunk}{ignore}
 \bibitem[Raab 12]{Raab12} Raab, Clemens G.
 ``Definite Integration in Differential Fields''
@@ -3198,6 +4102,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Raab, Clemens G.}
 \begin{chunk}{ignore}
 \bibitem[Raab 13]{Raab13} Raab, Clemens G.
 ``Generalization of Risch's Algorithm to Special Functions''
@@ -3217,6 +4122,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Raab, Clemens G.}
 \begin{chunk}{ignore}
 \bibitem[Raab xx]{Raabxx} Raab, Clemens G.
 ``Integration in finite terms for Liouvillian functions''
@@ -3246,6 +4152,8 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Rich, Albert D.}
+\index{Jeffrey, David J.}
 \begin{chunk}{ignore}
 \bibitem[Rich 09]{Rich09} Rich, A.D.; Jeffrey, D.J.
 ``A Knowledge Repository for Indefinite Integration Based on Transformation Rules''
@@ -3265,6 +4173,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Risch, Robert}
 \begin{chunk}{axiom.bib}
 @techreport{Risc68,
   author = "Risch, Robert",
@@ -3278,6 +4187,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Risch, Robert}
 \begin{chunk}{axiom.bib}
 @techreport{Risc69a,
   author = "Risch, Robert",
@@ -3291,6 +4201,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Risch, Robert}
 \begin{chunk}{axiom.bib}
 @article{Risc69b,
   author = "Risch, Robert",
@@ -3307,6 +4218,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Risch, Robert}
 \begin{chunk}{axiom.bib}
 @article{Risc70,
   author = "Risch, Robert",
@@ -3334,6 +4246,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Risch, Robert}
 \begin{chunk}{axiom.bib}
 @article{Risc79,
   author = "Risch, Robert",
@@ -3346,6 +4259,7 @@ Comm. Math. Helv., Vol 18 pp 283-308, (1946)
 
 \end{chunk}
 
+\index{Ritt, Joseph Fels}
 \begin{chunk}{ignore}
 \bibitem[Ritt 48]{Ritt48} Ritt, J.F.
 ``Integration in Finite Terms''
@@ -3354,6 +4268,7 @@ Columbia University Press, New York 1948
 
 \end{chunk}
 
+\index{Rosenlicht, Maxwell}
 \begin{chunk}{ignore}
 \bibitem[Rosenlicht 68]{Ro68} Rosenlicht, Maxwell
 ``Liouville's Theorem on Functions with Elementary Integrals''
@@ -3378,6 +4293,7 @@ Pacific Journal of Mathematics Vol 24 No 1 (1968)
 
 \end{chunk}
 
+\index{Rosenlicht, Maxwell}
 \begin{chunk}{axiom.bib}
 @article{Rose72,
   author = "Rosenlicht, Maxwell",
@@ -3391,6 +4307,7 @@ Pacific Journal of Mathematics Vol 24 No 1 (1968)
 
 \end{chunk}
 
+\index{Rothstein, Michael}
 \begin{chunk}{ignore}
 \bibitem[Rothstein 76]{Ro76} Rothstein, Michael
 ``Aspects of symbolic integration and simplifcation of exponential
@@ -3418,6 +4335,8 @@ PhD thesis, University of Wisconsin-Madison (1976)
 
 \end{chunk}
 
+\index{Rothstein, Michael}
+\index{Caviness, Bob F.}
 \begin{chunk}{ignore}
 \bibitem[Rothstein 76a]{Ro76a} Rothstein, Michael; Caviness, B.F.
 ``A structure theorem for exponential and primitive functions: a preliminary 
@@ -3437,6 +4356,8 @@ ACM Sigsam Bulletin Vol 10 Issue 4 (1976)
 
 \end{chunk}
 
+\index{Rothstein, Michael}
+\index{Caviness, Bob F.}
 \begin{chunk}{ignore}
 \bibitem[Rothstein 76b]{Ro76b} Rothstein, Michael; Caviness, B.F.
 ``A structure theorem for exponential and primitive functions''
@@ -3454,6 +4375,7 @@ SIAM J. Computing Vol 8 No 3 (1979)
 
 \end{chunk}
 
+\index{Rothstein, Michael}
 \begin{chunk}{axiom.bib}
 @article{Roth77,
   author = "Rothstein, Michael",
@@ -3467,6 +4389,7 @@ SIAM J. Computing Vol 8 No 3 (1979)
 
 \end{chunk}
 
+\index{Seidenberg, Abraham}
 \begin{chunk}{ignore}
 \bibitem[Seidenberg 58]{Sei58} Seidenberg, Abraham
 ``Abstract differential algebra and the analytic case''
@@ -3474,6 +4397,7 @@ Proc. Amer. Math. Soc. Vol 9 pp159-164 (1958)
 
 \end{chunk}
 
+\index{Seidenberg, Abraham}
 \begin{chunk}{ignore}
 \bibitem[Seidenberg 69]{Sei69} Seidenberg, Abraham
 ``Abstract differential algebra and the analytic case. II''
@@ -3481,6 +4405,9 @@ Proc. Amer. Math. Soc. Vol 23 pp689-691 (1969)
 
 \end{chunk}
 
+\index{Singer, Michael F.}
+\index{Saunders, B. David}
+\index{Caviness, Bob F.}
 \begin{chunk}{ignore}
 \bibitem[Singer 85]{Sing85} Singer, M.F.; Saunders, B.D.; Caviness, B.F.
 ``An extension of Liouville's theorem on integration in finite terms''
@@ -3504,6 +4431,7 @@ SIAM J. of Comp. Vol 14 pp965-990 (1985)
 
 \end{chunk}
 
+\index{Slagle, J.}
 \begin{chunk}{ignore}
 \bibitem[Slagle 61]{Slag61} Slagle, J.
 ``A heuristic program that solves symbolic integration problems in 
@@ -3513,6 +4441,7 @@ Ph.D Diss. MIT, May 1961; also Computers and Thought, Feigenbaum and Feldman.
 
 \end{chunk}
 
+\index{Terelius, Bjorn}
 \begin{chunk}{ignore}
 \bibitem[Terelius 09]{Tere09} Terelius, Bjorn
 ``Symbolic Integration''
@@ -3544,6 +4473,7 @@ Ph.D Diss. MIT, May 1961; also Computers and Thought, Feigenbaum and Feldman.
 
 \end{chunk}
 
+\index{Trager, Barry M.}
 \begin{chunk}{axiom.bib}
 @article{Trag76,
   author = "Trager, Barry",
@@ -3566,6 +4496,7 @@ Ph.D Diss. MIT, May 1961; also Computers and Thought, Feigenbaum and Feldman.
 
 \end{chunk}
 
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Trager 76a]{Tr76a} Trager, Barry Marshall
 ``Algorithms for Manipulating Algebraic Functions''
@@ -3594,6 +4525,7 @@ MIT Master's Thesis.
 
 \end{chunk}
 
+\index{Trager, Barry M.}
 \begin{chunk}{axiom.bib}
 @phdthesis{Trag84,
   author = "Trager, Barry",
@@ -3612,6 +4544,7 @@ MIT Master's Thesis.
 
 \end{chunk}
 
+\index{W\"urfl, Andreas}
 \begin{chunk}{ignore}
 \bibitem[W\"urfl 07]{Wurf07} W\"urfl, Andreas
 ``Basic Concepts of Differential Algebra''
@@ -3632,6 +4565,7 @@ MIT Master's Thesis.
 
 \section{Partial Fraction Decomposition} %%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Angell, Tom}
 \begin{chunk}{ignore}
 \bibitem[Angell]{Angell} Angell, Tom
 ``Guidelines for Partial Fraction Decomposition''
@@ -3640,6 +4574,7 @@ MIT Master's Thesis.
 
 \end{chunk}
 
+\index{Laval, Philippe B.}
 \begin{chunk}{ignore}
 \bibitem[Laval 08]{Lava08} Laval, Philippe B.
 ``Partial Fractions Decomposition''
@@ -3656,6 +4591,7 @@ MIT Master's Thesis.
 
 \end{chunk}
 
+\index{Rajasekaran, Raja}
 \begin{chunk}{ignore}
 \bibitem[Rajasekaran 14]{Raja14} Rajasekaran, Raja
 ``Partial Fraction Expansion''
@@ -3665,6 +4601,7 @@ MIT Master's Thesis.
 
 \end{chunk}
 
+\index{Wootton, Aaron}
 \begin{chunk}{ignore}
 \bibitem[Wootton 14]{Woot14} Wootton, Aaron
 ``Integration of Rational Functions by Partial Fractions''
@@ -3677,6 +4614,8 @@ MIT Master's Thesis.
 This is used as a reference for the LeftOreRing category, in particular,
 the least left common multiple (lcmCoef) function.
 
+\index{Abramov, Sergei A.}
+\index{van Hoeij, Mark}
 \begin{chunk}{ignore}
 \bibitem[Abramov 97]{Abra97} Abramov, Sergei A.; van Hoeij, Mark
 ``A method for the Integration of Solutions of Ore Equations''
@@ -3689,6 +4628,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Delenclos, Jonathon}
+\index{Leroy, Andr\'e}
 \begin{chunk}{ignore}
 \bibitem[Delenclos 06]{DL06} Delenclos, Jonathon; Leroy, Andr\'e
 ``Noncommutative Symmetric functions and $W$-polynomials''
@@ -3708,6 +4649,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Abramov, Sergei A.}
+\index{Le, H.Q.}
+\index{Li, Ziming}
 \begin{chunk}{ignore}
 \bibitem[Abramov 05]{Abra05} Abramov, S.A.; Le, H.Q.; Li, Z.
 ``Univariate Ore Polynomial Rings in Computer Algebra''
@@ -3724,6 +4668,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{Number Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
+\index{Valente, T.}
+\index{Yui, N.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt89d,
   author = "Kaltofen, E. and Valente, T. and Yui, N.",
@@ -3738,6 +4685,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yui, N.}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt91b,
   author = "Kaltofen, E. and Yui, N.",
@@ -3755,6 +4704,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yui, N.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt84a,
   author = "Kaltofen, E. and Yui, N.",
@@ -3771,6 +4722,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Shoup, Victor}
 \begin{chunk}{ignore}
 \bibitem[Shoup 08]{Sho08} Shoup, Victor
 ``A Computational Introduction to Number Theory''
@@ -3781,6 +4733,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{Sparse Polynomial Interpolation} %%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt07a,
   author = "Kaltofen, Erich and Yang, Zhengfeng and Zhi, Lihong",
@@ -3796,6 +4751,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yang, Zhengfeng}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt07b,
   author = "Kaltofen, Erich and Yang, Zhengfeng",
@@ -3811,6 +4768,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Giesbrecht, Mark}
+\index{Kaltofen, Erich}
+\index{Lee, Wen-shin}
 \begin{chunk}{axiom.bib}
 @Article{Gies03,
   author = "Giesbrecht, Mark and Kaltofen, Erich and Lee, Wen-shin",
@@ -3827,6 +4787,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Giesbrecht, Mark}
+\index{Kaltofen, Erich}
+\index{Lee, Wen-shin}
 \begin{chunk}{axiom.bib}
 @InProceedings{Gies02,
   author = "Giesbrecht, Mark and Kaltofen, Erich and Lee, Wen-shin",
@@ -3842,6 +4805,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lee, Wen-shin}
 \begin{chunk}{axiom.bib}
 @Article{Kalt03b,
   author = "Kaltofen, Erich and Lee, Wen-shin",
@@ -3857,6 +4822,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lee, Wen-shin}
+\index{Lobo, A.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt00a,
   author = "Kaltofen, E. and Lee, W.-s. and Lobo, A.A.",
@@ -3872,6 +4840,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt10b,
   author = "Kaltofen, Erich L.",
@@ -3888,6 +4857,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lakshman, Yagati N.}
+\index{Wiley, J.M.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt90,
   author = "Kaltofen, E. and Lakshman, Y.N. and Wiley, J.M.",
@@ -3903,6 +4875,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lakshman, Yagati N.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt88a,
   author = "Kaltofen, E. and Yagati, Lakshman",
@@ -3919,6 +4893,10 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{Divisions and Algebraic Complexity} %%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Grenet, Bruno}
+\index{Kaltofen, Erich}
+\index{Koiran, Pascal}
+\index{Portier, Natacha}
 \begin{chunk}{axiom.bib}
 @InCollection{Gren11,
   author = "Grenet, Bruno and Kaltofen, Erich L. and Koiran, Pascal 
@@ -3940,6 +4918,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Koiran, Pascal}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt08a,
   author = "Kaltofen, Erich and Koiran, Pascal",
@@ -3954,6 +4934,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kitz, M.A.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Hitz95,
   author = "Kitz, M.A. and Kaltofen, E.",
@@ -3969,6 +4951,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt92a,
   author = "Kaltofen, E.",
@@ -3983,6 +4966,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Cantor, D.G.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Cant91,
   author = "Cantor, D.G. and Kaltofen, E.",
@@ -3998,6 +4983,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt88b,
   author = "Kaltofen, E.",
@@ -4016,6 +5002,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{Polynomial Factorization} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @PhdThesis{Kalt82,
   author = "Kaltofen, E.",
@@ -4031,9 +5018,11 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{von zur Gathen, Joachim}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Gath85,
-  author = "Gathen, Joachim von zur; Kaltofen, E.",
+  author = "{von zur Gathen}, Joachim and Kaltofen, E.",
   title = "Factoring sparse multivariate polynomials",
   journal = "J. Comput. System Sci.",
   year = "1985",
@@ -4046,6 +5035,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lecerf, Gr{\'e}goire}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt11c,
   author = "Kaltofen, Erich and Lecerf, Gr{\'e}goire",
@@ -4060,6 +5051,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Koiran, Pascal}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt05b,
   author = "Kaltofen, Erich and Koiran, Pascal",
@@ -4075,6 +5068,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Koiran, Pascal}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt06a,
   author = "Kaltofen, Erich and Koiran, Pascal",
@@ -4090,6 +5085,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Shoup, Victor}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt97a,
   author = "Kaltofen, E. and Shoup, V.",
@@ -4105,6 +5102,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Shoup, Victor}
 \begin{chunk}{axiom.bib}
 @Article{Kalt98,
   author = "Kaltofen, E. and Shoup, V.",
@@ -4121,6 +5120,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Shoup, Victor}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt95a,
   author = "Kaltofen, E. and Shoup, V.",
@@ -4136,6 +5137,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Diaz, A.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Diaz95,
   author = "Diaz, A. and Kaltofen, E.",
@@ -4151,6 +5154,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Trager, Barry M.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt88,
   author = "Kaltofen, E. and Trager, B.",
@@ -4167,6 +5172,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt85b,
   author = "Kaltofen, E.",
@@ -4182,6 +5188,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt86,
   author = "Kaltofen, E.",
@@ -4196,6 +5203,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt87b,
   author = "Kaltofen, E.",
@@ -4211,6 +5219,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt89,
   author = "Kaltofen, E.",
@@ -4229,6 +5238,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Gao, Shuhong}
+\index{Kaltofen, Erich}
+\index{Lauder, A.}
 \begin{chunk}{axiom.bib}
 @Article{Gao04,
   author = "Gao, Shuhong and Kaltofen, E. and Lauder, A.",
@@ -4245,6 +5257,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt87c,
   author = "Kaltofen, E.",
@@ -4260,6 +5273,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt95b,
   author = "Kaltofen, E.",
@@ -4275,6 +5289,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt85a,
   author = "Kaltofen, E.",
@@ -4290,6 +5305,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{von zur Gathen, Joachim}
 \begin{chunk}{axiom.bib}
 @Article{Gath85a,
   author = "{von zur Gathen}, Joachim and Kaltofen, E.",
@@ -4303,6 +5320,7 @@ Proc ISSAC 97 pp172-175 (1997)
   paper = "Gath85a.ps"
 }
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt85e,
   author = "Kaltofen, E.",
@@ -4319,6 +5337,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt82a,
   author = "Kaltofen, E.",
@@ -4334,6 +5353,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt03,
   author = "Kaltofen, Erich",
@@ -4347,6 +5367,7 @@ Proc ISSAC 97 pp172-175 (1997)
   paper = "Kalt03.pdf"
 }
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt92b,
   author = "Kaltofen, E.",
@@ -4365,6 +5386,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt90c,
   author = "Kaltofen, E.",
@@ -4384,6 +5406,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InCollection{Kalt82b,
   author = "Kaltofen, E.",
@@ -4403,6 +5426,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{Branch Cuts} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Beaumont, James}
+\index{Bradford, Russell}
+\index{Davenport, James H.}
 \begin{chunk}{axiom.bib}
 @article{Beau03,
   author = "Beaumont, James and Bradford, Russell and Davenport, James H.",
@@ -4428,6 +5454,10 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Beaumont, James}
+\index{Bradford, Russell}
+\index{Davenport, James H.}
+\index{Phisanbut, Nalina}
 \begin{chunk}{axiom.bib}
 @article{Beau07,
   author = "Beaumont, James C. and Bradford, Russell J. and 
@@ -4467,10 +5497,15 @@ Proc ISSAC 97 pp172-175 (1997)
    
 \end{chunk}
 
+\index{Bradford, Russell}
+\index{Corless, Robert M.}
+\index{Davenport, James H.}
+\index{Jeffrey, David J.}
+\index{Watt, Stephen M.}
 \begin{chunk}{axiom.bib}
 @article{Brad02,
-  author="Bradford, Russell and Corless, RobertM. and Davenport, JamesH. and 
-          Jeffrey, DavidJ. and Watt, StephenM.",
+  author="Bradford, Russell and Corless, Robert M. and Davenport, James H. and 
+          Jeffrey, David J. and Watt, Stephen M.",
   title="Reasoning about the Elementary Functions of Complex Analysis",
   journal="Annals of Mathematics and Artificial Intelligence",
   year="2002",
@@ -4498,9 +5533,14 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Chyzak, Fr\'ed\'eric}
+\index{Davenport, James H.}
+\index{Koutschan, Christoph}
+\index{Salvy, Bruno}
 \begin{chunk}{axiom.bib}
 @inproceedings{Chyz11,
-  author = "Chyzak, Fr\'ed\'eric and Davenport, James H. and Koutschan, Christoph and Salvy, Bruno",
+  author = "Chyzak, Fr{\'e}d{\'e}ric and Davenport, James H. and 
+            Koutschan, Christoph and Salvy, Bruno",
   title = "On Kahan's Rules for Determining Branch Cuts",
   booktitle = "Proc. 13th Int. Symp. on Symbolic and Numeric Algorithms for Scientific Computing",
   year = "2011",
@@ -4524,6 +5564,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{axiom.bib}
 @article{Dave10,
   author = "Davenport, James",
@@ -4552,6 +5593,10 @@ Proc ISSAC 97 pp172-175 (1997)
   
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Bradford, Russell}
+\index{England, Matthew}
+\index{Wilson, David}
 \begin{chunk}{axiom.bib}
 @article{Dave12,
   author = "Davenport, James H. and Bradford, Russell and England, Matthew 
@@ -4587,6 +5632,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Jeffrey, David J.}
+\index{Norman, Arthur C.}
 \begin{chunk}{axiom.bib}
 @article{Jeff04,
   author = "Jeffrey, D. J. and Norman, A. C.",
@@ -4622,6 +5669,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kahan, W.}
 \begin{chunk}{axiom.bib}
 @inproceedings{Kaha86,
   author = "Kahan, W.",
@@ -4635,6 +5683,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}  
 
+\index{Rich, Albert D.}
+\index{Jeffrey, David J.}
 \begin{chunk}{axiom.bib}
 @article{Rich96,
   author = "Rich, Albert D. and Jeffrey, David J.",
@@ -4670,6 +5720,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Patton, Charles M.}
 \begin{chunk}{axiom.bib}
 @article{Patt96,
   author = "Patton, Charles M.",
@@ -4698,6 +5749,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Squire, Jon S.}
 \begin{chunk}{axiom.bib}
 @article{Squi91,
   author = "Squire, Jon S.",
@@ -4728,6 +5780,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Squire, Jon S.}
 \begin{chunk}{axiom.bib}
 @article{Squi91a,
   editor = "Squire, Jon S.",
@@ -4757,6 +5810,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{Square-free Decomposition } %%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Bernardin, Laurent}
 \begin{chunk}{axiom.bib}
 @article{Bern97,
   author = "Bernardin, Laurent",
@@ -4795,6 +5849,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Ch\'eze, Guillaume}
+\index{Lecerf, Gr{\'e}goire}
 \begin{chunk}{axiom.bib}
 @article{Chez07,
   author = "Ch\'eze, Guillaume and Lecerf, Gr\'egoire",
@@ -4816,6 +5872,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Lecerf, Gr{\'e}goire}
 \begin{chunk}{axiom.bib}
 @article{Lece07,
   author = "Lecerf, Gr\'egoire",
@@ -4839,6 +5896,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Wang, Paul S.}
 \begin{chunk}{axiom.bib}
 @article{Wang77,
   author = "Wang, Paul S.",
@@ -4863,6 +5921,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Wang, Paul S.}
+\index{Trager, Barry M.}
 \begin{chunk}{axiom.bib}
 @article{Wang79,
   author = "Wang, Paul S. and Trager, Barry M.",
@@ -4896,6 +5956,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Yun, David Y.Y}
 \begin{chunk}{axiom.bib}
 @inproceedings{Yun76,
   author = "Yun, D.Y.Y",
@@ -4910,6 +5971,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \section{To Be Classified} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt83,
   author = "Kaltofen, E.",
@@ -4926,6 +5988,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt85,
   author = "Kaltofen, E.",
@@ -4941,6 +6004,7 @@ Proc ISSAC 97 pp172-175 (1997)
  
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @TechReport{Kalt85c,
   author = "Kaltofen, E.",
@@ -4955,6 +6019,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt85d,
   author = "Kaltofen, E.",
@@ -4969,6 +6034,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Miller, G.L.}
+\index{Ramachandran, V.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Mill88,
   author = "Miller, G.L. and Ramachandran, V. and Kaltofen, E.",
@@ -4985,6 +6053,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Gregory, B.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Greg88,
   author = "Gregory, B.; Kaltofen, E.",
@@ -5002,6 +6072,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Rolletschek, H.}
 \begin{chunk}{axiom.bib}
 @Article{Kalt89a,
   author = "Kaltofen, E.; Rolletschek, H.",
@@ -5018,6 +6090,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Unpublished{Kalt89b,
   author = "Kaltofen, E.",
@@ -5031,6 +6104,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @TechReport{Kalt89c,
   author = "Kaltofen, E.",
@@ -5046,6 +6120,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Canny, J.}
+\index{Kaltofen, Erich}
+\index{Lakshman, Yagati N.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Cann89,
   author = "Canny, J. and Kaltofen, E. and Yagati, Lakshman",
@@ -5060,6 +6137,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt90b,
   author = "Kaltofen, E.",
@@ -5076,6 +6154,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Trager, Barry M.}
 \begin{chunk}{axiom.bib}
 @Article{Kalt90d,
   author = "Kaltofen, E.; Trager, B.",
@@ -5093,6 +6173,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Singer, Michael F.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt91a,
   author = "Kaltofen, E. and Singer, M.F.",
@@ -5110,6 +6192,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt93,
   author = "Kaltofen, E.",
@@ -5130,6 +6213,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt93b,
   author = "Kaltofen, E.",
@@ -5146,6 +6230,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Pan, V.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt94,
   author = "Kaltofen, E. and Pan, V.",
@@ -5161,6 +6247,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Samadani, M.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Sama95,
   author = "Samadani, M. and Kaltofen, E.",
@@ -5179,6 +6267,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Erlingsson, U.}
+\index{Kaltofen, Erich}
+\index{Musser, D.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Erli96,
   author = "Erlingsson, U. and Kaltofen, E. and Musser, D.",
@@ -5193,6 +6284,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lobo, A.}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt96,
  author = "Kaltofen, E. and Lobo, A.",
@@ -5207,6 +6300,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Article{Kalt97,
   author = "Kaltofen, E.",
@@ -5231,6 +6325,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Hitz, M.A.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @Unpublished{Hitz97,
   author = "Hitz, M. A. and Kaltofen, E.",
@@ -5244,6 +6340,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Bernardin, Laurent}
+\index{Char, B.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Bern99,
   author = "Bernardin, L. and Char, B. and Kaltofen, E.",
@@ -5258,6 +6357,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{McLean, Michael}
+\index{Norris, Larry}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt02,
   author = "Kaltofen, Erich and McLean, Michael and Norris, Larry",
@@ -5273,6 +6375,11 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Grabmeier, Johannes}
+\index{Kaltofen, Erich}
+\index{Saunders, B. David}
+\index{Corless, Robert M.}
+\index{Watt, Stephen M.}
 \begin{chunk}{axiom.bib}
 @Book{Grab03,
   editor = "Grabmeier, J. and Kaltofen, E. and Weispfenning, V.",
@@ -5296,6 +6403,11 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Li, Bin}
+\index{Sivaramakrishnan, Kartik}
+\index{Yang, Zhengfeng}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt07,
   author = "Kaltofen, Erich and Li, Bin and Sivaramakrishnan, Kartik and
@@ -5313,6 +6425,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Borwein, Peter}
+\index{Kaltofen, Erich}
+\index{Mossinghoff, Michael J.}
 \begin{chunk}{axiom.bib}
 @Article{Borw07,
   author = "Borwein, Peter and Kaltofen, Erich and Mossinghoff, Michael J.",
@@ -5329,6 +6444,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lavin, Mark}
 \begin{chunk}{axiom.bib}
 @Article{Kalt10,
   author = "Kaltofen, Erich and Lavin, Mark",
@@ -5345,6 +6462,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Nehring, Michael}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt11,
   author = "Kaltofen, Erich L. and Nehring, Michael",
@@ -5360,6 +6479,10 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Grenet, Bruno}
+\index{Kaltofen, Erich}
+\index{Koiran, Pascal}
+\index{Portier, Natacha}
 \begin{chunk}{axiom.bib}
 @InProceedings{Gren11a,
   author = "Grenet, Bruno and Kaltofen, Erich L. and Koiran, Pascal 
@@ -5376,6 +6499,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Nehring, Michael}
+\index{Saunders, B. David}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt11a,
   author = "Kaltofen, Erich L. and Nehring, Michael and Saunders, David B.",
@@ -5391,6 +6517,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Lee, Wen-shin}
+\index{Yang, Zhengfeng}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt11b,
   author = "Kaltofen, Erich L. and Lee, Wen-shin and Yang, Zhengfeng",
@@ -5407,6 +6536,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Zhi, Lihong}
 \begin{chunk}{axiom.bib}
 @InProceedings{Guo12,
   author = "Guo, Feng and Kaltofen, Erich L. and Zhi, Lihong",
@@ -5423,6 +6554,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Comer, Matthew T.}
+\index{Pernet, Cl{\'e}ment}
 \begin{chunk}{axiom.bib}
 @InProceedings{Come12a,
   author = "Comer, Matthew T. and Kaltofen, Erich L. and Pernet, Cl{\'e}ment",
@@ -5439,6 +6573,9 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Boyer, Brice B.}
+\index{Comer, Matthew T.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Boye13,
   author = "Boyer, Brice and Comer, Matthew T. and Kaltofen, Erich L.",
@@ -5454,6 +6591,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yang, Zhengfeng}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt13b,
   author = "Kaltofen, Erich and Yang, Zhengfeng",
@@ -5469,6 +6608,7 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt13c,
   author = "Kaltofen, Erich L.",
@@ -5483,6 +6623,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Yang, Zhengfeng}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt14,
   author = "Kaltofen, Erich L. and Yang, Zhengfeng",
@@ -5497,6 +6639,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Kaltofen, Erich}
+\index{Pernet, Cl{\'e}ment}
 \begin{chunk}{axiom.bib}
 @InProceedings{Kalt14a,
   author = "Kaltofen, Erich L. and Pernet, Cl{\'e}ment",
@@ -5511,6 +6655,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Dumas, Jean-Guillaume}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Duma14,
   author = "Dumas, Jean-Guillaume and Kaltofen, Erich L.",
@@ -5524,6 +6670,8 @@ Proc ISSAC 97 pp172-175 (1997)
 
 \end{chunk}
 
+\index{Boyer, Brice B.}
+\index{Kaltofen, Erich}
 \begin{chunk}{axiom.bib}
 @InProceedings{Boye14,
   author = "Boyer, Brice B. and Kaltofen, Erich L.",
@@ -5563,6 +6711,9 @@ Symposium on Symbolic and Algebraic Computation. ACM Press, New York, NY,
 
 \end{chunk}
 
+\index{Augot, D.}
+\index{Charpin, P.}
+\index{Sendrier, N.}
 \begin{chunk}{axiom.bib}
 @article{Augo91,
   author = "Augot, D. and  Charpin, P. and Sendrier, N.",
@@ -5579,6 +6730,8 @@ Symposium on Symbolic and Algebraic Computation. ACM Press, New York, NY,
 
 \end{chunk}
 
+\index{Adams, William W.}
+\index{Loustaunau, Philippe}
 \begin{chunk}{ignore}
 \bibitem[Adams 94]{AL94} 
   author = "Adams, William W. and Loustaunau, Philippe",
@@ -5590,6 +6743,7 @@ American Mathematical Society (1994)
 
 \end{chunk}
 
+\index{Andrews, George E.}
 \begin{chunk}{ignore}
 \bibitem[Andrews 84]{And84} 
   author = "Andrews, George E.",
@@ -5601,6 +6755,7 @@ In Golden and Hussain [GH84]
 
 \end{chunk}
 
+\index{Andrews, George E.}
 \begin{chunk}{ignore}
 \bibitem[Andrews 88]{And88} 
   author = "Andrews, G. E.",
@@ -5649,6 +6804,7 @@ Physik, 75 (suppl. 2), CODEN ZAMMAX, ISSN 0044-2267
 
 \subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Baclawski, Krystian}
 \begin{chunk}{axiom.bib}
 @article{Bacl14,
   author = "Baclawski, Krystian",
@@ -5671,9 +6827,12 @@ Physik, 75 (suppl. 2), CODEN ZAMMAX, ISSN 0044-2267
 
 \end{chunk}
 
+\index{Blair, Fred W.}
+\index{Griesmer, James H.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Blair 70]{BGJ70} 
-  author = "Blair, Fred W and Griesmer, James H. and Jenks, Richard D.",
+  author = "Blair, Fred W. and Griesmer, James H. and Jenks, Richard D.",
   title = "An interactive facility for symbolic mathematics",
   year = "1970",
   pages = "394-419",
@@ -5682,6 +6841,8 @@ Proc. International Computing Symposium, Bonn, Germany,
 
 \end{chunk}
 
+\index{Blair, Fred W.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Blair 70a]{BJ70} 
   author = "Blair, Fred W. and Jenks, Richard D.",
@@ -5692,6 +6853,9 @@ IBM Research Report, RC3062 Sept
 
 \end{chunk}
 
+\index{Broadbery, Peter A.}
+\index{G{\'o}mez-D{\'\i}az, Teresa}
+\index{Watt, Stephen M.}
 \begin{chunk}{axiom.bib}
 \bibitem[Broadbery 95]{BGDW95} 
   author = "Broadbery, P. A. and G{\'o}mez-D{\'\i}az, T. and Watt, S. M.",
@@ -5723,6 +6887,7 @@ IBM Research Report, RC3062 Sept
 
 \end{chunk}
 
+\index{Boehm, Hans-J.}
 \begin{chunk}{axiom.bib}
 \bibitem[Boehm 89]{Boe89} 
 @inproceedings{Boe89,
@@ -5756,6 +6921,10 @@ IBM Research Report, RC3062 Sept
 
 \end{chunk}
 
+\index{Boulton, Richard}
+\index{Hardy, Ruth}
+\index{Gottlieben, Hanne}
+\index{Martin, Ursula}
 \begin{chunk}{axiom.bib}
 @inproceedings{BHGM04,
   author = "Boulton, Richard and Hardy, Ruth and Gottliebsen, Hanne 
@@ -5779,6 +6948,7 @@ IBM Research Report, RC3062 Sept
 
 \end{chunk}
 
+\index{Boulanger, Jean-Louis}
 \begin{chunk}{ignore}
 \bibitem[Boulanger 91]{Bou91} 
   author = "Boulanger, Jean-Louis",
@@ -5790,6 +6960,7 @@ Rapport de DEA Universite dl lille 1
 
 \end{chunk}
 
+\index{Boulanger, Jean-Louis}
 \begin{chunk}{axiom.bib}
 @misc{Bou93a,
   author = "Boulanger, Jean-Louis",
@@ -5802,6 +6973,7 @@ Rapport de DEA Universite dl lille 1
 
 \end{chunk}
 
+\index{Boulanger, Jean-Louis}
 \begin{chunk}{axiom.bib}
 @misc{Bou93b,
   author = "Boulanger, Jean-Louis",
@@ -5822,6 +6994,7 @@ Rapport de DEA Universite dl lille 1
 
 \end{chunk}
 
+\index{Boulanger, Jean-Louis}
 \begin{chunk}{ignore}
 \bibitem[Boulanger 94]{Bou94} 
   author = "Boulanger, J.L.",
@@ -5845,6 +7018,7 @@ ACM SIGPLAN Notices, 30(2) CODEN SINODQ ISSN 0362-1340
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 87]{Bro87} 
   author = "Bronstein, Manuel",
@@ -5855,6 +7029,7 @@ in [Wit87], p18
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 89]{Bro89} 
   author= "Bronstein, M.",
@@ -5874,6 +7049,7 @@ ACM [ACM89] pages   LCCN QA76.95.I59 1989
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 \bibitem[Bronstein 91a]{Bro91a} 
 @inproceedings{Bron91a,
@@ -5898,6 +7074,7 @@ ACM [ACM89] pages   LCCN QA76.95.I59 1989
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 91c]{Bro91c} 
   author = "Bronstein, Manuel",
@@ -5917,6 +7094,7 @@ Springer-Verlag, NY (1991)
 }
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 92]{Bro92} 
   author = "Bronstein, M.",
@@ -5946,6 +7124,7 @@ Springer-Verlag, NY (1991)
 }
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 93]{Bro93} 
   author = "Bronstein, Manuel (ed)",
@@ -5960,6 +7139,7 @@ LCCN QA76.95 I59 1993 ACM order number 505930
 
 \end{chunk}
 
+\index{Brunelli, J.C.}
 \begin{chunk}{ignore}
 \bibitem[Brunelli 08]{Brun08} 
   author = "Brunelli, J.C.",
@@ -5978,6 +7158,8 @@ LCCN QA76.95 I59 1993 ACM order number 505930
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Salvy, Bruno}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 93]{BS93} 
   author = "Bronstein, Manuel and Salvy, Bruno",
@@ -5990,6 +7172,7 @@ In Bronstein [Bro93]   LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @misc{Bro92a,
   author = "Bronstein, Manuel",
@@ -6010,6 +7193,8 @@ In Bronstein [Bro93]   LCCN QA76.95 I59 1993
 
 \end{chunk}
 
+\index{Beneke, T.}
+\index{Schwippert, W.}
 \begin{chunk}{ignore}
 \bibitem[Beneke 94]{BS94} 
   author = "Beneke, T. and Schwippert, W.",
@@ -6023,6 +7208,8 @@ Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Weil, Jacques-Arthur}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 97a]{Bro97a} 
   author = "Bronstein, Manuel and Weil, Jacques-Arthur",
@@ -6047,6 +7234,7 @@ Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
 
 \end{chunk}
 
+\index{Borwein, Jonathan}
 \begin{chunk}{ignore}
 \bibitem[Borwein 00]{Bor00} 
   author = "Borwein, Jonathan",
@@ -6059,6 +7247,8 @@ Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
 
 \end{chunk}
 
+\index{Brown, Ronald}
+\index{Tonks, A.}
 \begin{chunk}{axiom.bib}
 @article{BT94,
   author = "Brown, R. and Tonks, A.",
@@ -6075,6 +7265,8 @@ Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
 
 \end{chunk}
 
+\index{Brown, Ronald}
+\index{Dreckmann, Winfried}
 \begin{chunk}{axiom.bib}
 @misc{Brow95,
   author = "Brown, Ronald and Dreckmann, Winfried",
@@ -6096,6 +7288,8 @@ Elektronik, 43(15) CODEN EKRKAR ISSN 0013-5658
 
 \end{chunk}
 
+\index{Buchberger, Bruno}
+\index{Caviness, Bob F.}
 \begin{chunk}{ignore}
 \bibitem[Buchberger 85]{BC85}  Buchberger, Bruno and Caviness, Bob F. (eds)
 EUROCAL '85: European Conference on Computer Algebra, Linz, Austria, 
@@ -6109,6 +7303,7 @@ LLCN QA155.7.E4 E86
 
 \end{chunk}
 
+\index{Buhl, Soren L.}
 \begin{chunk}{axiom.bib}
 @misc{Buh05, 
   author = "Buhl, Soren L.",
@@ -6119,6 +7314,7 @@ LLCN QA155.7.E4 E86
 
 \end{chunk}
 
+\index{Burge, William H.}
 \begin{chunk}{ignore}
 \bibitem[Burge 91]{Burg91} 
   author = "Burge, W.H.",
@@ -6133,6 +7329,8 @@ LLCN QA155.7.E4 E86
 
 \end{chunk}
 
+\index{Burge, William H.}
+\index{Watt, Stephen M.}
 \begin{chunk}{axiom.bib}
 @techreport{BW87,
   author = "Burge, W. and Watt, S.",
@@ -6146,6 +7344,9 @@ LLCN QA155.7.E4 E86
 
 \end{chunk}
 
+\index{Burge, William H.}
+\index{Watt, Stephen M.}
+\index{Morrison, Scott C.}
 \begin{chunk}{ignore}
 \bibitem[Burge 87a]{BWM87} 
   author = "Burge, William H. and Watt, Stephen M. and Morrison, Scott C.",
@@ -6157,6 +7358,8 @@ in [Wit87], pp9-12
 
 \end{chunk}
 
+\index{Burge, William H.}
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Burge 89]{BW89} 
   author = "Burge, W. H. and Watt, S. M.",
@@ -6171,6 +7374,7 @@ in Davenport [Dav89], LCCN QA155.7.E4E86 1987
 
 \subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Calmet, J.}
 \begin{chunk}{ignore}
 \bibitem[Calmet 94]{Cal94} Calmet, J. (ed)
 Rhine Workshop on Computer Algebra, Proceedings.
@@ -6179,6 +7383,9 @@ Universit{\"a}t Karsruhe, Karlsruhe, Germany 1994
 
 \end{chunk}
 
+\index{Camion, Paul}
+\index{Courteau, Bernard}
+\index{Montpetit, Andre}
 \begin{chunk}{ignore}
 \bibitem[Camion 92]{CCM92} 
   author = "Camion, Paul and Courteau, Bernard and Montpetit, Andre",
@@ -6192,9 +7399,12 @@ Informatique et en Automatique, Le Chesnay, France, 12pp
 
 \end{chunk}
 
+\index{Capriotti, Olga}
+\index{Cohen, Arjeh M.}
+\index{Riem, Manfred}
 \begin{chunk}{ignore}
-\bibitem[Caprotti 00]{CCR00} 
-  author = "Caprotti, Olga and Cohen, Arjeh M. and Riem, Manfred",
+\bibitem[Capriotti 00]{CCR00} 
+  author = "Capriotti, Olga and Cohen, Arjeh M. and Riem, Manfred",
   title = "Java Phrasebooks for Computer Algebra and Automated Deduction",
   url = "http://www.sigsam.org/bulletin/articles/132/paper8.pdf",
   paper = "CCR00.pdf",
@@ -6202,6 +7412,8 @@ Informatique et en Automatique, Le Chesnay, France, 12pp
 
 \end{chunk}
 
+\index{Capriotti, Olga}
+\index{Carlisle, David}
 \begin{chunk}{axiom.bib}
 @misc{CC99,
   author = "Capriotti, O. and Carlisle, D.",
@@ -6213,6 +7425,10 @@ Informatique et en Automatique, Le Chesnay, France, 12pp
 
 \end{chunk}
 
+\index{Capriotti, Olga}
+\index{Cohen, Arjeh M.}
+\index{Cuypers, Hans}
+\index{Sterk, Hans}
 \begin{chunk}{axiom.bib}
 @misc{Capr99,
   author = "Capriotti, Olga and Cohen, Arjeh M. and Cuypers, Hans and 
@@ -6229,6 +7445,8 @@ Informatique et en Automatique, Le Chesnay, France, 12pp
 
 \end{chunk}
 
+\index{Carpent, Quentin}
+\index{Conil, Christophe}
 \begin{chunk}{axiom.bib}
 @misc{Carp04,
   author = "Carpent, Quentin and Conil, Christophe",
@@ -6240,6 +7458,8 @@ Informatique et en Automatique, Le Chesnay, France, 12pp
 
 \end{chunk}
 
+\index{Chudnovsky, David V.}
+\index{Chudnovsky, G.V.}
 \begin{chunk}{axiom.bib}
 @misc{Chu85,
   author = "Chudnovsky, D.V and Chudnovsky, G.V.",
@@ -6252,6 +7472,8 @@ Informatique et en Automatique, Le Chesnay, France, 12pp
 
 \end{chunk}
 
+\index{Chudnovsky, David V.}
+\index{Chudnovsky, G.V.}
 \begin{chunk}{ignore}
 \bibitem[Chudnovsky 87]{Chu87} 
   author = "Chudnovsky, D.V and Chudnovsky, G.V.",
@@ -6263,6 +7485,8 @@ in [Wit87]
 
 \end{chunk}
 
+\index{Chudnovsky, David V.}
+\index{Chudnovsky, G.V.}
 \begin{chunk}{ignore}
 \bibitem[Chudnovsky 89]{Chu89}
   author = "Chudnovsky, D.V. and Chudnovsky, G.V.",
@@ -6275,6 +7499,8 @@ Proc. Natl. Acad. Sci. USA Vol 86
 
 \end{chunk}
 
+\index{Chudnovsky, David V.}
+\index{Jenks, Richard D.}
 \begin{chunk}{axiom.bib}
 @proceedings{CJ86,
   editor = "Chudnovsky, David and Jenks, Richard",
@@ -6289,9 +7515,14 @@ Proc. Natl. Acad. Sci. USA Vol 86
 
 \end{chunk}
 
+\index{Cohen, Arjeh M.}
+\index{Cuypers, Hans}
+\index{Barreiro, Hans}
+\index{Reinaldo, Ernesto}
+\index{Sterk, Hans}
 \begin{chunk}{axiom.bib}
 @misc{Cohe03,
-  author = "Cohen, Arjeh and Cuypers, M. and Barreiro, Hans and 
+  author = "Cohen, Arjeh and Cuypers, H. and Barreiro, Hans and 
             Reinaldo, Ernesto and Sterk, Hans",
   title = "Interactive Mathematical Documents on the Web",
   year = "2003",
@@ -6304,6 +7535,8 @@ Proc. Natl. Acad. Sci. USA Vol 86
 
 \end{chunk}
 
+\index{Cohen, G.}
+\index{Charpin, P.}
 \begin{chunk}{ignore}
 \bibitem[Cohen 91]{CC91} Cohen, G.; Charpin, P.; (ed) 
 EUROCODE '90 International Symposium on
@@ -6314,6 +7547,10 @@ Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
 
 \end{chunk}
 
+\index{Conrad, Marc}
+\index{French, Tim}
+\index{Maple, Carsten}
+\index{Pott, Sandra}
 \begin{chunk}{ignore}
 \bibitem[Conrad (a)]{CFMPxxa} 
   author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
@@ -6334,6 +7571,10 @@ Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
 
 \end{chunk}
 
+\index{Conrad, Marc}
+\index{French, Tim}
+\index{Maple, Carsten}
+\index{Pott, Sandra}
 \begin{chunk}{axiom.bib}
 @misc{CFMPxxb,
   author = "Conrad, Marc and French, Tim and Maple, Carsten and Pott, Sandra",
@@ -6351,6 +7592,9 @@ Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
 
 \end{chunk}
 
+\index{Cuypers, Hans}
+\index{Hendriks, Maxim}
+\index{Knopper, Jan Willem}
 \begin{chunk}{axiom.bib}
 @misc{Cuyp10,
   author = "Cuypers, Hans and Hendriks, Maxim and Knopper, Jan Willem",
@@ -6365,6 +7609,9 @@ Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
 
 \subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Dalmas, St\'ephane}
+\index{Ga\"etano, Marc}
+\index{Watt, Stephen M.}
 \begin{chunk}{axiom.bib}
 @inproceedings{Dalm97,
   author = {Dalmas, St\'ephane and Ga\"etano, Marc and Watt, Stephen},
@@ -6385,6 +7632,7 @@ Coding Theory and Applications Proceedings. Springer-Verlag, Berlin, Germany
 
 \end{chunk}
 
+\index{Dalmas, St\'ephane}
 \begin{chunk}{ignore}
 \bibitem[Dalmas 92]{Dal92} Dalmas, S.
 ``A polymorphic functional language applied to symbolic computation''
@@ -6394,6 +7642,7 @@ In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2
 
 \end{chunk}
 
+\index{Daly, Timothy}
 \begin{chunk}{axiom.bib}
 @misc{Daly88,
   author = "Daly, Timothy",
@@ -6405,6 +7654,7 @@ In Wang [Wan92] pp369-375 ISBN 0-89791-489-9 (soft cover) 0-89791-490-2
 
 \end{chunk}
 
+\index{Daly, Timothy}
 \begin{chunk}{ignore}TPDHERE
 \bibitem[Daly 02]{Dal02} Daly, Timothy
 ``Axiom as open source''
@@ -6415,6 +7665,7 @@ CODEN SIGSBZ ISSN 0163-5824
 
 \end{chunk}
 
+\index{Daly, Timothy}
 \begin{chunk}{ignore}
 \bibitem[Daly 03]{Dal03} Daly, Timothy
 ``The Axiom Wiki Website''
@@ -6423,6 +7674,7 @@ CODEN SIGSBZ ISSN 0163-5824
 
 \end{chunk}
 
+\index{Daly, Timothy}
 \begin{chunk}{ignore}
 \bibitem[Daly 06]{Dal06} Daly, Timothy
 ``Axiom Volume 1: Tutorial''
@@ -6433,6 +7685,7 @@ Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
 
 \end{chunk}
 
+\index{Daly, Timothy}
 \begin{chunk}{ignore}
 \bibitem[Daly 09]{Dal09} Daly, Timothy
 ``The Axiom Literate Documentation''
@@ -6441,6 +7694,7 @@ Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
 
 \end{chunk}
 
+\index{Daly, Timothy}
 \begin{chunk}{ignore}
 \bibitem[Daly 13]{Dal13} Daly, Timothy
 ``Literate Programming in the Large'' 
@@ -6452,6 +7706,7 @@ April 8-9, 2013 Portland Oregon
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 79a]{Dav79a} Davenport, J.H.
 ``What can SCRATCHPAD/370 do?''
@@ -6460,6 +7715,8 @@ VM/370 SPAD.SCRIPTS August 24, 1979 SPAD.SCRIPT
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 80]{Dav80} Davenport, J.H.; Jenks, R.D.
 ``MODLISP -- an Introduction''
@@ -6468,6 +7725,15 @@ Proc LISP80, 1980, and IBM RC8357 Oct 1980
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Gianni, Patrizia}
+\index{Jenks, Richard D.}
+\index{Miller, Victor}
+\index{Morrison, Scott C.}
+\index{Rothstein, Michael}
+\index{Sundaresan, Christine}
+\index{Sutor, Robert S.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 84]{DGJ84} Davenport, J.; Gianni, P.; Jenks, R.;
 Miller, V.; Morrison, S.; Rothstein, M.; Sundaresan, C.; Sutor, R.; 
@@ -6478,6 +7744,7 @@ Mathematical Sciences Department, IBM Thomas Watson Research Center 1984
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 84a]{Dav84a} Davenport, James H.
 ``A New Algebra System''
@@ -6486,6 +7753,7 @@ Mathematical Sciences Department, IBM Thomas Watson Research Center 1984
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 85]{Dav85} Davenport, James H.
 ``The LISP/VM Foundation of Scratchpad II''
@@ -6495,6 +7763,9 @@ IBM Corporation, Yorktown Heights, NY
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Siret, Y.}
+\index{Tournier, E.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 88]{DST88} Davenport, J.H.; Siret, Y.; Tournier, E.
 Computer Algebra: Systems and Algorithms for Algebraic Computation. 
@@ -6505,6 +7776,7 @@ Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 14]{Dav14} Davenport, James H.
 ``Computer Algebra textbook''
@@ -6514,6 +7786,7 @@ Academic Press, New York, NY, USA, 1988, ISBN 0-12-204232-9
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 89]{Dav89} Davenport, J.H. (ed)
 EUROCAL '87 European Conference on Computer Algebra Proceedings 
@@ -6523,6 +7796,8 @@ UK / etc., 1989 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 90]{DT90} Davenport, J. H.; Trager, B. M.
 ``Scratchpad's view of algebra I: Basic commutative algebra''
@@ -6533,6 +7808,9 @@ Report, ATR/1, NAG Ltd., Oxford, 1992
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Gianni, Patrizia}
+\index{Trager, Barry M.}
 \begin{chunk}{axiom.bib}
 @inproceedings{Dave91,
   author = "Davenport, J. H. and Gianni, P. and Trager, B. M.",
@@ -6577,6 +7855,9 @@ Report, ATR/1, NAG Ltd., Oxford, 1992
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Gianni, Patrizia}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 92]{DGT92} Davenport, J. H.;, Gianni, P.; Trager, B. M.
 ``Scratchpad's view of algebra II: A categorical view of factorization''
@@ -6587,6 +7868,7 @@ Downer's Grove, IL, USA and Oxford, UK, December 1992
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 92a]{Dav92a} Davenport, J. H.
 ``The AXIOM system''
@@ -6598,6 +7880,7 @@ Oxford, UK, December 1992
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 92b]{Dav92b} Davenport, J. H.
 ``How does one program in the AXIOM system?''
@@ -6616,6 +7899,8 @@ Grove, IL, USA and Oxford, UK December 1992
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 92c]{DT92} Davenport, J. H.; Trager, B. M.
 ``Scratchpad's view of algebra I: Basic commutative algebra''
@@ -6628,6 +7913,7 @@ December 1992.
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 93]{Dav93} Davenport, J. H.
 ``Primality testing revisited''
@@ -6638,6 +7924,8 @@ Downer's Grove, IL, USA and Oxford, UK, August 1993
 
 \end{chunk}
 
+\index{Davenport, James H.}
+\index{Faure, Christ\'ele}
 \begin{chunk}{ignore}
 \bibitem[Davenport (a)]{DFxx} Davenport, James; Faure, Christ\'ele
 ``The Unknown in Computer Algebra''
@@ -6654,6 +7942,7 @@ Downer's Grove, IL, USA and Oxford, UK, August 1993
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 00]{Dav00} Davenport, James
 ``13th OpenMath Meeting''
@@ -6666,6 +7955,7 @@ May 1984
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 12]{Dav12} Davenport, J.H.
 ``Computer Algebra''
@@ -6674,14 +7964,7 @@ May 1984
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Davenport (b)]{DSTxx} Davenport, J. H.; Siret; Tournier
-``Computer Algebra''  \hfill
-\verb|staff.bath.ac.uk/masjhd/masternew.pdf|
-  keywords = "axiomref",
-
-\end{chunk}
-
+\index{Dewar, Mike C.}
 \begin{chunk}{ignore}
 \bibitem[Dewar 94]{Dew94} Dewar, M. C.
 ``Manipulating Fortran Code in AXIOM and the AXIOM-NAG Link''
@@ -6691,6 +7974,7 @@ and Laine, M. and Valkeila, E. pp1-12 University of Helsinki, Finland (1994)
 
 \end{chunk}
 
+\index{Dewar, Mike C.}
 \begin{chunk}{axiom.bib}
 @misc{Dewa,
  author = "Dewar, Mike",
@@ -6702,6 +7986,8 @@ and Laine, M. and Valkeila, E. pp1-12 University of Helsinki, Finland (1994)
 
 \end{chunk}
 
+\index{Dicrescenzo, C.}
+\index{Duval, Dominique}
 \begin{chunk}{ignore}
 \bibitem[Dicrescenzo 89]{DD89} Dicrescenzo, C.; Duval, D.
 ``Algebraic extensions and algebraic closure in Scratchpad II''
@@ -6711,6 +7997,8 @@ LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
 
 \end{chunk}
 
+\index{Dingle, Adam}
+\index{Fateman, Richard J.}
 \begin{chunk}{ignore}
 \bibitem[Dingle 94]{Din94} Dingle, Adam; Fateman, Richard
 ``Branch Cuts in Computer Algebra''
@@ -6735,6 +8023,7 @@ LCCN QA76.95.I57 1998 Conference held jointly with AAECC-6
 
 \end{chunk}
 
+\index{Dooley, Sam}
 \begin{chunk}{ignore}
 \bibitem[Dooley 99]{Doo99} Dooley, Sam editor.
 ISSAC 99: July 29-31, 1999, Simon Fraser University,
@@ -6745,6 +8034,7 @@ ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
 
 \end{chunk}
 
+\index{Dos Reis, Gabriel}
 \begin{chunk}{ignore}
 \bibitem[Dos Reis 12]{DR12} Dos Reis, Gabriel
 ``A System for Axiomatic Programming''
@@ -6764,6 +8054,7 @@ Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)
 }
 \end{chunk}
 
+\index{Doye, Nicolas James}
 \begin{chunk}{ignore}
 \bibitem[Doye 97]{Doy97} Doye, Nicolas James
 ``Order Sorted Computer Algebra and Coercions''
@@ -6803,6 +8094,7 @@ Ph.D. Thesis University of Bath 1997
 
 \end{chunk}
 
+\index{Doye, Nicolas James}
 \begin{chunk}{ignore}
 \bibitem[Doye 99]{Doy99} Doye, Nicolas J.
 ``Automated coercion for Axiom''
@@ -6813,6 +8105,8 @@ ISBN 1-58113-073-2 LCCN QA76.95.I57 1999 ACM Press
 
 \end{chunk}
 
+\index{Dom\'inguez, C\'esar}
+\index{Rubio, Julio}
 \begin{chunk}{ignore}
 \bibitem[Dominguez 01]{DR01} Dom\'inguez, C\'esar; Rubio, Julio
 ``Modeling Inheritance as Coercion in a Symbolic Computation System''
@@ -6832,8 +8126,11 @@ ISSAC 2001 ACM  1-58113-417-7/01/0007
 
 \end{chunk}
 
+\index{Dunstan, Martin}
+\index{Martin, Ursula}
+\index{Linton, Steve A.}
 \begin{chunk}{ignore}
-\bibitem[Dunstan 97]{Dun97} Dunstan, Martin and Ursula, Martin and 
+\bibitem[Dunstan 97]{Dun97} Dunstan, Martin and Martin, Ursula and 
      Linton, Steve
 ``Embedded Verification Techniques for Computer Algebra Systems''
 Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001
@@ -6842,6 +8139,12 @@ Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001
 
 \end{chunk}
 
+\index{Adams, Andrew A.}
+\index{Dunstan, Martin}
+\index{Gottlieben, Hanne}
+\index{Kelsey, Tom}
+\index{Martin, Ursula}
+\index{Owre, Sam}
 \begin{chunk}{ignore}
 \bibitem[Adams 01]{DGKM01} Adams, Andrew; Dunstan, Martin; Gottliebsen, Hanne;
 Kelsey, Tom; Martin, Ursula; Owre, Sam
@@ -6862,8 +8165,10 @@ TPHOLS 2001, Edinburgh
 
 \end{chunk}
 
+\index{Duval, Dominique}
+\index{Jung, F.}
 \begin{chunk}{ignore}
-\bibitem[Duval 92]{DJ92} Duval D.; Jung, F.
+\bibitem[Duval 92]{DJ92} Duval, D.; Jung, F.
 ``Examples of problem solving using computer algebra''
 IFIP Transactions. A. Computer Science and Technology, A-2 pp133-141, 143 1992
 CODEN ITATEC. ISSN 0926-5473
@@ -6871,6 +8176,7 @@ CODEN ITATEC. ISSN 0926-5473
 
 \end{chunk}
 
+\index{Duval, Dominique}
 \begin{chunk}{ignore}
 \bibitem[Duval 94]{Duv94} Duval, Dominique
 ``Symbolic or algebraic computation?''
@@ -6879,6 +8185,7 @@ Madrid Spain, NAG conference (private copy of paper)
 
 \end{chunk}
 
+\index{Duval, Dominique}
 \begin{chunk}{axiom.bib}
 @article{Duva95,
   author = "Duval, D.",
@@ -6894,6 +8201,8 @@ Madrid Spain, NAG conference (private copy of paper)
 
 \subsection{E} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Er\"ocal, Burcin}
+\index{Stein, William}
 \begin{chunk}{ignore}
 \bibitem[Erocal 10]{ES10} Er\"ocal, Burcin; Stein, William
 ``The Sage Project''
@@ -6912,6 +8221,7 @@ Madrid Spain, NAG conference (private copy of paper)
 
 \subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Fateman, Richard J.}
 \begin{chunk}{ignore}
 \bibitem[Fateman 90]{Fat90} Fateman, R. J.
 ``Advances and trends in the design and construction of algebraic 
@@ -6921,6 +8231,7 @@ In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 
 \end{chunk}
 
+\index{Fateman, Richard J.}
 \begin{chunk}{ignore}
 \bibitem[Fateman 05]{Fat05} Fateman, R. J.
 ``An incremental approach to building a mathematical expert out of software''
@@ -6931,6 +8242,7 @@ In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 
 \end{chunk}
 
+\index{Fateman, Richard J.}
 \begin{chunk}{ignore}
 \bibitem[Fateman 06]{Fat06} Fateman, R. J.
 ``Building Algebra Systems by Overloading Lisp''
@@ -6958,6 +8270,8 @@ In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 
 \end{chunk}
 
+\index{Faure, Christ\'ele}
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Faure 00a]{FDN00a} Faure, Christ\'ele; Davenport, James
 ``Parameters in Computer Algebra''
@@ -6965,6 +8279,8 @@ In Watanabe and Nagata [WN90], pp60-67 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 
 \end{chunk}
 
+\index{Faure, Christ\'ele}
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Faure 00b]{FDN00b} Faure, Christ\'ele; Davenport, James; 
 Naciri, Hanane
@@ -6999,6 +8315,7 @@ Automatique Sept. 2000 No. 4001
 
 \end{chunk}
 
+\index{Fitch, John P.}
 \begin{chunk}{ignore}
 \bibitem[Fitch 84]{Fit84} Fitch, J. P. (ed)
 EUROSAM '84: International Symposium on Symbolic and
@@ -7010,6 +8327,7 @@ LCCN QA155.7.E4 I57 1984
 
 \end{chunk}
 
+\index{Fitch, John P.}
 \begin{chunk}{ignore}
 \bibitem[Fitch 93]{Fit93} Fitch, J. (ed)
 Design and Implementation of Symbolic Computation Systems
@@ -7020,6 +8338,7 @@ Germany / Heildelberg, Germany / London, UK / etc., 1993. ISBN 0-387-57272-4
 
 \end{chunk}
 
+\index{Fogus, Michael}
 \begin{chunk}{ignore}
 \bibitem[Fogus 11]{Fog11} Fogus, Michael
 ``UnConj''
@@ -7028,6 +8347,7 @@ Germany / Heildelberg, Germany / London, UK / etc., 1993. ISBN 0-387-57272-4
 
 \end{chunk}
 
+\index{Fortenbacher, A.}
 \begin{chunk}{ignore}
 \bibitem[Fortenbacher 90]{For90} Fortenbacher, A.
 ``Efficient type inference and coercion in computer algebra''
@@ -7037,6 +8357,7 @@ In Miola [Mio90], pp56-60. ISBN 0-387-52531-9 (New York), 3-540-52531-9
 
 \end{chunk}
 
+\index{Fouche, Francois}
 \begin{chunk}{ignore}
 \bibitem[Fouche 90]{Fou90} Fouche, Francois
 ``Une implantation de l'algorithme de Kovacic en Scratchpad''
@@ -7064,6 +8385,8 @@ Strasbourg, France, 1990 31pp
 
 \subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Gebauer, R{\"u}diger}
+\index{M{\"o}ller, H. Michael}
 \begin{chunk}{ignore}
 \bibitem[Gebauer 86]{GM86} Gebauer, R{\"u}diger; M{\"o}ller, H. Michael
 ``Buchberger's algorithm and staggered linear bases''
@@ -7075,6 +8398,8 @@ ISBN 0-89791-199-7 LCCN QA155.7.E4 A281 1986 ACM order number 505860
 
 \end{chunk}
 
+\index{Gebauer, R{\"u}diger}
+\index{M{\"o}ller, H. Michael}
 \begin{chunk}{ignore}
 \bibitem[Gebauer 88]{GM88} Gebauer, R.; M{\"o}ller, H. M.
 ``On an installation of Buchberger's algorithm''
@@ -7100,6 +8425,9 @@ CODEN JSYCEH ISSN 0747-7171
 
 \end{chunk}
 
+\index{Geddes, K. O.}
+\index{Czapor, S.R.}
+\index{Labahn, George}
 \begin{chunk}{axiom.bib}
 @book{Gedd92,
   author = "Geddes, Keith and Czapor, O. and Stephen R. and Labahn, George",
@@ -7113,6 +8441,7 @@ CODEN JSYCEH ISSN 0747-7171
 
 \end{chunk}
 
+\index{Gianni, Patrizia}
 \begin{chunk}{ignore}
 \bibitem[Gianni 87]{Gia87} Gianni, Patrizia
 ``Primary Decomposition of Ideals''
@@ -7121,6 +8450,8 @@ in [Wit87], pp12-13
 
 \end{chunk}
 
+\index{Gianni, Patrizia}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Gianni 88]{Gia88} Gianni, Patrizia.; Trager, Barry.; 
 Zacharias, Gail.
@@ -7134,6 +8465,7 @@ J. Symbolic Computation 6, 149-167 (1988)
 
 \end{chunk}
 
+\index{Gianni, Patrizia}
 \begin{chunk}{ignore}
 \bibitem[Gianni 89a]{Gia89} Gianni, P. (Patrizia) (ed) 
 Symbolic and Algebraic Computation. 
@@ -7145,6 +8477,8 @@ LCCN QA76.95.I57 1988 Conference held jointly with AAECC-6
 
 \end{chunk}
 
+\index{Gianni, Patrizia}
+\index{Mora, T.}
 \begin{chunk}{ignore}
 \bibitem[Gianni 89b]{GM89} Gianni, P.; Mora, T.
 ``Algebraic solution of systems of polynomial equations using 
@@ -7154,6 +8488,7 @@ In Huguet and Poli [HP89], pp247-257 ISBN 3-540-51082-6 LCCN QA268.A35 1987
 
 \end{chunk}
 
+\index{Gil, I. }
 \begin{chunk}{ignore}
 \bibitem[Gil 92]{Gil92} Gil, I. 
 ``Computation of the Jordan canonical form of a square matrix (using
@@ -7165,6 +8500,7 @@ LCCN QA76.95.I59 1992
 
 \end{chunk}
 
+\index{G{\'o}mez-D{\'\i}az, Teresa}
 \begin{chunk}{ignore}
 \bibitem[Gomez-Diaz 92]{Gom92} G\'omez-D'iaz, Teresa
 ``Quelques applications de l`\'evaluation dynamique''
@@ -7173,6 +8509,7 @@ Ph.D. Thesis L'Universite De Limoges March 1992
 
 \end{chunk}
 
+\index{G{\'o}mez-D{\'\i}az, Teresa}
 \begin{chunk}{ignore}
 \bibitem[Gomez-Diaz 93]{Gom93} G\'omez-D\'iaz, Teresa
 ``Examples of using Dynamic Constructible Closure''
@@ -7189,6 +8526,9 @@ IMACS Symposium SC-1993
 
 \end{chunk}
 
+\index{Goodwin, B. M.}
+\index{Buonopane, R. A.}
+\index{Lee, A.}
 \begin{chunk}{ignore}
 \bibitem[Goodwin 91]{GBL91} Goodwin, B. M.; Buonopane, R. A.; Lee, A.
 ``Using MathCAD in teaching material and energy balance concepts''
@@ -7197,6 +8537,8 @@ In Anonymous [Ano91], pp345-349 (vol. 1) 2 vols.
 
 \end{chunk}
 
+\index{Golden, V. Ellen}
+\index{Hussain, M. A.}
 \begin{chunk}{ignore}
 \bibitem[Golden 4]{GH84} Golden, V. Ellen; Hussain, M. A. (eds)
 Proceedings of the 1984 MACSYMA Users' Conference: 
@@ -7206,6 +8548,7 @@ Schenectady, NY, USA, 1984
 
 \end{chunk}
 
+\index{Gonnet, Gaston H.}
 \begin{chunk}{ignore}
 \bibitem[Gonnet 96]{Gon96} Gonnet, Gaston H.
 ``Official verion 1.0 of the Meta Content Dictionary''
@@ -7214,6 +8557,8 @@ Schenectady, NY, USA, 1984
 
 \end{chunk}
 
+\index{Goodloe, A.}
+\index{Loustaunau, Philippe}
 \begin{chunk}{ignore}
 \bibitem[Goodloe 93]{GL93} Goodloe, A.; Loustaunau, P.
 ``An abstract data type development of graded rings'' 
@@ -7223,6 +8568,9 @@ In Fitch [Fit93], pp193-202. ISBN 0-387-57272-4 (New York),
 
 \end{chunk}
 
+\index{Gottlieben, Hanne}
+\index{Kelsey, Tom}
+\index{Martin, Ursula}
 \begin{chunk}{ignore}
 \bibitem[Gottliebsen 05]{GKM05} Gottliebsen, Hanne; Kelsey, Tom; 
 Martin, Ursula
@@ -7246,6 +8594,7 @@ Journal of Symbolic Computation, Vol39, Num 5, pp539-567 (2005)
 
 \end{chunk}
 
+\index{Gr\"abe, Hans-Gert}
 \begin{chunk}{ignore}
 \bibitem[Grabe 98]{Gra98} Gr\"abe, Hans-Gert
 ``About the Polynomial System Solve Facility of Axiom, Macyma, Maple
@@ -7262,6 +8611,9 @@ Mathematica, MuPAD, and Reduce''
 
 \end{chunk}
 
+\index{Grabmeier, Johannes}
+\index{Huber, K.}
+\index{Krieger, U.}
 \begin{chunk}{ignore}
 \bibitem[Grabmeier 91]{GHK91} Grabmeier, J.; Huber, K.; Krieger, U.
 ``Das ComputeralgebraSystem AXIOM bei kryptologischen und 
@@ -7273,6 +8625,8 @@ Zentrum, Heidelberg, Germany, 1991
 
 \end{chunk}
 
+\index{Grabmeier, Johannes}
+\index{Scheerhorn, A.}
 \begin{chunk}{ignore}
 \bibitem[Grabmeier 92]{GS92} Grabmeier, J.; Scheerhorn, A.
 ``Finite fields in Axiom''
@@ -7285,6 +8639,8 @@ and Technical Report, IBM Heidelberg Scientific Center, 1992
 
 \end{chunk}
 
+\index{Grabmeier, Johannes}
+\index{Kaltofen, Erich}
 \begin{chunk}{ignore}
 \bibitem[Grabmeier 03]{GKW03} Grabmeier, Johannes; Kaltofen, Erich; 
 Weispfenning, Volker (eds)
@@ -7297,6 +8653,8 @@ Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc.,
 
 \end{chunk}
 
+\index{Griesmer, James H.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Griesmer 71]{GJ71} Griesmer, J. H.; Jenks, R.D.
 ``SCRATCHPAD/1 -- an interactive facility for symbolic mathematics''
@@ -7317,6 +8675,8 @@ Manipulation pp45-48
 
 \end{chunk}
 
+\index{Griesmer, James H.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Griesmer 72a]{GJ72a} Griesmer, J.; Jenks, R.
 ``Experience with an online symbolic math system SCRATCHPAD''
@@ -7325,6 +8685,8 @@ in Online'72 [Onl72] ISBN 0-903796-02-3 LCCN QA76.55.O54 1972 Two volumes
 
 \end{chunk}
 
+\index{Griesmer, James H.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Griesmer 72b]{GJ72b} Griesmer, James H.; Jenks, Richard D.
 ``SCRATCHPAD: A capsule view''
@@ -7335,6 +8697,9 @@ James B. Morris (eds.).
 
 \end{chunk}
 
+\index{Griesmer, James H.}
+\index{Jenks, Richard D.}
+\index{Yun, David Y.Y}
 \begin{chunk}{ignore}
 \bibitem[Griesmer 75]{GJY75} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
 ``SCRATCHPAD User's Manual''
@@ -7343,6 +8708,9 @@ IBM Research Publication RA70 June 1975
 
 \end{chunk}
 
+\index{Griesmer, James H.}
+\index{Jenks, Richard D.}
+\index{Yun, David Y.Y}
 \begin{chunk}{ignore}
 \bibitem[Griesmer 76]{GJY76} Griesmer, J.H.; Jenks, R.D.; Yun, D.Y.Y
 ``A Set of SCRATCHPAD Examples''
@@ -7351,6 +8719,8 @@ April 1976 (private copy)
 
 \end{chunk}
 
+\index{Gruntz, Dominik}
+\index{Monagan, Michael B.}
 \begin{chunk}{ignore}
 \bibitem[Gruntz 94]{GM94} Gruntz, D.; Monagan, M.
 ``Introduction to Gauss''
@@ -7360,6 +8730,7 @@ Manipulation), 28(3) pp3-19 August 1994 CODEN SIGSBZ ISSN 0163-5824
 
 \end{chunk}
 
+\index{Gruntz, Dominik}
 \begin{chunk}{ignore}
 \bibitem[Gruntz 96]{Gru96} Gruntz, Dominik
 ``On Computing Limits in a Symbolic Manipulation System''
@@ -7390,6 +8761,7 @@ Diss. ETH No. 11432
 
 \subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Boyle, Ann}
 \begin{chunk}{ignore}
 \bibitem[Boyle 88]{Boyl88} Boyle, Ann
 ``Future Directions for Research in Symbolic Computation''
@@ -7400,6 +8772,9 @@ Soc. for Industrial and Applied Mathematics, Philadelphia (1990)
 
 \end{chunk}
 
+\index{Hassner, Martin}
+\index{Burge, William H.}
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Hassner 87]{HBW87} Hassner, Martin; Burge,  William H.;
 Watt,  Stephen M.
@@ -7410,6 +8785,7 @@ in [Wit87], pp5-8
 
 \end{chunk}
 
+\index{Heck, Andrew}
 \begin{chunk}{ignore}
 \bibitem[Heck 01]{Hec01} Heck, A.
 ``Variables in computer algebra, mathematics and science''
@@ -7419,6 +8795,8 @@ Vol. 8 No. 3 pp195-210 (2001)
 
 \end{chunk}
 
+\index{Huguet, L.}
+\index{Poli, A.}
 \begin{chunk}{ignore}
 \bibitem[Huguet 89]{HP89} Huguet, L.; Poli, A.  (eds).
 Applied Algebra, Algebraic Algorithms and Error-Correcting Codes. 
@@ -7431,6 +8809,9 @@ Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc.,
 
 \subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Jacob, G.}
+\index{Oussous, N. E.}
+\index{Steinberg, S.}
 \begin{chunk}{ignore}
 \bibitem[Jacob 93]{JOS93} Jacob, G.; Oussous, N. E.; Steinberg, S. (eds)
 Proceedings SC 93
@@ -7440,6 +8821,7 @@ Developments. LIFL Univ. Lille, Lille France, 1993
 
 \end{chunk}
 
+\index{Jan{\ss}en, R.}
 \begin{chunk}{ignore}
 \bibitem[Janssen 88]{Jan88} Jan{\ss}en, R. (ed)
 Trends in Computer Algebra, International Symposium
@@ -7451,6 +8833,7 @@ Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc.,
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 69]{Jen69} Jenks, R. D.
 ``META/LISP: An interactive translator writing system''
@@ -7460,6 +8843,7 @@ Watson Research Center, Yorktown Heights, NY, USA, 1969 RC2968 July 1970
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 71]{Jen71} Jenks, R. D.
 ``META/PLUS: The syntax extension facility for SCRATCHPAD''
@@ -7470,6 +8854,7 @@ Watson Research Center, Yorktown Heights, NY, USA, 1971
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 74]{Jen74} Jenks, R. D. 
 ``The SCRATCHPAD language'' 
@@ -7478,6 +8863,7 @@ ACM SIGPLAN Notices, 9(4) pp101-111 1974 CODEN SINODQ. ISSN 0362-1340
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jen76]{Jen76} Jenks, Richard D.
 ``A pattern compiler''
@@ -7490,6 +8876,7 @@ QA9.58.A11 1976
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 79]{Jen79} Jenks, R. D.
 ``MODLISP: An Introduction''
@@ -7498,6 +8885,8 @@ Proc EUROSAM 79, pp466-480, 1979 and IBMRC8073 Jan 1980
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 81]{JT81} Jenks, R.D.; Trager, B.M.
 ``A Language for Computational Algebra''
@@ -7507,6 +8896,8 @@ Snowbird, Utah August, 1981
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 81a]{JT81a} Jenks, R.D.; Trager, B.M.
 ``A Language for Computational Algebra''
@@ -7515,6 +8906,8 @@ SIGPLAN Notices, New York: Association for Computing Machiner, Nov 1981
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 81b]{JT81b} Jenks, R.D.; Trager, B.M.
 ``A Language for Computational Algebra''
@@ -7523,6 +8916,7 @@ IBM Research Report RC8930 IBM Yorktown Heights, NY
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 84a]{Jen84a} Jenks, Richard D.
 ``The new SCRATCHPAD language and system for computer algebra''
@@ -7531,6 +8925,7 @@ In Golden and Hussain [GH84], pp409-??
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 84b]{Jen84b} Jenks, Richard D.
 ``A primer: 11 keys to New Scratchpad''
@@ -7539,6 +8934,9 @@ In Fitch [Fit84], pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Sutor, Robert S.}
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 86]{JWS86} Jenks, Richard D.; Sutor, Robert S.;
 Watt, Stephen M.
@@ -7562,6 +8960,9 @@ Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Sutor, Robert S.}
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 87]{JWS87} Jenks, Richard D.; Sutor, Robert S.; 
 Watt, Stephen M. 
@@ -7572,6 +8973,9 @@ Springer Verlag, (1987)
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Sutor, Robert S.}
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 88]{JSW88} Jenks, R. D.;  Sutor, R. S.; Watt, S. M.
 ``Scratchpad II: An abstract datatype system for mathematical computation''
@@ -7581,6 +8985,7 @@ pp12-?? ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 88a]{Jen88a} Jenks, R. D.
 ``A Guide to Programming in BOOT''
@@ -7590,6 +8995,7 @@ Draft September 5, 1988
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 88b]{Jen88b} Jenks, Richard
 ``The Scratchpad II Computer Algebra System Interactive Environment Users 
@@ -7599,6 +9005,9 @@ Guide''
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Sutor, Robert S.}
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 88c]{JWS88} Jenks, R. D.; Sutor, R. S.; Watt, S. M.
 ``Scratchpad II: an abstract datatype system for mathematical computation''
@@ -7608,6 +9017,8 @@ In Jan{\ss}en
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Sutor, Robert S.}
 \begin{chunk}{axiom.bib}
 @book{Jenk92,
   author = "Jenks, Richard D. and Sutor, Robert S.",
@@ -7620,6 +9031,8 @@ In Jan{\ss}en
 
 \end{chunk}
 
+\index{Jenks, Richard D.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
 \bibitem[Jenks 94]{JT94} Jenks, R. D.; Trager, B. M.
 ``How to make AXIOM into a Scratchpad''
@@ -7629,6 +9042,8 @@ In ACM [ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994
 
 \end{chunk}
 
+\index{Joswig, Michael}
+\index{Takayama, Nobuki}
 \begin{chunk}{ignore}
 \bibitem[Joswig 03]{JT03} Joswig, Michael; Takayama, Nobuki
 ``Algebra, geometry, and software systems''
@@ -7637,6 +9052,7 @@ Springer-Verlag ISBN 3-540-00256-1 p291
 
 \end{chunk}
 
+\index{Joyner, David}
 \begin{chunk}{ignore}
 \bibitem[Joyner 06]{J006} Joyner, David
 ``OSCAS - Maxima''
@@ -7646,6 +9062,7 @@ SIGSAM Communications in Computer Algebra, 157 2006
 
 \end{chunk}
 
+\index{Joyner, David}
 \begin{chunk}{ignore}
 \bibitem[Joyner 14]{JO14} Joyner, David
 ``Links to some open source mathematical programs''
@@ -7656,6 +9073,7 @@ SIGSAM Communications in Computer Algebra, 157 2006
 
 \subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kauers, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Kauers 08]{Kau08} Kauers, Manuel
 ``Integration of Algebraic Functions: A Simple Heuristic for Finding
@@ -7674,6 +9092,8 @@ ISSAC July 2008 ACM 978-1-59593-904 pp133-140
 
 \end{chunk}
 
+\index{Keady, G.}
+\index{Nolan, G.}
 \begin{chunk}{ignore}
 \bibitem[Keady 94]{KN94} Keady, G.; Nolan, G.
 ``Production of Argument SubPrograms in the AXIOM -- NAG
@@ -7686,6 +9106,7 @@ Oxford, UK, 1994
 
 \end{chunk}
 
+\index{Kelsey, Tom}
 \begin{chunk}{ignore}
 \bibitem[Kelsey 99]{Kel99} Kelsey, Tom
 ``Formal Methods and Computer Algebra: A Larch Specification of AXIOM 
@@ -7695,6 +9116,7 @@ Ph.D. Thesis, University of St Andrews, 1999
 
 \end{chunk}
 
+\index{Kelsey, Tom}
 \begin{chunk}{ignore}
 \bibitem[Kelsey 00a]{Kel00a} Kelsey, Tom
 ``Formal specification of computer algebra''
@@ -7713,6 +9135,7 @@ University of St Andrews, 6th April 2000
 
 \end{chunk}
 
+\index{Kelsey, Tom}
 \begin{chunk}{ignore}
 \bibitem[Kelsey 00b]{Kel00b} Kelsey, Tom
 ``Formal specification of computer algebra''
@@ -7722,6 +9145,7 @@ University of St Andrews, 6th April 2000
 
 \end{chunk}
 
+\index{Kendall, W.S.}
 \begin{chunk}{ignore}
 \bibitem[Kendall 99a]{Ken99a} Kendall, W.S.
 ``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''
@@ -7731,6 +9155,7 @@ University of St Andrews, 6th April 2000
 
 \end{chunk}
 
+\index{Kendall, W.S.}
 \begin{chunk}{ignore}
 \bibitem[Kendall 99b]{Ken99b} Kendall, W.S.
 ``Symbolic It\^o calculus in AXIOM: an ongoing story
@@ -7740,8 +9165,9 @@ University of St Andrews, 6th April 2000
 
 \end{chunk}
 
+\index{Koseleff, P.-V.}
 \begin{chunk}{ignore}
-\bibitem[Kosleff 91]{Kos91} P.-V. Koseleff
+\bibitem[Kosleff 91]{Kos91} Koseleff, P.-V. 
 ``Word games in free Lie algebras: several bases and formulas''
 Theoretical Computer Science 79(1) pp241-256 Feb. 1991 CODEN TCSCDI
 ISSN 0304-3975
@@ -7749,6 +9175,9 @@ ISSN 0304-3975
 
 \end{chunk}
 
+\index{Kusche, K.}
+\index{Kutzler, B.}
+\index{Mayr, H.}
 \begin{chunk}{ignore}
 \bibitem[Kusche 89]{KKM89} Kusche, K.; Kutzler, B.; Mayr, H.
 ``Implementation of a geometry theorem proving package in SCRATCHPAD II''
@@ -7759,6 +9188,7 @@ In Davenport [Dav89] pp246-257 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
 
 \subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Lahey, Tim}
 \begin{chunk}{ignore}
 \bibitem[Lahey 08]{Lah08} Lahey, Tim
 ``Sage Integration Testing''
@@ -7767,6 +9197,7 @@ In Davenport [Dav89] pp246-257 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
 
 \end{chunk}
 
+\index{Lambe, Larry A.}
 \begin{chunk}{ignore}
 \bibitem[Lambe 89]{Lam89} Lambe, L. A.
 ``Scratchpad II as a tool for mathematical research''
@@ -7775,6 +9206,7 @@ Notices of the AMS, February 1928 pp143-147
 
 \end{chunk}
 
+\index{Lambe, Larry A.}
 \begin{chunk}{ignore}
 \bibitem[Lambe 91]{Lam91} Lambe, L. A.
 ``Resolutions via homological perturbation''
@@ -7784,6 +9216,7 @@ CODEN JSYCEH ISSN 0747-7171
 
 \end{chunk}
 
+\index{Lambe, Larry A.}
 \begin{chunk}{ignore}
 \bibitem[Lambe 92]{Lam92} Lambe, Larry
 ``Next Generation Computer Algebra Systems AXIOM and the Scratchpad
@@ -7815,6 +9248,7 @@ $21^{st}$ Nordic Congress of Mathematicians 1992
 
 \end{chunk}
 
+\index{Lambe, Larry A.}
 \begin{chunk}{ignore}
 \bibitem[Lambe 93]{Lam93} Lambe, Larry
 ``On Using Axiom to Generate Code''
@@ -7823,6 +9257,8 @@ $21^{st}$ Nordic Congress of Mathematicians 1992
 
 \end{chunk}
 
+\index{Lambe, Larry A.}
+\index{Luczak, Richard}
 \begin{chunk}{ignore}
 \bibitem[Lambe 93a]{LL93} Lambe, Larry; Luczak, Richard
 ``Object-Oriented Mathematical Programming and Symbolic/Numeric Interface''
@@ -7842,6 +9278,7 @@ $3^{rd}$ International Conf. on Expert Systems in Numerical Computing 1993
 
 \end{chunk}
 
+\index{Lebedev, Yuri}
 \begin{chunk}{ignore}
 \bibitem[Lebedev 08]{Leb08} Lebedev, Yuri
 ``OpenMath Library for Computing on Riemann Surfaces''
@@ -7851,6 +9288,7 @@ PhD thesis, Nov 2008 Florida State University
 
 \end{chunk}
 
+\index{LeBlanc, S.E.}
 \begin{chunk}{ignore}
 \bibitem[LeBlanc 91]{LeB91} LeBlanc, S.E.
 ``The use of MathCAD and Theorist in the ChE classroom''
@@ -7859,6 +9297,7 @@ In Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
 
 \end{chunk}
 
+\index{Lecerf, Gr{\'e}goire}
 \begin{chunk}{ignore}
 \bibitem[Lecerf 96]{Le96} Lecerf, Gr\'egoire
 ``Dynamic Evaluation and Real Closure Implementation in Axiom''
@@ -7869,6 +9308,7 @@ June 29, 1996
 
 \end{chunk}
 
+\index{Lecerf, Gr{\'e}goire}
 \begin{chunk}{ignore}
 \bibitem[Lecerf 96a]{Le96a} Lecerf, Gr\'egoire
 ``The Dynamic Real Closure implemented in Axiom''
@@ -7877,6 +9317,7 @@ June 29, 1996
 
 \end{chunk}
 
+\index{Levelt, A. H. M.}
 \begin{chunk}{ignore}
 \bibitem[Levelt 95]{Lev95} Levelt, A. H. M. (ed)
 ISSAC '95: Proceedings of the 1995 International
@@ -7887,8 +9328,10 @@ ISBN 0-89791-699-9 LCCN QA76.95 I59 1995 ACM order number 505950
 
 \end{chunk}
 
+\index{Li, Xin}
+\index{Maza, Marc Moreno}
 \begin{chunk}{ignore}
-\bibitem[Li 06]{LM06} Li, Xin;  Maza, Moreno
+\bibitem[Li 06]{LM06} Li, Xin;  Maza, Marc Moreno
 ``Efficient Implementation of Polynomial Arithmetic in a Multiple-Level 
 Programming Environment''
 Lecture Notes in
@@ -7899,6 +9342,8 @@ Proceedings of International Congress of Mathematical Software ICMS 2006
 
 \end{chunk}
 
+\index{Li, Yue}
+\index{Dos Reis, Gabriel}
 \begin{chunk}{ignore}
 \bibitem[Li 10]{YL10} Li, Yue; Dos Reis, Gabriel
 ``A Quantitative Study of Reductions in Algebraic Libraries''
@@ -7908,6 +9353,8 @@ PASCO 2010
 
 \end{chunk}
 
+\index{Li, Yue}
+\index{Dos Reis, Gabriel}
 \begin{chunk}{ignore}
 \bibitem[Li 11]{YL11} Li, Yue; Dos Reis, Gabriel
 ``An Automatic Parallelization Framework for Algebraic Computation
@@ -7922,6 +9369,8 @@ ISSAC 2011
 
 \end{chunk}
 
+\index{Ligatsikas, Zenon}
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Ligatsikas 96]{Liga96} Ligatsikas, Zenon; Rioboo, Renaud;
 Roy, Marie Francoise
@@ -7936,6 +9385,7 @@ Math. and Computers in Simulation 42 pp 541-549 (1996)
 
 \end{chunk}
 
+\index{Linton, Steve A.}
 \begin{chunk}{ignore}
 \bibitem[Linton 93]{Lin93} Linton, Steve
 ``Vector Enumeration Programs, version 3.04''
@@ -7944,6 +9394,12 @@ Math. and Computers in Simulation 42 pp 541-549 (1996)
 
 \end{chunk}
 
+\index{Liska, Richard}
+\index{Drska, Ladislav}
+\index{Limpouch, Jiri}
+\index{Sinor, Milan}
+\index{Wester, Michael J.}
+\index{Winkler, Franz}
 \begin{chunk}{ignore}
 \bibitem[Liska 97]{LD97} Liska, Richard; Drska, Ladislav; Limpouch, Jiri;
 Sinor, Milan; Wester, Michael; Winkler, Franz
@@ -7954,6 +9410,7 @@ June 2, 1997
 
 \end{chunk}
 
+\index{Lucks, Michael}
 \begin{chunk}{ignore}
 \bibitem[Lucks 86]{Luc86} Lucks, Michael
 ``A fast implementation of polynomial factorization''
@@ -7965,6 +9422,7 @@ LCCN QA155.7.E4 A281 1986 ACM order number 505860
 
 \end{chunk}
 
+\index{Lueken, E. }
 \begin{chunk}{ignore}
 \bibitem[Lueken 77]{Lue77} Lueken, E. 
 ``Ueberlegungen zur Implementierung eines Formelmanipulationssystems''
@@ -7974,6 +9432,8 @@ Braunschweig. Braunschweig, Germany, 1977
 
 \end{chunk}
 
+\index{Lynch, R.}
+\index{Mavromatis, H. A.}
 \begin{chunk}{ignore}
 \bibitem[Lynch 91]{LM91} Lynch, R.; Mavromatis, H. A.
 ``New quantum mechanical perturbation technique
@@ -7986,6 +9446,7 @@ CODEN AJPIAS ISSN 0002-9505
 
 \subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Mahboubi, Assia}
 \begin{chunk}{ignore}
 \bibitem[Mahboubi 05]{Mah05} Mahboubi, Assia 
 ``Programming and certifying the CAD algorithm inside the coq system''
@@ -7995,6 +9456,7 @@ Seminar Proceedings, Schloss Dagstuhl (2005)
 
 \end{chunk}
 
+\index{Mathews, J. }
 \begin{chunk}{ignore}
 \bibitem[Mathews 89]{Mat89} Mathews, J. 
 ``Symbolic computational algebra applied to Picard iteration''
@@ -8004,6 +9466,7 @@ ISSN 0730-8639
 
 \end{chunk}
 
+\index{McJones, Paul}
 \begin{chunk}{ignore}
 \bibitem[McJones 11]{McJ11} McJones, Paul
 ``Software Presentation Group -- Common Lisp family''
@@ -8012,6 +9475,8 @@ ISSN 0730-8639
 
 \end{chunk}
 
+\index{Melachrinoudis, E.}
+\index{Rumpf, D. L.}
 \begin{chunk}{ignore}
 \bibitem[Melachrinoudis 90]{MR90} Melachrinoudis, E.; Rumpf, D. L.
 ``Teaching advantages of transparent computer software -- MathCAD''
@@ -8020,6 +9485,7 @@ CoED, 10(1) pp71-76, January-March 1990 CODEN CWLJDP ISSN 0736-8607
 
 \end{chunk}
 
+\index{Miola, A.}
 \begin{chunk}{ignore}
 \bibitem[Miola 90]{Mio90} Miola, A. (ed)
 ``Design and Implementation of Symbolic Computation Systems''
@@ -8032,6 +9498,7 @@ Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc.,
 
 \end{chunk}
 
+\index{Miola, A.}
 \begin{chunk}{ignore}
 \bibitem[Miola 93]{Mio93} Miola, A. (ed)
 ``Design and Implementation of Symbolic Computation Systems''
@@ -8043,6 +9510,8 @@ Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc.,
 
 \end{chunk}
 
+\index{Missura, Stephan A.}
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Missura 94]{Miss94} Missura, Stephan A.; Weber, Andreas
 ``Using Commutativity Properties for Controlling Coercions''
@@ -8066,6 +9535,7 @@ Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc.,
 
 \end{chunk}
 
+\index{Monagan, Michael B.}
 \begin{chunk}{ignore}
 \bibitem[Monagan 87]{Mon87} Monagan, Michael B.
 ``Support for Data Structures in Scratchpad II''
@@ -8074,6 +9544,7 @@ in [Wit87], pp17-18
 
 \end{chunk}
 
+\index{Monagan, Michael B.}
 \begin{chunk}{ignore}
 \bibitem[Monagan 93]{Mon93} Monagan, M. B.
 ``Gauss: a parameterized domain of computation system with
@@ -8083,6 +9554,7 @@ In Miola [Mio93], pp81-94 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
 
 \end{chunk}
 
+\index{Mora, T.}
 \begin{chunk}{ignore}
 \bibitem[Mora 89]{Mor89}  Mora, T. (ed)
 Applied Algebra, Algebraic Algorithms and Error-Correcting
@@ -8095,6 +9567,7 @@ ISSAC '88
 
 \end{chunk}
 
+\index{Moses, Joel}
 \begin{chunk}{ignore}
 \bibitem[Moses 71]{Mos71} Moses, Joel
 ``Algebraic Simplification: A Guide for the Perplexed''
@@ -8103,6 +9576,7 @@ CACM August 1971 Vol 14 No. 8 pp527-537
 
 \end{chunk}
 
+\index{Moses, Joel}
 \begin{chunk}{ignore}
 \bibitem[Moses 08]{Mos08} Moses, Joel
 ``Macsyma: A Personal History''
@@ -8128,6 +9602,8 @@ Invited Presentation in Milestones in Computer Algebra, May 2008, Tobago
 
 \subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Naylor, William A.}
+\index{Padget, Julian}
 \begin{chunk}{ignore}
 \bibitem[Naylor]{NPxx} Naylor, William;  Padget, Julian
 ``From Untyped to Polymorphically Typed Objects in Mathematical Web 
@@ -8153,6 +9629,7 @@ Services''
 
 \end{chunk}
 
+\index{Naylor, William A.}
 \begin{chunk}{ignore}
 \bibitem[Naylor 95]{N95} Naylor, Bill
 ``Symbolic Interface for an advanced hyperbolic PDE solver''
@@ -8175,6 +9652,8 @@ Services''
 
 \end{chunk}
 
+\index{Naylor, William A.}
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Naylor 00b]{ND00} Naylor, W.A.; Davenport, J.H.
 ``A Monte-Carlo Extension to a Category-Based Type System''
@@ -8198,6 +9677,7 @@ Services''
 
 \end{chunk}
 
+\index{Norman, Arthur C.}
 \begin{chunk}{ignore}
 \bibitem[Norman 75]{Nor75} Norman, A. C.
 ``Computing with formal power series''
@@ -8207,6 +9687,7 @@ Dec. 1975 CODEN ACMSCU ISSN 0098-3500
 
 \end{chunk}
 
+\index{Norman, Arthur C.}
 \begin{chunk}{ignore}
 \bibitem[Norman 75a]{Nor75a} Norman, A.C.
 ``The SCRATCHPAD Power Series Package''
@@ -8217,6 +9698,7 @@ IBM T.J. Watson Research RC4998
 
 \subsection{O} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Ollivier, F.}
 \begin{chunk}{ignore}
 \bibitem[Ollivier 89]{Oll89} Ollivier, F.
 ``Inversibility of rational mappings and structural 
@@ -8245,6 +9727,7 @@ interactive computing, Brunel University, Uxbridge, England, 4-7 September
 
 \subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Page, William S.}
 \begin{chunk}{ignore}
 \bibitem[Page 07]{Pa07} Page, William S.
 ``Axiom - Open Source Computer Algebra System''
@@ -8253,6 +9736,7 @@ Poster ISSAC 2007 Proceedings Vol 41 No 3 Sept 2007 p114
 
 \end{chunk}
 
+\index{Petitot, Michel}
 \begin{chunk}{ignore}
 \bibitem[Petitot 90]{Pet90} Petitot, Michel
 ``Types r\'ecursifs en scratchpad, application aux polyn\^omes non
@@ -8262,6 +9746,7 @@ LIFL, 1990
 
 \end{chunk}
 
+\index{Petitot, Michel}
 \begin{chunk}{ignore}
 \bibitem[Petitot 93]{Pet93} Petitot, M.
 ``Experience with Axiom''
@@ -8270,6 +9755,7 @@ In Jacob et al. [JOS93], page 240
 
 \end{chunk}
 
+\index{Petric, S. R.}
 \begin{chunk}{ignore}
 \bibitem[Petric 71]{Pet71} Petric, S. R. (ed)
 Proceedings of the second symposium on Symbolic and
@@ -8279,6 +9765,7 @@ New York, NY 10036, USA, 1971. LCCN QA76.5.S94 1971
 
 \end{chunk}
 
+\index{Pinch, R.G.E.}
 \begin{chunk}{ignore}
 \bibitem[Pinch 93]{Pin93} Pinch, R.G.E.
 ``Some Primality Testing Algorithms''
@@ -8288,6 +9775,7 @@ Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
 
 \end{chunk}
 
+\index{Poll, Erik}
 \begin{chunk}{ignore}
 \bibitem[Poll (b)]{Polxx} Poll, Erik
 ``The type system of Axiom''
@@ -8296,6 +9784,7 @@ Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
 
 \end{chunk}
 
+\index{Purtilo, J.}
 \begin{chunk}{ignore}
 \bibitem[Purtilo 86]{Pur86} Purtilo, J.
 ``Applications of a software interconnection system in mathematical
@@ -8309,6 +9798,7 @@ A281 1986 ACM order number 505860
 
 \subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Joswig, Rainer}
 \begin{chunk}{ignore}
 \bibitem[Rainer 14]{Rain14} Joswig, Rainer
 ``2014: 30+ Years Common Lisp the Language''
@@ -8317,6 +9807,7 @@ A281 1986 ACM order number 505860
 
 \end{chunk}
 
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Rioboo 03a]{Riob03a} Rioboo, Renaud
 ``Quelques aspects du calcul exact avec des nombres r\'eels''
@@ -8326,6 +9817,7 @@ Ph.D. Thesis, Laboratoire d'Informatique Th\'eorique et Programmationg
 
 \end{chunk}
 
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Rioboo 03]{Riob03} Rioboo, Renaud
 ``Towards Faster Real Algebraic Numbers''
@@ -8345,6 +9837,7 @@ J. of Symbolic Computation 36 pp 513-533 (2003)
 
 \end{chunk}
 
+\index{Robidoux, Nicolas}
 \begin{chunk}{ignore}
 \bibitem[Robidoux 93]{Rob93} Robidoux, Nicolas
 ``Does Axiom Solve Systems of O.D.E's Like Mathematica?''
@@ -8367,6 +9860,7 @@ July 1993
 
 \end{chunk}
 
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Rioboo 92]{Rio92} Rioboo, R.
 ``Real algebraic closure of an ordered field, implementation in Axiom''
@@ -8386,6 +9880,7 @@ In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
 
 \end{chunk}
 
+\index{Roesner, K. G.}
 \begin{chunk}{ignore}
 \bibitem[Roesner 95]{Roe95} Roesner, K. G.
 ``Verified solutions for parameters of an exact solution for
@@ -8397,6 +9892,7 @@ Mathematik und Physik, 75 (suppl. 2):S435-S438, 1995 ISSN 0044-2267
 
 \subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Stein, William}
 \begin{chunk}{ignore}
 \bibitem[Sage 14]{Sage14} Stein, William
 ``Sage''
@@ -8405,6 +9901,7 @@ Mathematik und Physik, 75 (suppl. 2):S435-S438, 1995 ISSN 0044-2267
 
 \end{chunk}
 
+\index{Salvy, Bruno}
 \begin{chunk}{ignore}
 \bibitem[Salvy 89]{Sal89} Salvy, B.
 ``Examples of automatic asymptotic expansions''
@@ -8414,6 +9911,7 @@ Inst. Nat. Recherche Inf. Autom., Le Chesnay, France, Dec. 1989 18pp
 
 \end{chunk}
 
+\index{Salvy, Bruno}
 \begin{chunk}{ignore}
 \bibitem[Salvy 91]{Sal91} Salvy, B.
 ``Examples of automatic asymptotic expansions''
@@ -8424,6 +9922,7 @@ April 1991 CODEN SIGSBZ ISSN 0163-5824
 
 \end{chunk}
 
+\index{Saunders, B. David}
 \begin{chunk}{axiom.bib}
 @article{Saun80,
  author = "Saunders, B. David",
@@ -8448,6 +9947,7 @@ April 1991 CODEN SIGSBZ ISSN 0163-5824
 
 \end{chunk}
 
+\index{Sch\"u, J.}
 \begin{chunk}{ignore}
 \bibitem[Schu 92]{Sch92} Sch\"u, J.
 ``Implementing des Cartan-Kuranishi-Theorems in AXIOM''
@@ -8457,6 +9957,7 @@ Kognitive Systeme, Universit\"t Karlsruhe 1992
 
 \end{chunk}
 
+\index{Schwarz, F.}
 \begin{chunk}{ignore}
 \bibitem[Schwarz 88]{Sch88} Schwarz, F.
 ``Programming with abstract data types: the symmetry package SPDE
@@ -8467,6 +9968,7 @@ In Jan{\ss}en [Jan88], pp167-176, ISBN 3-540-18928-9,
 
 \end{chunk}
 
+\index{Schwarz, F.}
 \begin{chunk}{ignore}
 \bibitem[Schwarz 89]{Sch89} Schwarz, F.
 ``A factorization algorithm for linear ordinary differential equations''
@@ -8475,6 +9977,7 @@ In ACM [ACM89], pp17-25 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
 
 \end{chunk}
 
+\index{Schwarz, F.}
 \begin{chunk}{ignore}
 \bibitem[Schwarz 91]{Sch91} Schwarz, F.
 ``Monomial orderings and Gr{\"o}bner bases''
@@ -8484,6 +9987,7 @@ Manipulation) 2591) pp10-23 Jan. 1991 CODEN SIGSBZ ISSN 0163-5824
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
 \begin{chunk}{ignore}
 \bibitem[Seiler 94]{Sei94} Seiler, Werner Markus
 ``Analysis and Application of the Formal Theory of Partial Differential
@@ -8514,6 +10018,7 @@ PhD thesis, School of Physics and Materials, Lancaster University (1994)
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
 \begin{chunk}{ignore}
 \bibitem[Seiler 94a]{Sei94a} Seiler, W.M.
 ``Completion to involution in AXIOM''
@@ -8522,6 +10027,7 @@ in Calmet [Cal94] pp103-104
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
 \begin{chunk}{ignore}
 \bibitem[Sieler 94b]{Sei94b} Seiler, W.M.
 ``Pseudo differential operators and integrable systems in AXIOM''
@@ -8537,6 +10043,7 @@ ISSN 0010-4655
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
 \begin{chunk}{ignore}
 \bibitem[Seiler 95]{Sei95} Seiler, W.M.
 ``Applying AXIOM to partial differential equations''
@@ -8557,6 +10064,8 @@ Internal Report 95-17, Universit\"at Karlsruhe, Fakult\"at f\"ur Informatik
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
+\index{Calmet, J.}
 \begin{chunk}{ignore}
 \bibitem[Seiler 95b]{SC95} Seiler, W.M.; Calmet, J.
 ``JET -- An Axiom Environment for Geometric Computations with Differential
@@ -8574,6 +10083,7 @@ Equations''
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
 \begin{chunk}{ignore}
 \bibitem[Seiler 97]{Sei97} Seiler, Werner M.
 ``Computer Algebra and Differential Equations: An Overview''
@@ -8588,6 +10098,7 @@ Equations''
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
 \begin{chunk}{ignore}
 \bibitem[Seiler (a)]{Seixx} Seiler, W.M.
 ``DETools: A Library for Differential Equations''
@@ -8596,6 +10107,8 @@ Equations''
 
 \end{chunk}
 
+\index{Shannon, D.}
+\index{Sweedler, M.}
 \begin{chunk}{ignore}
 \bibitem[Shannon 88]{SS88} Shannon, D.; Sweedler, M.
 ``Using Gr{\"o}bner bases to determine algebra
@@ -8607,6 +10120,7 @@ Oct.-Dec. 1988 CODEN JSYCEH ISSN 0747-7171
 
 \end{chunk}
 
+\index{Sit, William Y.}
 \begin{chunk}{ignore}
 \bibitem[Sit 89]{Sit89} Sit, W.Y.
 ``On Goldman's algorithm for solving first-order multinomial
@@ -8616,6 +10130,7 @@ LCCN QA268.A35 1998 Conference held jointly with ISSAC '88
 
 \end{chunk}
 
+\index{Sit, William Y.}
 \begin{chunk}{ignore}
 \bibitem[Sit 92]{Sit92} Sit, W.Y.
 ``An algorithm for solving parametric linear systems''
@@ -8642,6 +10157,7 @@ ISSN 0747-7171
 
 \end{chunk}
 
+\index{Sit, Emil}
 \begin{chunk}{ignore}
 \bibitem[Sit 06]{Sit06} Sit, Emil
 ``Tools for Repeatable Research''
@@ -8650,6 +10166,7 @@ ISSN 0747-7171
 
 \end{chunk}
 
+\index{Smedley, Trevor J.}
 \begin{chunk}{ignore}
 \bibitem[Smedley 92]{Sme92} Smedley, Trevor J.
 ``Using pictorial and object oriented programming for computer algebra''
@@ -8662,6 +10179,9 @@ LCCN QA76.76.A65 S95 1992
 
 \end{chunk}
 
+\index{Smith, Jacob}
+\index{Dos Reis, Gabriel}
+\index{Jarvi, Jaakko}
 \begin{chunk}{ignore}
 \bibitem[Smith 07]{SDJ07} Smith, Jacob; Dos Reis, Gabriel; Jarvi, Jaakko
 ``Algorithmic differentiation in Axiom''
@@ -8688,6 +10208,9 @@ Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993
 
 \end{chunk}
 
+\index{Senechaud, P.}
+\index{Siebert, F.}
+\index{Villard, Gilles}
 \begin{chunk}{ignore}
 \bibitem[SSV87]{SSV87} Senechaud, P.; Siebert, F.; Villard G.
 ``Scratchpad II: Pr{\'e}sentation d'un nouveau langage de calcul formel''
@@ -8696,6 +10219,8 @@ Technical Report 640-M, TIM 3 (IMAG), Grenoble, France, Feb 1987
 
 \end{chunk}
 
+\index{Steele, Guy L.}
+\index{Gabriel, Richard P.}
 \begin{chunk}{ignore}
 \bibitem[Steele]{Steele} Steele, Guy L.; Gabriel, Richard P.
 ``The Evolution of Lisp''
@@ -8704,6 +10229,7 @@ Technical Report 640-M, TIM 3 (IMAG), Grenoble, France, Feb 1987
 
 \end{chunk}
 
+\index{Sutor, Robert S.}
 \begin{chunk}{ignore}
 \bibitem[Sutor 85]{Sut85} Sutor, R.S.
 ``The Scratchpad II computer algebra language and system''
@@ -8713,6 +10239,8 @@ In Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
 
 \end{chunk}
 
+\index{Sutor, Robert S.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Sutor 87a]{SJ87a} Sutor, R. S.; Jenks, R. D.
 ``The type inference and coercion facilities in
@@ -8723,6 +10251,7 @@ ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
 
 \end{chunk}
 
+\index{Sutor, Robert S.}
 \begin{chunk}{ignore}
 \bibitem[Sutor 87b]{Su87} Sutor, Robert S.
 ``The Scratchpad II Computer Algebra System. Using and
@@ -8732,6 +10261,8 @@ IBM Course presentation slide deck Spring 1987
 
 \end{chunk}
 
+\index{Sutor, Robert S.}
+\index{Jenks, Richard D.}
 \begin{chunk}{ignore}
 \bibitem[Sutor 87c]{SJ87c} Sutor, Robert S.; Jenks, Richard
 ``The type inference and coercion facilities
@@ -8754,6 +10285,7 @@ IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
 
 \end{chunk}
 
+\index{Sutor, Robert S.}
 \begin{chunk}{ignore}
 \bibitem[Sutor 88]{Su88} Sutor, Robert S.
 ``A guide to programming in the scratchpad 2 interpreter''
@@ -8764,6 +10296,7 @@ IBM Manual, March 1988
 
 \subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Thompson, Simon}
 \begin{chunk}{ignore}
 \bibitem[Thompson 00]{Tho00} Thompson, Simon
 ``Logic and dependent types in the Aldor Computer Algebra System''
@@ -8780,6 +10313,8 @@ IBM Manual, March 1988
 
 \end{chunk}
 
+\index{Thompson, Simon}
+\index{Timochouk, Leonid}
 \begin{chunk}{ignore}
 \bibitem[Thompson (a)]{TTxx} Thompson, Simon; Timochouk, Leonid
 ``The Aldor\-\- language''
@@ -8801,6 +10336,7 @@ IBM Manual, March 1988
 
 \end{chunk}
 
+\index{Touratier, Emmanuel}
 \begin{chunk}{ignore}
 \bibitem[Touratier 98]{Tou98} Touratier, Emmanuel
 ``Etude du typage dans le syst\`eme de calcul scientifique Aldor''
@@ -8812,6 +10348,7 @@ Universit\'e de Limoges 1998
 
 \subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{van der Hoeven, Joris}
 \begin{chunk}{ignore}
 \bibitem[van der Hoeven 14]{JvdH14} van der Hoeven, Joris
 ``Computer algebra systems and TeXmacs''
@@ -8820,6 +10357,7 @@ Universit\'e de Limoges 1998
 
 \end{chunk}
 
+\index{van Hoeij, Mark}
 \begin{chunk}{axiom.bib}
 @article{Hoei94,
   author = "{van Hoeij}, M.",
@@ -8856,6 +10394,8 @@ Universit\'e de Limoges 1998
 
 \end{chunk}
 
+\index{van Hoeij, Mark}
+\index{Novocin, Andrew}
 \begin{chunk}{axiom.bib}
 @misc{Hoei08,
   author = "{van Hoeij}, Mark and Novocin, Andrew",
@@ -8875,6 +10415,7 @@ Universit\'e de Limoges 1998
 
 \end{chunk}
 
+\index{Vasconcelos, Wolmer}
 \begin{chunk}{ignore}
 \bibitem[Vasconcelos 99]{Vas99} Vasconcelos, Wolmer
 ``Computational Methods in Commutative Algebra and Algebraic Geometry''
@@ -8886,6 +10427,7 @@ ISBN 3-540-21311-2
 
 \subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Wang, Dongming}
 \begin{chunk}{ignore}
 \bibitem[Wang 89]{Wan89} Wang, D.
 ``A program for computing the Liapunov functions and Liapunov
@@ -8897,6 +10439,7 @@ CODEN SIGSBZ ISSN 0163-5824
 
 \end{chunk}
 
+\index{Wang, Dongming}
 \begin{chunk}{ignore}
 \bibitem[Wang 91]{Wan91} Wang, Dongming 
 ``Mechanical manipulation for a class of differential systems''
@@ -8906,6 +10449,7 @@ CODEN JSYCEH ISSN 0747-7171
 
 \end{chunk}
 
+\index{Wang, Paul S.}
 \begin{chunk}{ignore}
 \bibitem[Wang 92]{Wan92} Wang, Paul S. (ed)
 International System Symposium on Symbolic and
@@ -8916,6 +10460,8 @@ LCCN QA76.95.I59 1992
 
 \end{chunk}
 
+\index{Watanabe, Shunro}
+\index{Nagata, Morio}
 \begin{chunk}{ignore}
 \bibitem[Watanabe 90]{WN90} Watanabe, Shunro; Nagata, Morio; (ed)
 ISSAC '90 Proceedings of the
@@ -8925,6 +10471,7 @@ New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Watt 85]{Wat85} Watt, Stephen
 ``Bounded Parallelism in Computer Algebra''
@@ -8934,6 +10481,7 @@ PhD Thesis, University of Waterloo
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Watt 86]{Wat86} Watt, S.M.; Della Dora, J.
 ``Algebra Snapshot: Linear Ordinary Differential Operators''
@@ -8943,6 +10491,7 @@ Scratchpad II Newsletter: Vol 1 Num 2 (Jan 1986)
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Watt 87]{Wat87} Watt, Stephen
 ``Domains and Subdomains in Scratchpad II''
@@ -8951,6 +10500,8 @@ in [Wit87], pp3-5
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
+\index{Burge, William H.}
 \begin{chunk}{ignore}
 \bibitem[Watt 87a]{WB87} Watt, Stephen M.; Burge, William H.
 ``Mapping as First Class Objects''
@@ -8959,6 +10510,7 @@ in [Wit87], pp13-17
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Watt 89]{Wat89} Watt, S. M. 
 ``A fixed point method for power series computation''
@@ -8968,8 +10520,12 @@ In Gianni [Gia89], pp206-217 ISBN 3-540-51084-2 LCCN QA76.95.I57
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
+\index{Jenks, Richard D.}
+\index{Sutor, Robert S.}
+\index{Trager, Barry M.}
 \begin{chunk}{ignore}
-\bibitem[Watt 90]{WJST90} Watt, S.M.; Jenks, R.D.; Sutor, R.S.; Trager B.M.
+\bibitem[Watt 90]{WJST90} Watt, S.M.; Jenks, R.D.; Sutor, R.S.; Trager, B.M.
 ``The Scratchpad II type system: Domains and subdomains''
 in A.M. Miola, editor Computing Tools
 for Scientific Problem Solving, Academic Press, New York, 1990
@@ -8977,6 +10533,7 @@ for Scientific Problem Solving, Academic Press, New York, 1990
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Watt 91]{Wat91} Watt, Stephen M. (ed)
 Proceedings of the 1991 International Symposium on
@@ -8987,6 +10544,10 @@ LCCN QA76.95.I59 1991
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
+\index{Dooley, Sam}
+\index{Morrison, Scott C.}
+\index{Sutor, Robert S.}
 \begin{chunk}{ignore}
 \bibitem[Watt 94a]{Wat94a} Watt, Stephen M.; Dooley, S.S.; Morrison, S.C.;
 Steinback, J.M.; Sutor, R.S.
@@ -8996,6 +10557,10 @@ Version 1.0.0 O($\epsilon{}^1$) June 8, 1994
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
+\index{Broadbery, Peter A.}
+\index{Dooley, Sam}
+\index{Iglio, Pietro}
 \begin{chunk}{ignore}
 \bibitem[Watt 94b]{Wat94} Watt, Stephen M.; Broadbery, Peter A.; 
 Dooley, Samuel S.; Iglio, Pietro
@@ -9006,6 +10571,7 @@ IBM Research Report RC19529 (85075) May 12, 1994
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
 \begin{chunk}{ignore}
 \bibitem[Watt 94c]{Wat94c} Watt, Stephen M.
 ``A\# Language Reference Version 0.35''
@@ -9014,6 +10580,13 @@ IBM Research Division Technical Report RC19530 May 1994
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
+\index{Broadbery, Peter A.}
+\index{Dooley, Sam}
+\index{Iglio, Pietro}
+\index{Steinbach, Jonathan M.}
+\index{Morrison, Scott C.}
+\index{Sutor, Robert S.}
 \begin{chunk}{ignore}
 \bibitem[Watt 95]{Wat95} Watt, S.M.; Broadbery, P.A.; Dooley, S.S.; Iglio, P. 
 Steinbach, J.M.; Morrison, S.C.; Sutor, R.S.
@@ -9023,6 +10596,11 @@ The Numerical Algorithms Group (NAG) Ltd, 1994
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
+\index{Broadbery, Peter A.}
+\index{Iglio, Pietro}
+\index{Morrison, Scott C.}
+\index{Steinbach, Jonathan M.}
 \begin{chunk}{ignore}
 \bibitem[Watt 01]{Wat01} Watt, Stephen M.; Broadbery, Peter A.; Iglio, Pietro;
 Morrison, Scott C.; Steinbach, Jonathan M.
@@ -9033,6 +10611,7 @@ IBM T. J. Watson Research Center (2001)
 
 \end{chunk}
 
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 92]{Webe92} Weber, Andreas
 ``Type Systems for Computer Algebra''
@@ -9050,6 +10629,7 @@ IBM T. J. Watson Research Center (2001)
 
 \end{chunk}
 
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 92b]{Webe92b} Weber, Andreas
 ``Structuring the Type System of a Computer Algebra System''
@@ -9070,6 +10650,7 @@ IBM T. J. Watson Research Center (2001)
 
 \end{chunk}
 
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 93b]{Webe93b} Weber, Andreas
 ``Type Systems for Computer Algebra''
@@ -9094,6 +10675,7 @@ IBM T. J. Watson Research Center (2001)
 
 \end{chunk}
 
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 94]{Web94} Weber, Andreas
 ``Algorithms for Type Inference with Coercions''
@@ -9115,6 +10697,7 @@ ISSAC 94 ACM 0-89791-638-7/94/0007
 
 \end{chunk}
 
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 95]{Webe95} Weber, A.
 ``On coherence in computer algebra''
@@ -9135,6 +10718,7 @@ ISSAC 94 ACM 0-89791-638-7/94/0007
 
 \end{chunk}
 
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 96]{Webe96} Weber, Andreas
 ``Computing Radical Expressions for Roots of Unity''
@@ -9149,7 +10733,7 @@ ISSAC 94 ACM 0-89791-638-7/94/0007
 
 \end{chunk}
 
-
+\index{Weber, Andreas}
 \begin{chunk}{ignore}
 \bibitem[Weber 99]{Webe99} Weber, Andreas
 ``Solving Cyclotomic Polynomials by Radical Expressions''
@@ -9168,6 +10752,7 @@ ISSAC 94 ACM 0-89791-638-7/94/0007
 
 \end{chunk}
 
+\index{Wei-Jiang}
 \begin{chunk}{ignore}
 \bibitem[Wei-Jiang 12]{WJ12} Wei-Jiang
 ``Top free algebra System''
@@ -9176,6 +10761,7 @@ ISSAC 94 ACM 0-89791-638-7/94/0007
 
 \end{chunk}
 
+\index{Wester, Michael J.}
 \begin{chunk}{ignore}
 \bibitem[Wester 99]{Wes99} Wester, Michael J.
 ``Computer Algebra Systems''
@@ -9184,6 +10770,7 @@ John Wiley and Sons 1999 ISBN 0-471-98353-5
 
 \end{chunk}
 
+\index{Wexelblat, Richard L.}
 \begin{chunk}{ignore}
 \bibitem[Wexelblat 87]{Wex87} Wexelblat, Richard L. (ed)
 Proceedings of the SIGPLAN '87 Symposium on
@@ -9194,6 +10781,7 @@ LCCN QA76.7.S54 v22:7 SIGPLAN Notices, vol 22, no 7 (July 1987)
 
 \end{chunk}
 
+\index{Wityak, Sandra}
 \begin{chunk}{ignore}
 \bibitem[Wityak 87]{Wit87} Wityak, Sandra
 ``Scratchpad II Newsletter''
@@ -9212,6 +10800,7 @@ Software Preservation Group
 
 \subsection{Y} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Yap, Chee Keng}
 \begin{chunk}{ignore}
 \bibitem[Yap 00]{Yap00} Yap, Chee Keng 
 ``Fundamental Problems of Algorithmic Algebra''
@@ -9220,6 +10809,9 @@ Oxford University Press (2000) ISBN0-19-512516-9
 
 \end{chunk}
 
+\index{Yapp, Clifford}
+\index{Hebisch, Waldek}
+\index{Kaminski, Kai}
 \begin{chunk}{ignore}
 \bibitem[Yapp 07]{Yapp07} Yapp, Clifford; Hebisch, Waldek; Kaminski, Kai
 ``Literate Programming Tools Implemented in ANSI Common Lisp''
@@ -9228,6 +10820,7 @@ Oxford University Press (2000) ISBN0-19-512516-9
 
 \end{chunk}
 
+\index{Yun, David Y.Y}
 \begin{chunk}{ignore}
 \bibitem[Yun 83]{Yun83} Yun, David Y.Y.
 ``Computer Algebra and Complex Analysis''
@@ -9239,6 +10832,7 @@ D. Reidel Publishing Company H. Werner et. al. (eds.)
 
 \subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Zenger, Ch.}
 \begin{chunk}{ignore}
 \bibitem[Zen92]{Zen92} Zenger, Ch.
 ``Gr{\"o}bnerbasen f{\"u}r Differentialformen und ihre
@@ -9249,6 +10843,7 @@ Karlsruhe, Germany, 1992
 
 \end{chunk}
 
+\index{Zippel, Richard}
 \begin{chunk}{ignore}
 \bibitem[Zip92]{Zip92} Zippel, Richard
 ``Algebraic Computation''
@@ -9257,6 +10852,7 @@ Karlsruhe, Germany, 1992
 
 \end{chunk}
 
+\index{Zwillinger, Daniel}
 \begin{chunk}{ignore}
 \bibitem[Zwi92]{Zwi92} Zwillinger, Daniel
 ``Handbook of Integration''
@@ -9268,6 +10864,7 @@ Jones and Bartlett, 1992, ISBN 0-86720-293-9
 
 \subsection{A} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Ablamowicz, Rafal}
 \begin{chunk}{axiom.bib}
 @article{Abla98,
   author = "Ablamowicz, Rafal",
@@ -9282,6 +10879,7 @@ Jones and Bartlett, 1992, ISBN 0-86720-293-9
 
 \end{chunk}
 
+\index{Abramov, Sergei A.}
 \begin{chunk}{axiom.bib}
 @article{Abra06,
   author = "Abramov, Sergey A.",
@@ -9297,6 +10895,8 @@ Jones and Bartlett, 1992, ISBN 0-86720-293-9
 
 \end{chunk}
 
+\index{Abramowitz, Milton}
+\index{Stegun, Irene A.}
 \begin{chunk}{ignore}
 \bibitem[Abramowitz 64]{AS64} Abramowitz, Milton; Stegun, Irene A.
 ``Handbook of Mathematical Functions''
@@ -9304,6 +10904,8 @@ Jones and Bartlett, 1992, ISBN 0-86720-293-9
 
 \end{chunk}
 
+\index{Abramowitz, Milton}
+\index{Stegun, Irene A.}
 \begin{chunk}{ignore}
 \bibitem[Abramowitz 68]{AS68} Abramowitz M; Stegun I A
 ``Handbook of Mathematical Functions''
@@ -9311,6 +10913,7 @@ Dover Publications. (1968)
 
 \end{chunk}
 
+\index{Altmann, Simon L.}
 \begin{chunk}{axiom.bib}
 @book{Altm05,
   author = "Altmann, Simon L.",
@@ -9322,6 +10925,7 @@ Dover Publications. (1968)
 
 \end{chunk}
 
+\index{Ames W F}
 \begin{chunk}{ignore}
 \bibitem[Ames 77]{Ames77} Ames W F
 ``Nonlinear Partial Differential Equations in Engineering''
@@ -9329,6 +10933,7 @@ Academic Press (2nd Edition). (1977)
 
 \end{chunk}
 
+\index{Amos D E}
 \begin{chunk}{ignore}
 \bibitem[Amos 86]{Amos86} Amos D E
 ``Algorithm 644: A Portable Package for Bessel Functions of a Complex 
@@ -9337,6 +10942,7 @@ ACM Trans. Math. Softw. 12 265--273. (1986)
 
 \end{chunk}
 
+\index{Anderson, Edward}
 \begin{chunk}{ignore}
 \bibitem[Anderson 00]{And00} Anderson, Edward
 ``Discontinuous Plane Rotations and the Symmetric Eigenvalue Problem''
@@ -9345,6 +10951,9 @@ December 4, 2000.
 
 \end{chunk}
 
+\index{Anthony G. T.}
+\index{Cox M. G.}
+\index{Hayes J. G.}
 \begin{chunk}{ignore}
 \bibitem[Anthony 82]{ACH82} Anthony G T; Cox M G; Hayes J G
 ``DASL - Data Approximation Subroutine Library''
@@ -9352,8 +10961,10 @@ National Physical Laboratory. (1982)
 
 \end{chunk}
 
+\index{Arno, D.S.}
+\index{Mignotte, M.}
 \begin{chunk}{ignore}
-\bibitem[Arnon 88]{Arno88} Arno, D.S.; MIgnotte, M.
+\bibitem[Arnon 88]{Arno88} Arno, D.S.; Mignotte, M.
 ``On Mechanical Quantifier Elimination for Elementary Algebra and Geometry''
 J. Symbolic Computation 5, 237-259 (1988)
 \verb|http://www.sciencedirect.com/science/article/pii/S0747717188800142/|
@@ -9377,6 +10988,9 @@ J. Symbolic Computation 5, 237-259 (1988)
 
 \end{chunk}
 
+\index{Aubry, Phillippe}
+\index{Lazard, Daniel}
+\index{Maza, Marc Moreno}
 \begin{chunk}{axiom.bib}
 @article{Aubr99,
   author = "Aubry, Phillippe and Lazard, Daniel and {Moreno Maza}, Marc",
@@ -9396,6 +11010,8 @@ J. Symbolic Computation 5, 237-259 (1988)
 
 \end{chunk}
 
+\index{Aubry, Phillippe}
+\index{Maza, Marc Moreno}
 \begin{chunk}{ignore}
 \bibitem[Aubry 96]{Aub96} Aubry, Philippe; Maza, Marc Moreno
 ``Triangular Sets for Solving Polynomial Systems: a Comparison of Four Methods''
@@ -9412,6 +11028,7 @@ J. Symbolic Computation 5, 237-259 (1988)
 
 \subsection{B} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Bailey P. B.}
 \begin{chunk}{ignore}
 \bibitem[Bailey 66]{Bai66} Bailey P B
 ``Sturm-Liouville Eigenvalues via a Phase Function''
@@ -9419,6 +11036,8 @@ SIAM J. Appl. Math . 14 242--249. (1966)
 
 \end{chunk}
 
+\index{Baker, George A.}
+\index{Graves-Morris, Peter}
 \begin{chunk}{ignore}
 \bibitem[Baker 96]{BGM96} Baker, George A.; Graves-Morris, Peter
 ``Pade Approximants''
@@ -9426,6 +11045,7 @@ Cambridge University Press, March 1996 ISBN 9870521450072
 
 \end{chunk}
 
+\index{Baker, Martin}
 \begin{chunk}{ignore}
 \bibitem[Baker 10]{Ba10} Baker, Martin
 ``3D World Simulation''
@@ -9433,6 +11053,7 @@ Cambridge University Press, March 1996 ISBN 9870521450072
 
 \end{chunk}
 
+\index{Baker, Martin}
 \begin{chunk}{axiom.bib}
 @misc{Bake14,
  author = "Baker, Martin",
@@ -9443,6 +11064,8 @@ Cambridge University Press, March 1996 ISBN 9870521450072
 
 \end{chunk}
 
+\index{Kurowski I.}
+\index{Banks D. O.}
 \begin{chunk}{ignore}
 \bibitem[Banks 68]{BK68} Banks D O; Kurowski I
 ``Computation of Eigenvalues of Singular Sturm-Liouville Systems''
@@ -9450,6 +11073,7 @@ Math. Computing. 22 304--310. (1968)
 
 \end{chunk}
 
+\index{Bard Y.}
 \begin{chunk}{ignore}
 \bibitem[Bard 74]{Bard74} Bard Y
 ``Nonlinear Parameter Estimation''
@@ -9457,6 +11081,8 @@ Academic Press. 1974
 
 \end{chunk}
 
+\index{Barrodale I.}
+\index{Roberts F. D. K.}
 \begin{chunk}{ignore}
 \bibitem[Barrodale 73]{BR73} Barrodale I; Roberts F D K
 ``An Improved Algorithm for Discrete $ll_1$ Linear Approximation''
@@ -9464,6 +11090,8 @@ SIAM J. Numer. Anal. 10 839--848. (1973)
 
 \end{chunk}
 
+\index{Barrodale I.}
+\index{Roberts F. D. K.}
 \begin{chunk}{ignore}
 \bibitem[Barrodale 74]{BR74} Barrodale I; Roberts F D K
 ``Solution of an Overdetermined System of Equations in the $ll_1-norm$.''
@@ -9471,6 +11099,7 @@ Comm.  ACM. 17, 6 319--320. (1974)
 
 \end{chunk}
 
+\index{Beauzamy, Bernard}
 \begin{chunk}{ignore}
 \bibitem[Beauzamy 92]{Bea92} Beauzamy, Bernard
 ``Products of polynomials and a priori estimates for
@@ -9480,6 +11109,9 @@ J. Symbolic Computation (1992) 13, 463-472
 
 \end{chunk}
 
+\index{Beauzamy, Bernard}
+\index{Trevisan, Vilmar}
+\index{Wang, Paul S.}
 \begin{chunk}{ignore}
 \bibitem[Beauzamy 93]{Bea93} Beauzamy, Bernard; Trevisan, Vilmar; 
 Wang, Paul S.
@@ -9489,6 +11121,7 @@ J. Symbolic Computation (1993) 15, 393-413
 
 \end{chunk}
 
+\index{Bertrand, Laurent}
 \begin{chunk}{axiom.bib}
 @article{Bert95,
   author = "Bertrand, Laurent",
@@ -9509,6 +11142,9 @@ J. Symbolic Computation (1993) 15, 393-413
 
 \end{chunk}
 
+\index{Berzins M.}
+\index{Brankin R. W.}
+\index{Gladwell I.}
 \begin{chunk}{ignore}
 \bibitem[Berzins 87]{BBG87} Berzins M; Brankin R W; Gladwell I.
 ``Design of the Stiff Integrators in the NAG Library''
@@ -9516,6 +11152,7 @@ Technical Report. TR14/87 NAG. (1987)
 
 \end{chunk}
 
+\index{Berzins M.}
 \begin{chunk}{ignore}
 \bibitem[Berzins 90]{Ber90} Berzins M
 ``Developments in the NAG Library Software for Parabolic Equations''
@@ -9524,6 +11161,8 @@ Chapman and Hall. 59--72.  (1990)
 
 \end{chunk}
 
+\index{Birkhoff, G.}
+\index{Rota, G. C.}
 \begin{chunk}{ignore}
 \bibitem[Birkhoff 62]{BR62} Birkhoff, G; Rota, G C
 ``Ordinary Differential Equations''
@@ -9531,6 +11170,7 @@ Ginn \& Co., Boston and New York. (1962)
 
 \end{chunk}
 
+\index{Boyd, David W.}
 \begin{chunk}{ignore}
 \bibitem[Boyd9 3a]{Boyd93a} Boyd, David W.
 ``Bounds for the Height of a Factor of a Polynomial in
@@ -9540,6 +11180,7 @@ J. Symbolic Computation (1993) 16, 115-130
 
 \end{chunk}
 
+\index{Boyd, David W.}
 \begin{chunk}{ignore}
 \bibitem[Boyd 93b]{Boyd93b} Boyd, David W.
 ``Bounds for the Height of a Factor of a Polynomial in
@@ -9549,14 +11190,20 @@ J. Symbolic Computation (1993) 16, 131-145
 
 \end{chunk}
 
+\index{Braman, K.}
+\index{Byers, R.}
+\index{Mathias, R.}
 \begin{chunk}{ignore}
-\bibitem[Braman 02a]{BBM02a} Braman, K.; Byers, R.; Mathias, R. 
+\bibitem[Braman 02a]{BBM02a} Braman, K.; Byers, R.; Mathias, R.
 ``The Multi-Shift QR Algorithm Part I: Maintaining Well Focused Shifts, 
 and Level 3 Performance''
 SIAM Journal of Matrix Analysis, volume 23, pages 929--947, 2002.
 
 \end{chunk}
 
+\index{Braman, K.}
+\index{Byers, R.}
+\index{Mathias, R.}
 \begin{chunk}{ignore}
 \bibitem[Braman 02b]{BBM02b} Braman, K.; Byers, R.; Mathias, R.
 ``The Multi-Shift QR Algorithm Part II: Aggressive Early Deflation''
@@ -9564,6 +11211,7 @@ SIAM Journal of Matrix Analysis, volume 23, pages 948--973, 2002.
 
 \end{chunk}
 
+\index{Brent, R. P.}
 \begin{chunk}{ignore}
 \bibitem[Brent 75]{Bre75} Brent, R. P. 
 ``Multiple-Precision Zero-Finding Methods and the Complexity 
@@ -9572,6 +11220,8 @@ J. F. Traub, Ed., Academic Press, New York 1975, 151-176
 
 \end{chunk}
 
+\index{Brent, R. P.}
+\index{Kung, H. T.}
 \begin{chunk}{ignore}
 \bibitem[Brent 78]{BK78} Brent, R. P.; Kung, H. T.
 ``Fast Algorithms for Manipulating Formal Power Series''
@@ -9580,6 +11230,7 @@ Vol. 25, No. 4, October 1978, 581-595
 
 \end{chunk}
 
+\index{Brigham E. O.}
 \begin{chunk}{ignore}
 \bibitem[Brigham 73]{Bri73} Brigham E O
 ``The Fast Fourier Transform''
@@ -9587,6 +11238,7 @@ Prentice-Hall. (1973)
 
 \end{chunk}
 
+\index{Brillhart, John}
 \begin{chunk}{ignore}
 \bibitem[Brillhart 69]{Bri69} Brillhart, John
 ``On the Euler and Bernoulli polynomials''
@@ -9594,6 +11246,7 @@ J. Reine Angew. Math., v. 234, (1969), pp. 45-64
 
 \end{chunk}
 
+\index{Brillhart, John}
 \begin{chunk}{ignore}
 \bibitem[Brillhart 90]{Bri90} Brillhart, John
 ``Note on Irreducibility Testing''
@@ -9601,6 +11254,9 @@ Mathematics of Computation, vol. 35, num. 35, Oct. 1980, 1379-1381
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
+\index{Grabmeier, Johannes}
+\index{Weispfenning, V.}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 98a]{Bro98a} Bronstein, M.; Grabmeier, J.; Weispfenning, V. (eds)
 ``Symbolic Rewriting Techniques''
@@ -9609,6 +11265,7 @@ ISBN 3-7643-5901-3 (1998)
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{ignore}
 \bibitem[Bronstein 88]{Bro88} Bronstein, Manual
 ``The Transcendental Risch Differential Equation''
@@ -9627,6 +11284,7 @@ IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @techreport{Bron98,
   author = "Bronstein, Manuel",
@@ -9651,6 +11309,7 @@ IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
 
 \end{chunk}
 
+\index{Bronstein, Manuel}
 \begin{chunk}{axiom.bib}
 @misc{Bro98b,
   author = "Bronstein, Manuel",
@@ -9665,6 +11324,7 @@ IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
 
 \end{chunk}
 
+\index{Brown, Christopher W.}
 \begin{chunk}{ignore}
 \bibitem[Brown 99]{Brow99} Brown, Christopher W.
 ``Solution Formula Construction for Truth Invariant CADs''
@@ -9699,6 +11359,7 @@ Ph.D Thesis, Univ. Delaware (1999)
 
 \end{chunk}
 
+\index{Brown, Christopher W.}
 \begin{chunk}{ignore}
 \bibitem[Brown 02]{Brow02} Brown, Christopher W.
 ``QEPCAD B -- A program for computing with semi-algebraic sets using CADs''
@@ -9718,6 +11379,7 @@ Ph.D Thesis, Univ. Delaware (1999)
 
 \end{chunk}
 
+\index{Burge, William H.}
 \begin{chunk}{axiom.bib}
 @article{Burg74,
   author = "William H. Burge",
@@ -9749,13 +11411,15 @@ Ph.D Thesis, Univ. Delaware (1999)
 
 \subsection{C} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Carlson, B. C.}
 \begin{chunk}{ignore}
-\bibitem[Carlson 65]{Car65} Carlson B C
+\bibitem[Carlson 65]{Car65} Carlson, B C
 ``On Computing Elliptic Integrals and Functions''
 J Math Phys. 44 36--51. (1965)
 
 \end{chunk}
 
+\index{Carlson, B. C.}
 \begin{chunk}{ignore}
 \bibitem[Carlson 77a]{Car77a} Carlson B C
 ``Elliptic Integrals of the First Kind''
@@ -9763,6 +11427,7 @@ SIAM J Math Anal. 8 231--242. (1977)
 
 \end{chunk}
 
+\index{Carlson, B. C.}
 \begin{chunk}{ignore}
 \bibitem[Carlson 77b]{Car77b} Carlson B C
 ``Special Functions of Applied Mathematics''
@@ -9770,6 +11435,7 @@ Academic Press. (1977)
 
 \end{chunk}
 
+\index{Carlson, B. C.}
 \begin{chunk}{ignore}
 \bibitem[Carlson 78]{Car78} Carlson B C,
 ``Computing Elliptic Integrals by Duplication''
@@ -9777,6 +11443,7 @@ Academic Press. (1977)
 
 \end{chunk}
 
+\index{Carlson, B. C.}
 \begin{chunk}{ignore}
 \bibitem[Carlson 88]{Car88} Carlson B C,
 ``A Table of Elliptic Integrals of the Third Kind''
@@ -9784,6 +11451,7 @@ Math. Comput. 51 267--280. (1988)
 
 \end{chunk}
 
+\index{Cauchy, Augustin-Lux}
 \begin{chunk}{ignore}
 \bibitem[Cauchy 1829]{Cau1829} Augustin-Lux Cauchy
 ``Exercices de Math\'ematiques Quatri\`eme Ann\'ee. De Bure Fr\`eres''
@@ -9792,6 +11460,8 @@ Gauthier-Villars, Paris, 1891).
 
 \end{chunk}
 
+\index{Ch\'eze, Guillaume}
+\index{Lecerf, Gr{\'e}goire}
 \begin{chunk}{ignore}
 \bibitem[Ch\`eze 07]{Chez07} Ch\'eze, Guillaume; Lecerf, Gr\'egoire
 ``Lifting and recombination techniques for absolute factorization''
@@ -9807,6 +11477,10 @@ Journal of Complexity, VOl 23 Issue 3 June 2007 pp 380-420
 
 \end{chunk}
 
+\index{Childs, B.}
+\index{Scott, M.}
+\index{Daniel, J. W.}
+\index{Denman, E.}
 \begin{chunk}{ignore}
 \bibitem[Childs 79]{CSDDN79} Childs B; Scott M; Daniel J W; Denman E; 
 Nelson P (eds)
@@ -9815,6 +11489,8 @@ Lecture Notes in Computer Science. 76 (1979) Springer-Verlag
 
 \end{chunk}
 
+\index{Clausen, M.}
+\index{Fortenbacher, A.}
 \begin{chunk}{ignore}
 \bibitem[Clausen 89]{Cla89} Clausen, M.; Fortenbacher, A.
 ``Efficient Solution of Linear Diophantine Equations''
@@ -9822,6 +11498,7 @@ JSC (1989) 8, 201-216
 
 \end{chunk}
 
+\index{Clenshaw, C. W.}
 \begin{chunk}{ignore}
 \bibitem[Clenshaw 55]{Cle55} Clenshaw C W,
 ``A Note on the Summation of Chebyshev Series''
@@ -9829,6 +11506,7 @@ Math. Tables Aids Comput. 9 118--120. (1955)
 
 \end{chunk}
 
+\index{Clenshaw, C. W.}
 \begin{chunk}{ignore}
 \bibitem[Clenshaw 60]{Cle60} Clenshaw C W
 ``Curve Fitting with a Digital Computer''
@@ -9836,6 +11514,7 @@ Comput. J. 2 170--173. (1960)
 
 \end{chunk}
 
+\index{Clenshaw, C. W.}
 \begin{chunk}{ignore}
 \bibitem[Clenshaw 62]{Cle62} Clenshaw C W
 ``Mathematical Tables. Chebyshev Series for Mathematical Functions''
@@ -9843,6 +11522,8 @@ HMSO. (1962)
 
 \end{chunk}
 
+\index{Cline, A. K.}
+\index{Renka, R. L.}
 \begin{chunk}{ignore}
 \bibitem[Cline 84]{CR84} Cline A K; Renka R L,
 ``A Storage-efficient Method for Construction of a Thiessen Triangulation''
@@ -9850,6 +11531,11 @@ Rocky Mountain J. Math. 14 119--139. (1984)
 
 \end{chunk}
 
+\index{Conway, John H.}
+\index{Curtis, R.}
+\index{Norton, S.}
+\index{Parker, R.}
+\index{Wilson, R.}
 \begin{chunk}{ignore}
 \bibitem[Conway 87]{CCNPW87} Conway, J.; Curtis, R.; Norton, S.; Parker, R.;
 Wilson, R.
@@ -9858,6 +11544,8 @@ Oxford, Clarendon Press, 1987
 
 \end{chunk}
 
+\index{Conway, John H.}
+\index{Smith, Derek, A.}
 \begin{chunk}{ignore}
 \bibitem[Conway 03]{CS03} Conway, John H.; Smith, Derek, A.
 ``On Quaternions and Octonions''
@@ -9865,6 +11553,7 @@ A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
 
 \end{chunk}
 
+\index{Cox, M. G.}
 \begin{chunk}{ignore}
 \bibitem[Cox 72]{Cox72} Cox M G
 ``The Numerical Evaluation of B-splines''
@@ -9872,6 +11561,8 @@ J. Inst. Math. Appl. 10 134--149. (1972)
 
 \end{chunk}
 
+\index{Cox, M. G.}
+\index{Hayes, J. G.}
 \begin{chunk}{ignore}
 \bibitem[CH 73]{CH73} Cox M G; Hayes J G
 ``Curve fitting: a guide and suite of algorithms for the 
@@ -9880,6 +11571,7 @@ Report NAC26. National Physical Laboratory.  (1973)
 
 \end{chunk}
 
+\index{Cox, M. G.}
 \begin{chunk}{ignore}
 \bibitem[Cox 74a]{Cox74a} Cox M G
 ``A Data-fitting Package for the Non-specialist User''
@@ -9887,6 +11579,7 @@ Software for Numerical Mathematics. (ed D J Evans) Academic Press. (1974)
 
 \end{chunk}
 
+\index{Cox, M. G.}
 \begin{chunk}{ignore}
 \bibitem[Cox 74b]{Cox74b} Cox M G
 ``Numerical methods for the interpolation and approximation of data 
@@ -9895,6 +11588,7 @@ PhD Thesis. City University, London. (1975)
 
 \end{chunk}
 
+\index{Cox, M. G.}
 \begin{chunk}{ignore}
 \bibitem[Cox 75]{Cox75} Cox M G
 ``An Algorithm for Spline Interpolation''
@@ -9902,6 +11596,7 @@ J. Inst. Math. Appl. 15 95--108. (1975)
 
 \end{chunk}
 
+\index{Cox, M. G.}
 \begin{chunk}{ignore}
 \bibitem[Cox 77]{Cox77} Cox M G
 ``A Survey of Numerical Methods for Data and Function Approximation''
@@ -9911,6 +11606,7 @@ Academic Press. 627--668. (1977)
 
 \end{chunk}
 
+\index{Cox, M. G.}
 \begin{chunk}{ignore}
 \bibitem[Cox 78]{Cox78} Cox M G
 ``The Numerical Evaluation of a Spline from its B-spline Representation''
@@ -9918,6 +11614,9 @@ J. Inst. Math. Appl. 21 135--143. (1978)
 
 \end{chunk}
 
+\index{Curtis, A. R.}
+\index{Powell, M. J. D.}
+\index{Reid, J. K.}
 \begin{chunk}{ignore}
 \bibitem[Curtis 74]{CPR74} Curtis A R; Powell M J D; Reid J K
 ``On the Estimation of Sparse Jacobian Matrices''
@@ -9927,6 +11626,8 @@ J. Inst. Maths Applics. 13 117--119. (1974)
 
 \subsection{D} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Dahlquist, G.}
+\index{Bjork, A.}
 \begin{chunk}{ignore}
 \bibitem[Dahlquist 74]{DB74} Dahlquist G; Bjork A
 ``Numerical Methods''
@@ -9934,6 +11635,8 @@ Prentice- Hall. (1974)
 
 \end{chunk}
 
+\index{Dalmas, St\'ephane}
+\index{Arsac, Olivier}
 \begin{chunk}{ignore}
 \bibitem[Dalmas 98]{DA98} Dalmas, Stephane; Arsac, Olivier
 ``The INRIA OpenMath Library''
@@ -9941,6 +11644,7 @@ Projet SAFIR, INRIA Sophia Antipolis Nov 25, 1998
 
 \end{chunk}
 
+\index{Dantzig, G. B.}
 \begin{chunk}{ignore}
 \bibitem[Dantzig 63]{Dan63} Dantzig G B
 ``Linear Programming and Extensions''
@@ -9948,6 +11652,7 @@ Princeton University Press. (1963)
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport]{Dav} Davenport, James
 ``On Brillhart Irreducibility.''
@@ -9955,6 +11660,7 @@ To appear.
 
 \end{chunk}
 
+\index{Davenport, James H.}
 \begin{chunk}{ignore}
 \bibitem[Davenport 93]{Ref-Dav93} Davenport, J.H.
 ``Primality testing revisited''
@@ -9965,6 +11671,8 @@ and Oxford, UK, August 1993
 
 \end{chunk}
 
+\index{Davis, P. J.}
+\index{Rabinowitz, P.}
 \begin{chunk}{ignore}
 \bibitem[Davis 67]{DR67} Davis P J; Rabinowitz P
 ``Numerical Integration''
@@ -9972,6 +11680,8 @@ Blaisdell Publishing Company. 33--52. (1967)
 
 \end{chunk}
 
+\index{Davis, P. J.}
+\index{Rabinowitz, P.}
 \begin{chunk}{ignore}
 \bibitem[Davis 75]{DR75} Davis P J; Rabinowitz P
 ``Methods of Numerical Integration''
@@ -9979,6 +11689,7 @@ Academic Press. (1975)
 
 \end{chunk}
 
+\index{De Boor, C.}
 \begin{chunk}{ignore}
 \bibitem[DeBoor 72]{DeB72} De Boor C
 ``On Calculating with B-splines''
@@ -9986,6 +11697,7 @@ J. Approx. Theory. 6 50--62. (1972)
 
 \end{chunk}
 
+\index{De Doncker, E.}
 \begin{chunk}{ignore}
 \bibitem[De Doncker 78]{DeD78} De Doncker E,
 ``An Adaptive Extrapolation Algorithm for Automatic Integration''
@@ -9993,6 +11705,7 @@ Signum Newsletter. 13 (2) 12--18. (1978)
 
 \end{chunk}
 
+\index{Demmel, J. W.}
 \begin{chunk}{ignore}
 \bibitem[Demmel 89]{Dem89} Demmel J W
 ``On Floating-point Errors in Cholesky''
@@ -10000,6 +11713,8 @@ LAPACK Working Note No. 14. University of Tennessee, Knoxville. 1989
 
 \end{chunk}
 
+\index{Dennis, J. E. Jr.}
+\index{More, J. J.}
 \begin{chunk}{ignore}
 \bibitem[Dennis 77]{DM77} Dennis J E Jr; More J J
 ``Quasi-Newton Methods, Motivation and Theory''
@@ -10007,6 +11722,8 @@ SIAM Review. 19 46--89. 1977
 
 \end{chunk}
 
+\index{Dennis, J. E. Jr.}
+\index{Schnabel, R. B.}
 \begin{chunk}{ignore}
 \bibitem[Dennis 81]{DS81} Dennis J E Jr; Schnabel R B
 ``A New Derivation of Symmetric Positive-Definite Secant Updates''
@@ -10015,6 +11732,8 @@ Academic Press. 167--199. (1981)
 
 \end{chunk}
 
+\index{Dennis, J. E. Jr.}
+\index{Schnabel, R. B.}
 \begin{chunk}{ignore}
 \bibitem[Dennis 83]{DS83} Dennis J E Jr; Schnabel R B
 ``Numerical Methods for Unconstrained Optimixation and Nonlinear Equations''
@@ -10022,6 +11741,7 @@ Prentice-Hall.(1983)
 
 \end{chunk}
 
+\index{Dierckx, P.}
 \begin{chunk}{ignore}
 \bibitem[Dierckx 75]{Die75} Dierckx P
 ``An Algorithm for Smoothing, Differentiating and Integration of 
@@ -10030,6 +11750,7 @@ J. Comput. Appl. Math. 1 165--184. (1975)
 
 \end{chunk}
 
+\index{Dierckx, P.}
 \begin{chunk}{ignore}
 \bibitem[Dierckx 81]{Die81} Dierckx P
 ``An Improved Algorithm for Curve Fitting with Spline Functions''
@@ -10037,6 +11758,7 @@ Report TW54. Dept. of Computer Science, Katholieke Universiteit Leuven. 1981
 
 \end{chunk}
 
+\index{Dierckx, P.}
 \begin{chunk}{ignore}
 \bibitem[Dierckx 82]{Die82} Dierckx P
 ``A Fast Algorithm for Smoothing Data on a Rectangular Grid while using 
@@ -10045,6 +11767,9 @@ SIAM J. Numer. Anal. 19 1286--1304. (1982)
 
 \end{chunk}
 
+\index{Dongarra, Jack J.}
+\index{Moler, C. B.}
+\index{Bunch, J. R.}
 \begin{chunk}{ignore}
 \bibitem[Dongarra 79]{DMBS79} Dongarra J J; Moler C B; Bunch J R; 
 Stewart G W
@@ -10053,6 +11778,9 @@ SIAM, Philadelphia. (1979)
 
 \end{chunk}
 
+\index{Dongarra, Jack J.}
+\index{Du Croz, Jeremy J.}
+\index{Hammarling, S.}
 \begin{chunk}{ignore}
 \bibitem[Dongarra 85]{DCHH85} Dongarra J J; Du Croz J J; Hammarling S;
 Hanson R J
@@ -10062,6 +11790,8 @@ SIGNUM Newsletter. 20 (1) 2--18. (1985)
 
 \end{chunk}
 
+\index{Dongarra, Jack J.}
+\index{Du Croz, Jeremy J.}
 \begin{chunk}{ignore}
 \bibitem[Dongarra 88]{REF-DON88} Dongarra, Jack J.; Du Croz, Jeremy; 
 Hammarling, Sven; Hanson, Richard J.
@@ -10071,6 +11801,8 @@ pp 1-17
 
 \end{chunk}
 
+\index{Dongarra, Jack J.}
+\index{Du Croz, Jeremy J.}
 \begin{chunk}{ignore}
 \bibitem[Dongarra 88a]{REF-DON88a} Dongarra, Jack J.; Du Croz, Jeremy;
 Hammarling, Sven; Hanson, Richard J.
@@ -10081,6 +11813,8 @@ pp 18-32
 
 \end{chunk}
 
+\index{Dongarra, Jack J.}
+\index{Du Croz, Jeremy J.}
 \begin{chunk}{ignore}
 \bibitem[Dongarra 90]{REF-DON90} Dongarra, Jack J.; Du Croz, Jeremy;
 Hammarling, Sven; Duff, Iain S.
@@ -10090,6 +11824,8 @@ pp 1-17
 
 \end{chunk}
 
+\index{Dongarra, Jack J.}
+\index{Du Croz, Jeremy J.}
 \begin{chunk}{ignore}
 \bibitem[Dongarra 90a]{REF-DON90a} Dongarra, Jack J.; Du Croz, Jeremy;
 Hammarling, Sven; Duff, Iain S.
@@ -10100,6 +11836,7 @@ pp 18-28
 
 \end{chunk}
 
+\index{Ducos, Lionel}
 \begin{chunk}{ignore}
 \bibitem[Ducos 00]{Duc00} Ducos, Lionel
 ``Optimizations of the subresultant algorithm''
@@ -10107,6 +11844,7 @@ Journal of Pure and Applied Algebra V145 No 2 Jan 2000 pp149-163
 
 \end{chunk}
 
+\index{Duff, I. S.}
 \begin{chunk}{ignore}
 \bibitem[Duff 77]{Duff77} Duff I S,
 ``MA28 -- a set of Fortran subroutines for sparse unsymmetric linear 
@@ -10115,6 +11853,8 @@ A.E.R.E. Report R.8730. HMSO. (1977)
 
 \end{chunk}
 
+\index{Duval, Dominique}
+\index{Gonz\'alez-Vega, L.}
 \begin{chunk}{ignore}
 \bibitem[Duval 96a]{Duva96a} Duval, D.; Gonz\'alez-Vega, L.
 ``Dynamic Evaluation and Real Closure''
@@ -10131,6 +11871,8 @@ Mathematics and Computers in Simulation 42 pp 551-560 (1996)
 
 \end{chunk}
 
+\index{Duval, Dominique}
+\index{Reynaud, J.C.}
 \begin{chunk}{ignore}
 \bibitem[Duval 96]{Duva96} Duval, D.; Reynaud, J.C.
 ``Sketches and Computations over Fields''
@@ -10144,6 +11886,8 @@ Mathematics and Computers in Simulation 42 pp 363-373 (1996)
 
 \end{chunk}
 
+\index{Duval, Dominique}
+\index{Reynaud, J.C.}
 \begin{chunk}{ignore}
 \bibitem[Duval 94a]{Duva94a} Duval, D.; Reynaud, J.C.
 ``Sketches and Computation (Part I): Basic Definitions and Static Evaluation''
@@ -10167,6 +11911,8 @@ Mathematical Structures in Computer Science, 4, p 185-238 Cambridge University P
 
 \end{chunk}
 
+\index{Duval, Dominique}
+\index{Reynaud, J.C.}
 \begin{chunk}{ignore}
 \bibitem[Duval 94b]{Duva94b} Duval, D.; Reynaud, J.C.
 ``Sketches and Computation (Part II): Dynamic Evaluation and Applications''
@@ -10188,6 +11934,7 @@ Mathematical Structures in Computer Science, 4, p 239-271. Cambridge University
 
 \end{chunk}
 
+\index{Duval, Dominique}
 \begin{chunk}{ignore}
 \bibitem[Duval 94c]{Duva94c} Duval, Dominique
 ``Algebraic Numbers: An Example of Dynamic Evaluation''
@@ -10205,6 +11952,7 @@ J. Symbolic Computation 18, 429-445 (1994)
 
 \subsection{F} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Fateman, Richard J.}
 \begin{chunk}{ignore}
 \bibitem[Fateman 08]{Fat08} Fateman, Richard
 ``Revisiting numeric/symbolic indefinite integration of rational functions, and extensions''
@@ -10224,6 +11972,7 @@ J. Symbolic Computation 18, 429-445 (1994)
 
 \end{chunk}
 
+\index{Fletcher, John P.}
 \begin{chunk}{axiom.bib}
 @misc{Flet01,
   author = "Fletcher, John P.",
@@ -10234,6 +11983,7 @@ J. Symbolic Computation 18, 429-445 (1994)
 
 \end{chunk}
 
+\index{Fletcher, John P.}
 \begin{chunk}{axiom.bib}
 @misc{Flet09,
   author = "Fletcher, John P.",
@@ -10248,6 +11998,7 @@ J. Symbolic Computation 18, 429-445 (1994)
 
 \end{chunk}
 
+\index{Fletcher, John P.}
 \begin{chunk}{ignore}
 \bibitem[Fletcher 81]{Fle81} Fletcher R
 ``Practical Methods of Optimization''
@@ -10255,6 +12006,7 @@ Vol 2. Constrained Optimization. Wiley. (1981)
 
 \end{chunk}
 
+\index{Floyd, R. W.}
 \begin{chunk}{axiom.bib}
 @article{Floy63,
   author = "Floyd, R. W.",
@@ -10268,6 +12020,7 @@ Vol 2. Constrained Optimization. Wiley. (1981)
 
 \end{chunk}
 
+\index{Forsythe, G. E.}
 \begin{chunk}{ignore}
 \bibitem[Forsythe 57]{For57} Forsythe G E,
 ``Generation and use of orthogonal polynomials for data fitting 
@@ -10276,6 +12029,7 @@ J. Soc. Indust. Appl. Math. 5 74--88. (1957)
 
 \end{chunk}
 
+\index{Fortenbacher, A.}
 \begin{chunk}{ignore}
 \bibitem[Fortenbacher 90]{REF-For90} Fortenbacher, A.
 ``Efficient type inference and coercion in computer algebra''
@@ -10298,6 +12052,8 @@ Springer-Verlag, pp56-60
 
 \end{chunk}
 
+\index{Fox L.}
+\index{Parker, I. B.}
 \begin{chunk}{ignore}
 \bibitem[Fox 68]{Fox68} Fox L.; Parker I B.
 ``Chebyshev Polynomials in Numerical Analysis''
@@ -10305,6 +12061,8 @@ Oxford University Press. (1968)
 
 \end{chunk}
 
+\index{Franke, R.}
+\index{Nielson, G.}
 \begin{chunk}{ignore}
 \bibitem[Franke 80]{FN80} Franke R.; Nielson G
 ``Smooth Interpolation of Large Sets of Scattered Data''
@@ -10312,6 +12070,7 @@ Internat. J. Num. Methods Engrg. 15 1691--1704. (1980)
 
 \end{chunk}
 
+\index{Fritsch, F. N.}
 \begin{chunk}{ignore}
 \bibitem[Fritsch 82]{Fri82} Fritsch F N
 ``PCHIP Final Specifications''
@@ -10319,6 +12078,8 @@ Report UCID-30194. Lawrence Livermore National Laboratory. (1982)
 
 \end{chunk}
 
+\index{Fritsch, F. N.}
+\index{Butland, J.}
 \begin{chunk}{ignore}
 \bibitem[Fritsch 84]{FB84} Fritsch F N.; Butland J.
 ``A Method for Constructing Local Monotone Piecewise Cubic Interpolants''
@@ -10326,6 +12087,7 @@ SIAM J. Sci. Statist. Comput. 5 300--304. (1984)
 
 \end{chunk}
 
+\index{Froberg, C. E.}
 \begin{chunk}{ignore}
 \bibitem[Froberg 65]{Fro65} Froberg C E.
 ``Introduction to Numerical Analysis''
@@ -10335,6 +12097,8 @@ Addison-Wesley. 181--187. (1965)
 
 \subsection{G} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Garcia, A.}
+\index{Stichtenoth, H.}
 \begin{chunk}{ignore}
 \bibitem[Garcia 95]{Ga95} Garcia, A.; Stichtenoth, H.
 ``A tower of Artin-Schreier extensions of function fields attaining the 
@@ -10343,8 +12107,10 @@ Invent. Math., vol. 121, 1995, pp. 211--222.
 
 \end{chunk}
 
+\index{von zur Gathen, Joachim}
+\index{Giesbrecht, Mark}
 \begin{chunk}{ignore}
-\bibitem[Gathen 90a]{Gat90a} Gathen, Joachim von zur; Giesbrecht, Mark
+\bibitem[Gathen 90a]{Gat90a} {von zur Gathen}, Joachim; Giesbrecht, Mark
 ``Constructing Normal Bases in Finite Fields''
 J. Symbolic Computation pp 547-570 (1990)
 %\verb|axiom-developer.org/axiom-website/papers/Gat90a.pdf|
@@ -10358,13 +12124,16 @@ J. Symbolic Computation pp 547-570 (1990)
 
 \end{chunk}
 
+\index{von zur Gathen, Joachim}
 \begin{chunk}{ignore}
-\bibitem[Gathen 90]{Gat90} Gathen, Joachim von zur
+\bibitem[Gathen 90]{Gat90} von zur Gathen, Joachim
 ``Functional Decomposition Polynomials: the Tame Case''
 Journal of Symbolic Computation (1990) 9, 281-299
 
 \end{chunk}
 
+\index{von zur Gathen, Joachim}
+\index{Gerhard, J\"urgen}
 \begin{chunk}{axiom.bib}
 @book{Gath99,
   author = {{von zur Gathen}, Joachim and Gerhard, J\"urgen},
@@ -10376,6 +12145,7 @@ Journal of Symbolic Computation (1990) 9, 281-299
 
 \end{chunk}
 
+\index{Gautschi, W.}
 \begin{chunk}{ignore}
 \bibitem[Gautschi 79a]{Gau79a} Gautschi W.
 ``A Computational Procedure for Incomplete Gamma Functions''
@@ -10383,6 +12153,7 @@ ACM Trans. Math. Softw. 5 466--481. (1979)
 
 \end{chunk}
 
+\index{Gautschi, W.}
 \begin{chunk}{ignore}
 \bibitem[Gautschi 79b]{Gau79b} Gautschi W.
 ``Algorithm 542: Incomplete Gamma Functions''
@@ -10390,6 +12161,7 @@ ACM Trans. Math. Softw. 5 482--489.  (1979)
 
 \end{chunk}
 
+\index{Gentlemen, W. M.}
 \begin{chunk}{ignore}
 \bibitem[Gentlemen 69]{Gen69} Gentlemen W M
 ``An Error Analysis of Goertzel's (Watt's) Method for Computing 
@@ -10398,6 +12170,7 @@ Comput. J. 12 160--165. (1969)
 
 \end{chunk}
 
+\index{Gentlemen, W. M.}
 \begin{chunk}{ignore}
 \bibitem[Gentleman 73]{Gen73} Gentleman W M. 
 ``Least-squares Computations by Givens Transformations without Square Roots''
@@ -10405,6 +12178,7 @@ J. Inst. Math. Applic. 12 329--336. (1973)
 
 \end{chunk}
 
+\index{Gentlemen, W. M.}
 \begin{chunk}{ignore}
 \bibitem[Gentleman 74]{Gen74} Gentleman W M.
 ``Algorithm AS 75. Basic Procedures for Large Sparse or 
@@ -10413,6 +12187,8 @@ Appl. Statist. 23 448--454. (1974)
 
 \end{chunk}
 
+\index{Gentlemen, W. M.}
+\index{Marovich, S. B.}
 \begin{chunk}{ignore}
 \bibitem[Gentlemen 74a]{GM74a} Gentleman W. M.; Marovich S. B. 
 ``More on algorithms  that reveal properties of floating point 
@@ -10421,6 +12197,8 @@ Comms. of the ACM, 17, 276-277.  (1974)
 
 \end{chunk}
 
+\index{Genz, A. C.}
+\index{Malik, A. A.}
 \begin{chunk}{ignore}
 \bibitem[Genz 80]{GM80} Genz A C.;  Malik A A.
 ``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
@@ -10429,6 +12207,8 @@ J. Comput. Appl. Math. 6 295--302.  (1980)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Miller, G. F.}
 \begin{chunk}{ignore}
 \bibitem[Gill 72]{GM72} Gill P E.; Miller G F.
 ``An Algorithm for the Integration of Unequally Spaced Data''
@@ -10436,6 +12216,8 @@ Comput. J. 15 80--83. (1972)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
 \begin{chunk}{ignore}
 \bibitem[Gill 74b]{GM74b} Gill P E.; Murray W. (eds)
 ``Numerical Methods for Constrained Optimization''
@@ -10443,6 +12225,8 @@ Academic Press. (1974)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
 \begin{chunk}{ignore}
 \bibitem[Gill 76a]{GM76a} Gill P E.; Murray W.
 ``Minimization subject to bounds on the variables''
@@ -10450,6 +12234,8 @@ Report NAC 72. National Physical Laboratory. (1976)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
 \begin{chunk}{ignore}
 \bibitem[Gill 76b]{GM76b} Gill P E.; Murray W.
 ``Algorithms for the Solution of the Nonlinear Least-squares Problem''
@@ -10457,6 +12243,8 @@ NAC 71 National Physical Laboratory. (1976)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
 \begin{chunk}{ignore}
 \bibitem[Gill 78]{GM78} Gill P E.; Murray W.
 ``Algorithms for the Solution of the Nonlinear Least-squares Problem''
@@ -10464,6 +12252,8 @@ SIAM J. Numer. Anal. 15 977--992. (1978)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
 \begin{chunk}{ignore}
 \bibitem[Gill 79]{GM79} Gill P E.;  Murray W;
 ``Conjugate-gradient Methods for Large-scale Nonlinear Optimization''
@@ -10472,6 +12262,9 @@ Stanford University. (1979)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
+\index{Wright, M. H.}
 \begin{chunk}{ignore}
 \bibitem[Gill 81]{GMW81} Gill P E.; Murray W.; Wright M H.
 ``Practical Optimization''
@@ -10479,6 +12272,10 @@ Academic Press. 1981
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
+\index{Saunders, M. A.}
+\index{Wright, M. H.}
 \begin{chunk}{ignore}
 \bibitem[Gill 82]{GMW82} Gill P E.; Murray W.; Saunders M A.; Wright M H.
 ``The design and implementation of a quadratic programming algorithm''
@@ -10487,6 +12284,10 @@ Stanford University. (1982)
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
+\index{Saunders, M. A.}
+\index{Wright, M. H.}
 \begin{chunk}{ignore}
 \bibitem[Gill 84a]{GMSW84a} Gill P E.; Murray W.; Saunders M A.; Wright M H
 ``User's Guide for SOL/QPSOL Version 3.2''
@@ -10494,6 +12295,10 @@ Report SOL 84-5. Department of Operations Research, Stanford University. 1984
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
+\index{Saunders, M. A.}
+\index{Wright, M. H.}
 \begin{chunk}{ignore}
 \bibitem[Gill 84b]{GMSW84b} Gill P E.; Murray W.; Saunders M A.; Wright M H
 ``Procedures for Optimization Problems with a Mixture of
@@ -10502,6 +12307,9 @@ ACM Trans. Math. Softw. 10 282--298. 1984
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Hammarling S.}
+\index{Murray, W.}
 \begin{chunk}{ignore}
 \bibitem[Gill 86a]{GMSW86a} Gill P E.; Hammarling S.; Murray W.; 
 Saunders M A.; Wright M H.
@@ -10510,6 +12318,10 @@ Report SOL 86-1. Department of Operations Research, Stanford University. 1986
 
 \end{chunk}
 
+\index{Gill, P. E.}
+\index{Murray, W.}
+\index{Saunders, M. A.}
+\index{Wright, M. H.}
 \begin{chunk}{ignore}
 \bibitem[Gill 86b]{GMSW86b} Gill P E.; Murray W.; Saunders M A.; Wright M H.
 ``Some Theoretical Properties of an Augmented Lagrangian Merit Function''
@@ -10517,6 +12329,7 @@ Report SOL 86-6R. Department of Operations Research, Stanford University. 1986
 
 \end{chunk}
 
+\index{Gladwell, I.}
 \begin{chunk}{ignore}
 \bibitem[Gladwell 79]{Gla79} Gladwell I
 ``Initial Value Routines in the NAG Library''
@@ -10524,6 +12337,8 @@ ACM Trans Math Softw. 5 386--400. (1979)
 
 \end{chunk}
 
+\index{Gladwell, I.}
+\index{Sayers, D. K.}
 \begin{chunk}{ignore}
 \bibitem[Gladwell 80]{GS80} Gladwell I.; Sayers D K
 ``Computational Techniques for Ordinary Differential Equations''
@@ -10531,6 +12346,7 @@ Academic Press. 1980
 
 \end{chunk}
 
+\index{Gladwell, I.}
 \begin{chunk}{ignore}
 \bibitem[Gladwell 86]{Gla86} Gladwell I
 ``Vectorisation of one dimensional quadrature codes''
@@ -10538,6 +12354,7 @@ Techincal Report. TR7/86  NAG. (1986)
 
 \end{chunk}
 
+\index{Gladwell, I.}
 \begin{chunk}{ignore}
 \bibitem[Gladwell 87]{Gla87} Gladwell I
 ``The NAG Library Boundary Value Codes''
@@ -10545,6 +12362,7 @@ Numerical Analysis Report. 134 Manchester University. (1987)
 
 \end{chunk}
 
+\index{Goedel}
 \begin{chunk}{ignore}
 \bibitem[Goedel 40]{God40} Goedel
 ``The consistency of the continuum hypothesis''
@@ -10552,6 +12370,7 @@ Ann. Math. Studies, Princeton Univ. Press, 1940
 
 \end{chunk}
 
+\index{Goldman, L.}
 \begin{chunk}{ignore}
 \bibitem[Goldman 87]{Gold87} Goldman, L.
 ``Integrals of multinomial systems of ordinary differential equations''
@@ -10563,6 +12382,8 @@ J. of Pure and Applied Algebra, 45, 225-240 (1987)
 
 \end{chunk}
 
+\index{H. Gollan}
+\index{Grabmeier, Johannes}
 \begin{chunk}{ignore}
 \bibitem[Gollan 90]{GG90} H. Gollan; J. Grabmeier
 ``Algorithms in Representation Theory and
@@ -10571,6 +12392,8 @@ Bayreuther Mathematische Schriften, Heft 33, 1990, 1-23
 
 \end{chunk}
 
+\index{Golub, Gene H.}
+\index{Van Loan, Charles F.}
 \begin{chunk}{ignore}
 \bibitem[Golub 89]{GL89} Golub, Gene H.; Van Loan, Charles F.
 ``Matrix Computations''
@@ -10578,6 +12401,8 @@ Johns Hopkins University Press ISBN 0-8018-3772-3 (1989)
 
 \end{chunk}
 
+\index{Golub, Gene H.}
+\index{Van Loan, Charles F.}
 \begin{chunk}{ignore}
 \bibitem[Golub 96]{GL96} Golub, Gene H.; Van Loan, Charles F.
 ``Matrix Computations''
@@ -10585,6 +12410,7 @@ Johns Hopkins University Press ISBN 978-0-8018-5414-9 (1996)
 
 \end{chunk}
 
+\index{Grabmeier, Johannes}
 \begin{chunk}{ignore}
 \bibitem[Grabmeier]{Grab} Grabmeier, J.
 ``On Plesken's root finding algorithm''
@@ -10592,6 +12418,8 @@ in preparation
 
 \end{chunk}
 
+\index{Grabmeier, Johannes}
+\index{Kerber, A.}
 \begin{chunk}{ignore}
 \bibitem[Grebmeier 87]{GK87} Grabmeier, J.; Kerber, A.;
 ``The Evaluation of Irreducible Polynomial Representations of the General 
@@ -10600,6 +12428,8 @@ Acta Appl. Math. 8 (1987), 271-291
 
 \end{chunk}
 
+\index{Grabmeier, Johannes}
+\index{Scheerhorn, A.}
 \begin{chunk}{ignore}
 \bibitem[Grabmeier 92]{REF-GS92} Grabmeier, J.; Scheerhorn, A.
 ``Finite fields in Axiom''
@@ -10610,6 +12440,7 @@ Grove, IL, USA and Oxford, UK, 1992
 
 \end{chunk}
 
+\index{Granville, William Anthony}
 \begin{chunk}{ignore}
 \bibitem[Granville 1911]{Gran1911} Granville, William Anthony
 ``Elements of the Differential and Integral Calculus''
@@ -10618,6 +12449,7 @@ Grove, IL, USA and Oxford, UK, 1992
 
 \end{chunk}
 
+\index{Gruntz, Dominik}
 \begin{chunk}{ignore}
 \bibitem[Gruntz 93]{Gru93} Gruntz, Dominik
 ``Limit computation in computer algebra''
@@ -10647,6 +12479,8 @@ Grove, IL, USA and Oxford, UK, 1992
 
 \subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Hach\'e, G.}
+\index{Le Brigand, D.}
 \begin{chunk}{axiom.bib}
 @article{Hach95,
   author = "Hach\'e, G. and Le Brigand, D.",
@@ -10660,6 +12494,7 @@ Grove, IL, USA and Oxford, UK, 1992
 
 \end{chunk}
 
+\index{Hach\'e, G.}
 \begin{chunk}{axiom.bib}
 @article{Hach95a,
   author = "Hach\'e, G.",
@@ -10673,6 +12508,7 @@ Grove, IL, USA and Oxford, UK, 1992
 
 \end{chunk}
 
+\index{Hach\'e, G.}
 \begin{chunk}{axiom.bib}
 @phdthesis{Hach96,
   author = "Hach\'e, G.",
@@ -10684,6 +12520,8 @@ Grove, IL, USA and Oxford, UK, 1992
 
 \end{chunk}
 
+\index{Hall, G.}
+\index{Watt J M.}
 \begin{chunk}{ignore}
 \bibitem[Hall 76]{HW76} Hall G.; Watt J M. (eds), 
 ``Modern Numerical Methods for Ordinary Differential Equations''
@@ -10691,6 +12529,7 @@ Clarendon Press. (1976)
 
 \end{chunk}
 
+\index{Hamdy, S.}
 \begin{chunk}{ignore}
 \bibitem[Hamdy 04]{Ham04} Hamdy, S.
 ``LiDIA A library for computational number theory''
@@ -10699,6 +12538,7 @@ Reference manual Edition 2.1.1 May 2004
 
 \end{chunk}
 
+\index{Hammarling S.}
 \begin{chunk}{ignore}
 \bibitem[Hammarling 85]{Ham85} Hammarling S.
 `` The Singular Value Decomposition in Multivariate Statistics''
@@ -10706,6 +12546,8 @@ ACM Signum Newsletter. 20, 3 2--25. (1985)
 
 \end{chunk}
 
+\index{Hammersley, J. M.}
+\index{Handscomb, D. C.}
 \begin{chunk}{ignore}
 \bibitem[Hammersley 67]{HH67} Hammersley J M; Handscomb D C.
 ``Monte-Carlo Methods''
@@ -10713,6 +12555,7 @@ Methuen. (1967)
 
 \end{chunk}
 
+\index{Hathway, Arthur S.}
 \begin{chunk}{axiom.bib}
 @misc{Hath1896,
   author = "Hathway, Arthur S.",
@@ -10722,6 +12565,13 @@ Methuen. (1967)
 
 \end{chunk}
 
+\index{Hayashi, K.}
+\index{Kangkook, J.}
+\index{Lascu, O.}
+\index{Pienaar, H.}
+\index{Schreitmueller, S.}
+\index{Tarquinio, T.}
+\index{Thompson, J.}
 \begin{chunk}{axiom.bib}
 @book{Haya05,
   author = "Hayashi, K. and Kangkook, J. and Lascu, O. and Pienaar, H. and 
@@ -10734,6 +12584,8 @@ Methuen. (1967)
 }
 
 \end{chunk}
+
+\index{Hayes, J. G.}
 \begin{chunk}{ignore}
 \bibitem[Hayes 70]{Hay70} Hayes J G.
 ``Curve Fitting by Polynomials in One Variable''
@@ -10742,6 +12594,7 @@ Numerical Approximation to Functions and Data.
 
 \end{chunk}
 
+\index{Hayes, J. G.}
 \begin{chunk}{ignore}
 \bibitem[Hayes 74]{Hay74} Hayes J G.
 ``Numerical Methods for Curve and Surface Fitting''
@@ -10749,6 +12602,8 @@ Bull Inst Math Appl. 10 144--152. (1974)
 
 \end{chunk}
 
+\index{Hayes, J. G.}
+\index{Halliday, J.}
 \begin{chunk}{ignore}
 \bibitem[Hayes 74a]{HH74} Hayes J G.; Halliday J,
 ``The Least-squares Fitting of Cubic Spline Surfaces to General Data Sets''
@@ -10756,6 +12611,7 @@ J. Inst. Math. Appl. 14 89--103. (1974)
 
 \end{chunk}
 
+\index{Henrici, Peter}
 \begin{chunk}{ignore}
 \bibitem[Henrici 56]{Hen56} Henrici, Peter
 ``Automatic Computations with Power Series''
@@ -10764,6 +12620,7 @@ January 1956, 10-15
 
 \end{chunk}
 
+\index{Higham, Nicholas J.}
 \begin{chunk}{ignore}
 \bibitem[Higham 88]{Hig88} Higham, N.J.
 ``FORTRAN codes for estimating the one-norm of a
@@ -10772,6 +12629,7 @@ ACM Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.
 
 \end{chunk}
 
+\index{Higham, Nicholas J.}
 \begin{chunk}{ignore}
 \bibitem[Higham 02]{Hig02} Higham, Nicholas J.
 ``Accuracy and stability of numerical algorithms''
@@ -10779,6 +12637,8 @@ SIAM Philadelphia, PA ISBN 0-89871-521-0 (2002)
 
 \end{chunk}
 
+\index{Hock, W.}
+\index{Schittkowski, K.}
 \begin{chunk}{ignore}
 \bibitem[Hock 81]{HS81} Hock W.; Schittkowski K.
 ``Test Examples for Nonlinear Programming Codes''
@@ -10786,6 +12646,7 @@ Lecture Notes in Economics and Mathematical Systems. 187 Springer-Verlag. 1981
 
 \end{chunk}
 
+\index{Householder, Alston S.}
 \begin{chunk}{ignore}
 \bibitem[Householder 70]{Hou70} Householder A S.
 ``The Numerical Treatment of a Single Nonlinear Equation''
@@ -10793,6 +12654,7 @@ McGraw-Hill. (1970)
 
 \end{chunk}
 
+\index{Householder, Alston S.}
 \begin{chunk}{axiom.bib}
 @book{Hous81,
   author = "Householder, Alston S.",
@@ -10804,6 +12666,8 @@ McGraw-Hill. (1970)
 
 \end{chunk}
 
+\index{Huang, M.D.}
+\index{Ierardi, D.}
 \begin{chunk}{ignore}
 \bibitem[Huang 96]{HI96} Huang, M.D.; Ierardi, D.
 ``Efficient algorithms for Riemann-Roch problem and for addition in the 
@@ -10823,6 +12687,8 @@ Dept. G68, P.O. Box 1900, Boulder, Colorado, USA 80301-9191.
 
 \end{chunk}
 
+\index{Itoh, T.}
+\index{Tsujii, S.}
 \begin{chunk}{ignore}
 \bibitem[Itoh 88]{Itoh88} Itoh, T.;, Tsujii, S.
 ``A fast algorithm for computing multiplicative inverses
@@ -10849,6 +12715,8 @@ Inf. and Comp. 78, pp.171-177, 1988
 
 \end{chunk}
 
+\index{Iyanaga, Shokichi}
+\index{Iyanaga, Yukiyosi Kawada}
 \begin{chunk}{ignore}
 \bibitem[Iyanaga 77]{Iya77} Iyanaga, Shokichi; Iyanaga, Yukiyosi Kawada
 ``Encyclopedic Dictionary of Mathematics''
@@ -10858,6 +12726,7 @@ Inf. and Comp. 78, pp.171-177, 1988
 
 \subsection{J} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Jacobson, N.}
 \begin{chunk}{ignore}
 \bibitem[Jacobson 68]{Jac68} Jacobson, N.
 ``Structure and Representations of Jordan Algebras''
@@ -10865,6 +12734,8 @@ AMS, Colloquium Publications Volume 39
 
 \end{chunk}
 
+\index{James, Gordon}
+\index{Kerber, Adalbert}
 \begin{chunk}{ignore}
 \bibitem[James 81]{JK81} James, Gordon; Kerber, Adalbert
 ``The Representation Theory of the Symmetric Group''
@@ -10873,6 +12744,8 @@ Addison-Wesley, 1981
 
 \end{chunk}
 
+\index{Jaswon, M. A.}
+\index{Symm, G. T.}
 \begin{chunk}{ignore}
 \bibitem[Jaswon 77]{JS77} Jaswon, M A.; Symm G T. 
 ``Integral Equation Methods in Potential Theory and Elastostatics''
@@ -10880,6 +12753,7 @@ Academic Press. (1977)
 
 \end{chunk}
 
+\index{Jeffrey, Alan}
 \begin{chunk}{ignore}
 \bibitem[Jeffrey 04]{Je04} Jeffrey, Alan
 ``Handbook of Mathematical Formulas and Integrals''
@@ -10887,6 +12761,7 @@ Third Edition, Elsevier Academic Press ISBN 0-12-382256-4
 
 \end{chunk}
 
+\index{Jennings, A.}
 \begin{chunk}{ignore}
 \bibitem[Jenning 66]{Jen66} Jennings A
 ``A Compact Storage Scheme for the Solution of Symmetric Linear 
@@ -10897,6 +12772,7 @@ Comput. J. 9 281--285. (1966)
 
 \subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Kalkbrener, M.}
 \begin{chunk}{ignore}
 \bibitem[Kalkbrener 91]{Kal91} Kalkbrener, M.
 ``Three contributions to elimination theory''
@@ -10904,6 +12780,7 @@ Ph. D. Thesis, University of Linz, Austria, 1991
 
 \end{chunk}
 
+\index{Kalkbrener, M.}
 \begin{chunk}{ignore}
 \bibitem[Kalkbrener 98]{Kal98} Kalkbrener, M.
 ``Algorithmic properties of polynomial rings''
@@ -10911,6 +12788,8 @@ Journal of Symbolic Computation 1998
 
 \end{chunk}
 
+\index{Kantor, I.L.}
+\index{Solodovnikov, A.S.}
 \begin{chunk}{ignore}
 \bibitem[Kantor 89]{Kan89} Kantor,I.L.; Solodovnikov, A.S.
 ``Hypercomplex Numbers''
@@ -10918,6 +12797,8 @@ Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
 
 \end{chunk}
 
+\index{Kaufmann, Matt}
+\index{Manolios, Panagiotis}
 \begin{chunk}{ignore}
 \bibitem[Kaufmann 00]{KMJ00} Kaufmann, Matt; Manolios, Panagiotis; 
 Moore J Strother
@@ -10926,6 +12807,7 @@ Springer, July 31. 2000 ISBN 0792377443
 
 \end{chunk}
 
+\index{Knuth, Donald E.}
 \begin{chunk}{ignore}
 \bibitem[Knuth 71]{Knu71} Knuth, Donald
 ``The Art of Computer Programming''
@@ -10934,6 +12816,7 @@ Addison-Wesley 1971, p. 397-398
 
 \end{chunk}
 
+\index{Knuth, Donald E.}
 \begin{chunk}{ignore}
 \bibitem[Knuth 84]{Knu84} Knuth, Donald
 {\it The \TeX{}book}.
@@ -10942,6 +12825,7 @@ Reading, Massachusetts, Addison-Wesley Publishing Company, Inc.,
 
 \end{chunk}
 
+\index{Knuth, Donald E.}
 \begin{chunk}{axiom.bib}
 @book{Knut92,
   author = "Knuth, Donald E.",
@@ -10953,6 +12837,7 @@ Reading, Massachusetts, Addison-Wesley Publishing Company, Inc.,
 
 \end{chunk}
 
+\index{Knuth, Donald E.}
 \begin{chunk}{ignore}
 \bibitem[Knu98]{Knu98} Donald Knuth
 ``The Art of Computer Programming'' Vol. 3
@@ -10961,6 +12846,9 @@ Addison-Wesley 1998
 
 \end{chunk}
 
+\index{Kobayashi, H.}
+\index{Moritsugu, S.}
+\index{Hogan, R.W.}
 \begin{chunk}{ignore}
 \bibitem[Kobayashi 89]{Koba89} Kobayashi, H.; Moritsugu, S.; Hogan, R.W.
 ``On Radical Zero-Dimensional Ideals''
@@ -10972,6 +12860,7 @@ J. Symbolic Computations 8, 545-552 (1989)
 
 \end{chunk}
 
+\index{Kolchin, E.R.}
 \begin{chunk}{ignore}
 \bibitem[Kolchin 73]{Kol73} Kolchin, E.R.
 ``Differential Algebra and Algebraic Groups''
@@ -10979,6 +12868,7 @@ J. Symbolic Computations 8, 545-552 (1989)
 
 \end{chunk}
 
+\index{Koutschan, Christoph}
 \begin{chunk}{ignore}
 \bibitem[Koutschan 10]{Kou10} Koutschan, Christoph
 ``Axiom / FriCAS''
@@ -10986,6 +12876,8 @@ J. Symbolic Computations 8, 545-552 (1989)
 
 \end{chunk}
 
+\index{Kozen, Dexter}
+\index{Landau, Susan}
 \begin{chunk}{ignore}
 \bibitem[Kozen 86]{KL86} Kozen, Dexter; Landau, Susan
 ``Polynomial Decomposition Algorithms''
@@ -10996,6 +12888,7 @@ Journal of Symbolic Computation (1989) 7, 445-456
 \subsection{L} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
+\index{Lamport, Leslie}
 \begin{chunk}{axiom.bib}
 @book{Lamp86,
   author = "Lamport, Leslie",
@@ -11007,6 +12900,7 @@ Journal of Symbolic Computation (1989) 7, 445-456
 
 \end{chunk}
 
+\index{Lautrup, B.}
 \begin{chunk}{ignore}
 \bibitem[Lautrup 71]{Lau71} Lautrup B.
 ``An Adaptive Multi-dimensional Integration Procedure''
@@ -11014,6 +12908,7 @@ Proc. 2nd Coll. on Advanced Methods in Theoretical Physics, Marseille. (1971)
 
 \end{chunk}
 
+\index{Lawson, C. L.}
 \begin{chunk}{ignore}
 \bibitem[Lawson 77]{Law77} Lawson C L.
 ``Software for C  Surface Interpolation''
@@ -11021,6 +12916,8 @@ Mathematical Software III. (ed J R Rice) Academic Press. 161--194. (1977)
 
 \end{chunk}
 
+\index{Lawson, C. L.}
+\index{Hanson, R. J.}
 \begin{chunk}{ignore}
 \bibitem[Lawson 74]{LH74} Lawson C L.;  Hanson R J.
 ``Solving Least-squares Problems''
@@ -11028,6 +12925,10 @@ Prentice-Hall. (1974)
 
 \end{chunk}
 
+\index{Lawson, C. L.}
+\index{Hanson, R. J.}
+\index{Kincaid, D.R.}
+\index{Krogh, F.T.}
 \begin{chunk}{axiom.bib}
 @article{Laws79,
   author = "Lawson, C.L. and Hanson R.J. and Kincaid, D.R. and Krogh, F.T.",
@@ -11042,6 +12943,10 @@ Prentice-Hall. (1974)
 
 \end{chunk}
 
+\index{Lawson, C. L.}
+\index{Hanson, R. J.}
+\index{Kincaid, D.R.}
+\index{Krogh, F.T.}
 \begin{chunk}{ignore}
 \bibitem[Lawson 79]{LHKK79} Lawson C L; Hanson R J; Kincaid D R;
  Krogh F T
@@ -11050,6 +12955,7 @@ ACM Trans. Math. Softw. 5 308--325. (1979)
 
 \end{chunk}
 
+\index{Lazard, Daniel}
 \begin{chunk}{ignore}
 \bibitem[Lazard 91]{Laz91} Lazard, D.
 ``A new method for solving algebraic systems of positive dimension''
@@ -11057,6 +12963,7 @@ Discr. App. Math. 33:147-160,1991
 
 \end{chunk}
 
+\index{Lazard, Daniel}
 \begin{chunk}{ignore}
 \bibitem[Lazard92]{Laz92} Lazard, D.
 ``Solving Zero-dimensional Algebraic Systems''
@@ -11064,6 +12971,8 @@ Journal of Symbolic Computation, 1992, 13, 117-131
 
 \end{chunk}
 
+\index{Lazard, Daniel}
+\index{Rioboo, Renaud}
 \begin{chunk}{axiom.bib}
 @article{Laza90,
   author = "Lazard, Daniel and Rioboo, Renaud",
@@ -11088,6 +12997,8 @@ Journal of Symbolic Computation, 1992, 13, 117-131
 
 \end{chunk}
 
+\index{Le Brigand, D.}
+\index{Risler, J.J.}
 \begin{chunk}{axiom.bib}
 @article{LeBr88,
   author =  "Le Brigand, D.; Risler, J.J.",
@@ -11100,6 +13011,8 @@ Journal of Symbolic Computation, 1992, 13, 117-131
 
 \end{chunk}
 
+\index{Legendre, George L.}
+\index{Grazini, Stefano}
 \begin{chunk}{axiom.bib}
 @book{Lege11,
   author = "Legendre, George L. and Grazini, Stefano",
@@ -11111,6 +13024,8 @@ Journal of Symbolic Computation, 1992, 13, 117-131
 
 \end{chunk}
 
+\index{Lenstra, H. W.}
+\index{Schoof, R. J.}
 \begin{chunk}{ignore}
 \bibitem[Lenstra 87]{LS87} Lenstra, H. W.; Schoof, R. J.
 ``Primitivive Normal Bases for Finite Fields''
@@ -11118,6 +13033,7 @@ Math. Comp. 48, 1987, pp. 217-231
 
 \end{chunk}
 
+\index{Leopardi, Paul}
 \begin{chunk}{axiom.bib}
 @misc{Leop03,
   author = "Leopardi, Paul",
@@ -11129,6 +13045,7 @@ Math. Comp. 48, 1987, pp. 217-231
 
 \end{chunk}
 
+\index{Lewis, J. G,}
 \begin{chunk}{ignore}
 \bibitem[Lewis 77]{Lew77} Lewis J G,
 ``Algorithms for sparse matrix eigenvalue problems''
@@ -11137,6 +13054,8 @@ Stanford University. (1977)
 
 \end{chunk}
 
+\index{Lidl, R.}
+\index{Niederreiter, H.}
 \begin{chunk}{ignore}
 \bibitem[Lidl 83]{LN83} Lidl, R.; Niederreiter, H.
 ``Finite Field, Encycoldia of Mathematics and Its Applications''
@@ -11144,6 +13063,8 @@ Vol. 20, Cambridge Univ. Press, 1983 ISBN 0-521-30240-4
 
 \end{chunk}
 
+\index{Linger, Richard C.}
+\index{Mills, Harlan D.}
 \begin{chunk}{ignore}
 \bibitem[Linger 79]{LMW79} Linger, Richard C.; Mills, Harlan D.; 
 Witt, Bernard I.
@@ -11152,6 +13073,7 @@ Addison-Wesley (March 1979) ISBN 0201144611
 
 \end{chunk}
 
+\index{Lipson, D.}
 \begin{chunk}{ignore}
 \bibitem[Lipson 81]{Lip81} Lipson, D.
 ``Elements of Algebra and Algebraic Computing''
@@ -11159,6 +13081,9 @@ The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
 \end{chunk}
 
+\index{Loetzsch, Martin}
+\index{Bleys, Joris}
+\index{Wellens, Pieter}
 \begin{chunk}{axiom.bib}
 @misc{Loet09,
   author = "Loetzsch, Martin and Bleys, Joris and Wellens, Pieter",
@@ -11170,6 +13095,7 @@ The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
 \end{chunk}
 
+\index{Loetzsch, Martin}
 \begin{chunk}{axiom.bib}
 @misc{Loet00,
   author = "Loetzsch, M.",
@@ -11180,6 +13106,7 @@ The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
 \end{chunk}
 
+\index{L\"osch, Friedrich}
 \begin{chunk}{axiom.bib}
 @book{Losc60,
   author = {L\"osch, Friedrich},
@@ -11197,6 +13124,7 @@ The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
 \end{chunk}
 
+\index{Luke, Yudell L.}
 \begin{chunk}{axiom.bib}
 @book{Luke69a,
   author = "Luke, Yudell L.",
@@ -11209,6 +13137,7 @@ The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
 \end{chunk}
 
+\index{Luke, Yudell L.}
 \begin{chunk}{axiom.bib}
 @book{Luke69b,
   author = "Luke, Yudell L.",
@@ -11221,6 +13150,7 @@ The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 
 \end{chunk}
 
+\index{Lyness, J. N.}
 \begin{chunk}{ignore}
 \bibitem[Lyness 83]{Lyn83} Lyness J N.
 ``When not to use an automatic quadrature routine''
@@ -11230,6 +13160,8 @@ SIAM Review. 25 63--87. (1983)
 
 \subsection{M} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Mac Lane, Saunders}
+\index{Birkhoff, Garret}
 \begin{chunk}{ignore}
 \bibitem[Mac Lane 79]{MB79} Mac Lane, Saunders; Birkhoff, Garret
 ``Algebra''
@@ -11237,6 +13169,7 @@ AMS Chelsea Publishing ISBN 0821816462
 
 \end{chunk}
 
+\index{Malcolm, M. A.}
 \begin{chunk}{ignore}
 \bibitem[Malcolm 72]{Mal72} Malcolm M. A.
 ``Algorithms to reveal properties of floating-point arithmetic''
@@ -11244,6 +13177,8 @@ Comms. of the ACM, 15, 949-951.  (1972)
 
 \end{chunk}
 
+\index{Malcolm, M. A.}
+\index{Simpson, R. B.}
 \begin{chunk}{ignore}
 \bibitem[Malcolm 76]{MS76} Malcolm M A.; Simpson R B.
 ``Local Versus Global Strategies for Adaptive Quadrature''
@@ -11251,6 +13186,7 @@ ACM Trans. Math. Softw. 1 129--146. (1976)
 
 \end{chunk}
 
+\index{Marden, M.}
 \begin{chunk}{ignore}
 \bibitem[Marden 66]{Mar66} Marden M.
 ``Geometry of Polynomials''
@@ -11258,6 +13194,7 @@ Mathematical Surveys. 3 Am. Math. Soc., Providence, RI. (1966)
 
 \end{chunk}
 
+\index{Marshak, U.}
 \begin{chunk}{axiom.bib}
 @misc{Mars07,
   author = "Marshak, U.",
@@ -11268,6 +13205,8 @@ Mathematical Surveys. 3 Am. Math. Soc., Providence, RI. (1966)
 
 \end{chunk}
 
+\index{Maza, Marc Moreno}
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Maza 95]{MR95} Maza, M. Moreno; Rioboo, R.
 ``Computations of gcd over algebraic towers of simple extensions''
@@ -11275,6 +13214,7 @@ In proceedings of AAECC11 Paris, 1995.
 
 \end{chunk}
 
+\index{Maza, Marc Moreno}
 \begin{chunk}{ignore}
 \bibitem[Maza 97]{Maz97} Maza, M. Moreno
 ``Calculs de pgcd au-dessus des tours
@@ -11283,6 +13223,7 @@ These, Universite P.etM. Curie, Paris, 1997.
 
 \end{chunk}
 
+\index{Maza, Marc Moreno}
 \begin{chunk}{ignore}
 \bibitem[Maza 98]{Maz98} Maza, M. Moreno
 ``A new algorithm for computing triangular
@@ -11291,6 +13232,7 @@ decomposition of algebraic varieties''
 
 \end{chunk}
 
+\index{Mignotte, Maurice}
 \begin{chunk}{ignore}
 \bibitem[Mignotte 82]{Mig82} Mignotte, Maurice
 ``Some Useful Bounds''
@@ -11298,6 +13240,7 @@ Computing, Suppl. 4, 259-263 (1982), Springer-Verlag
 
 \end{chunk}
 
+\index{McCarthy, G. J.}
 \begin{chunk}{ignore}
 \bibitem[McCarthy 83]{McC83} McCarthy G J.
 ``Investigation into the Multigrid Code MGD1''
@@ -11305,6 +13248,7 @@ Report AERE-R 10889. Harwell. (1983)
 
 \end{chunk}
 
+\index{Mielenz, Klaus D.}
 \begin{chunk}{ignore}
 \bibitem[Mie97]{Mie97} Mielenz, Klaus D.
 ``Computation of Fresnel Integrals''
@@ -11312,6 +13256,7 @@ J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
 
 \end{chunk}
 
+\index{Mielenz, Klaus D.}
 \begin{chunk}{ignore}
 \bibitem[Mie00]{Mie00} Mielenz, Klaus D.
 ``Computation of Fresnel Integrals II''
@@ -11319,6 +13264,7 @@ J. Res. Natl. Inst. Stand. Technol. (NIST) V105 No4 July-Aug 2000 pp589-590
 
 \end{chunk}
 
+\index{Millen, J. K.}
 \begin{chunk}{ignore}
 \bibitem[Millen 68]{Mil68} Millen, J. K.
 ``CHARYBDIS: A LISP program to display mathematical expressions on 
@@ -11329,6 +13275,7 @@ M. Klerer and J. Reinfelds, eds., Academic Press, New York 1968, pp79-90
 
 \end{chunk}
 
+\index{Henryk, Minc}
 \begin{chunk}{ignore}
 \bibitem[Minc 79]{Min79} Henryk Minc
 ``Evaluation of Permanents''
@@ -11336,6 +13283,9 @@ Proc. of the Edinburgh Math. Soc.(1979), 22/1 pp 27-32.
 
 \end{chunk}
 
+\index{More, J. J.}
+\index{Garbow, B. S.}
+\index{Hillstrom, K. E.}
 \begin{chunk}{ignore}
 \bibitem[More 74]{MGH74} More J J.; Garbow B S.;  Hillstrom K E.
 ``User Guide for Minpack-1''
@@ -11343,6 +13293,8 @@ ANL-80-74 Argonne National Laboratory. (1974)
 
 \end{chunk}
 
+\index{Mikhlin, S. G.}
+\index{Smolitsky, K. L.}
 \begin{chunk}{ignore}
 \bibitem[Mikhlin 67]{MS67} Mikhlin S G.; Smolitsky K L.
 ``Approximate Methods for the Solution of Differential and 
@@ -11351,6 +13303,8 @@ Elsevier.  (1967)
 
 \end{chunk}
 
+\index{Mitchell, A. R.}
+\index{Griffiths, D. F.}
 \begin{chunk}{ignore}
 \bibitem[Mitchell 80]{MG80} Mitchell A R.; Griffiths D F.
 ``The Finite Difference Method in Partial Differential Equations''
@@ -11358,6 +13312,8 @@ Wiley. (1980)
 
 \end{chunk}
 
+\index{Moler, C. B.}
+\index{Stewart, G. W.}
 \begin{chunk}{ignore}
 \bibitem[Moler 73]{MS73} Moler C B.;  Stewart G W.
 ``An Algorithm for Generalized Matrix Eigenproblems''
@@ -11365,6 +13321,7 @@ SIAM J. Numer. Anal. 10 241--256. 1973
 
 \end{chunk}
 
+\index{Mulders, Thom}
 \begin{chunk}{axiom.bib}
 @article{Muld97,
   author = "Mulders, Thom",
@@ -11385,6 +13342,7 @@ SIAM J. Numer. Anal. 10 241--256. 1973
 
 \end{chunk}
 
+\index{Munksgaard N.}
 \begin{chunk}{ignore}
 \bibitem[Munksgaard 80]{Mun80} Munksgaard N.
 ``Solving Sparse Symmetric Sets of Linear Equations by Pre-conditioned 
@@ -11393,6 +13351,7 @@ ACM Trans. Math. Softw. 6 206--219. (1980)
 
 \end{chunk}
 
+\index{Murray, W.}
 \begin{chunk}{ignore}
 \bibitem[Murray 72]{Mur72} Murray W, (ed)
 ``Numerical Methods for Unconstrained Optimization''
@@ -11400,6 +13359,8 @@ Academic Press. (1972)
 
 \end{chunk}
 
+\index{Murtagh, B. A.}
+\index{Saunders, M. A.}
 \begin{chunk}{ignore}
 \bibitem[Murtagh 83]{MS83} Murtagh B A.; Saunders M A
 ``MINOS 5.0 User's Guide''
@@ -11407,6 +13368,7 @@ Report SOL 83-20. Department of Operations Research, Stanford University 1983
 
 \end{chunk}
 
+\index{Musser, David R.}
 \begin{chunk}{ignore}
 \bibitem[Musser 78]{Mus78} Musser, David R.
 ``On the Efficiency of a Polynomial Irreducibility Test''
@@ -11416,6 +13378,8 @@ Journal of the ACM, Vol. 25, No. 2, April 1978, pp. 271-282
 
 \subsection{N} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Nijenhuis}
+\index{Wilf}
 \begin{chunk}{ignore}
 \bibitem[Nijenhuis 78]{NW78} Nijenhuis and Wilf
 ``Combinatorical Algorithms''
@@ -11423,6 +13387,7 @@ Academic Press, New York 1978.
 
 \end{chunk}
 
+\index{Nikolai, P. J.}
 \begin{chunk}{ignore}
 \bibitem[Nikolai 79]{Nik79} Nikolai P J.
 ``Algorithm 538: Eigenvectors and eigenvalues of real generalized 
@@ -11442,6 +13407,7 @@ ACM Trans. Math. Softw. 5 118--125. (1979)
 
 \end{chunk}
 
+\index{Ollagnier, Jean Moulin}
 \begin{chunk}{ignore}
 \bibitem[Ollagnier 94]{Olla94} Ollagnier, Jean Moulin
 ``Algorithms and methods in differential algebra''
@@ -11450,6 +13416,8 @@ ACM Trans. Math. Softw. 5 118--125. (1979)
 
 \end{chunk}
 
+\index{Olver, Frank W.}
+\index{Lozier, Daniel W.}
 \begin{chunk}{ignore}
 \bibitem[Olver 10]{NIST10} Olver, Frank W.; Lozier, Daniel W.; 
 Boisvert, Ronald F.; Clark, Charles W. (ed)
@@ -11465,6 +13433,8 @@ Boisvert, Ronald F.; Clark, Charles W. (ed)
 
 \end{chunk}
 
+\index{Ortega, J. M.}
+\index{Rheinboldt, W. C.}
 \begin{chunk}{ignore}
 \bibitem[Ortega 70]{OR70} Ortega J M.; Rheinboldt W C.
 ``Iterative Solution of Nonlinear Equations in Several Variables''
@@ -11472,6 +13442,7 @@ Academic Press. (1970)
 
 \end{chunk}
 
+\index{Ostrogradsky. M.W.}
 \begin{chunk}{axiom.bib}
 @misc{Ostr1845,
   author = "Ostrogradsky. M.W.",
@@ -11487,6 +13458,8 @@ Academic Press. (1970)
 
 \subsection{P} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Paige, C. C.}
+\index{Saunders, M. A.}
 \begin{chunk}{ignore}
 \bibitem[Paige 75]{PS75} Paige C C.; Saunders M A.
 ``Solution of Sparse Indefinite Systems of Linear Equations''
@@ -11494,6 +13467,8 @@ SIAM J. Numer. Anal. 12 617--629. (1975)
 
 \end{chunk}
 
+\index{Paige, C. C.}
+\index{Saunders, M. A.}
 \begin{chunk}{ignore}
 \bibitem[Paige 82a]{PS82a} Paige C C.; Saunders M A.
 ``LSQR: An Algorithm for Sparse Linear Equations and Sparse Least-squares''
@@ -11501,6 +13476,8 @@ ACM Trans. Math. Softw. 8 43--71. (1982)
 
 \end{chunk}
 
+\index{Paige, C. C.}
+\index{Saunders, M. A.}
 \begin{chunk}{ignore}
 \bibitem[Paige 82b]{PS82b} Paige C C.; Saunders M A.
 ``ALGORITHM 583 LSQR: Sparse Linear Equations and Least-squares Problems''
@@ -11508,6 +13485,7 @@ ACM Trans. Math. Softw. 8 195--209. (1982)
 
 \end{chunk}
 
+\index{Parker, R. A.}
 \begin{chunk}{ignore}
 \bibitem[Parker 84]{Par84} Parker, R. A.
 ``The Computer Calculation of Modular Characters (The Meat-Axe)''
@@ -11516,6 +13494,7 @@ Academic Press, Inc., London 1984
 
 \end{chunk}
 
+\index{Parlett, B. N.}
 \begin{chunk}{ignore}
 \bibitem[Parlett 80]{Par80} Parlett B N.
 ``The Symmetric Eigenvalue Problem''
@@ -11523,6 +13502,8 @@ Prentice-Hall. 1980
 
 \end{chunk}
 
+\index{Parnas, David Lorge}
+\index{Jin, Ying}
 \begin{chunk}{ignore}
 \bibitem[Parnas 10]{PJ10} Parnas, David Lorge; Jin, Ying
 ``Defining the meaning of tabular mathematical expressions''
@@ -11530,6 +13511,8 @@ Science of Computer Programming V75 No.11 Nov 2010 pp980-1000 Elesevier
 
 \end{chunk}
 
+\index{Parnas, David Lorge}
+\index{Madey, Jan}
 \begin{chunk}{ignore}
 \bibitem[Parnas 95]{PM95} Parnas, David Lorge; Madey, Jan
 ``Functional Documents for Computer Systems''
@@ -11537,6 +13520,7 @@ Science of Computer Programming V25 No.1 Oct 1995 pp41-61 Elesevier
 
 \end{chunk}
 
+\index{Paul, Richard}
 \begin{chunk}{ignore}
 \bibitem[Paul 81]{Paul81} Paul, Richard
 ``Robot Manipulators''
@@ -11544,6 +13528,7 @@ MIT Press 1981
 
 \end{chunk}
 
+\index{Pearcey, T.}
 \begin{chunk}{axiom.bib}
 @book{Pear56,
   author = "Pearcey, T.",
@@ -11554,6 +13539,7 @@ MIT Press 1981
 
 \end{chunk}
 
+\index{Pereyra V.}
 \begin{chunk}{ignore}
 \bibitem[Pereyra 79]{Per79} Pereyra V.
 ``PASVA3: An Adaptive Finite-Difference Fortran Program for First Order 
@@ -11565,6 +13551,7 @@ Springer-Verlag.  (1979)
 
 \end{chunk}
 
+\index{Peters G.}
 \begin{chunk}{ignore}
 \bibitem[Peters 67a]{Pet67a} Peters G.
 ``NPL Algorithms Library''
@@ -11572,6 +13559,7 @@ Document No. F2/03/A. (1967)
 
 \end{chunk}
 
+\index{Peters G.}
 \begin{chunk}{ignore}
 \bibitem[Peters 67b]{Pet67b} Peters G.
 ``NPL Algorithms Library''
@@ -11579,6 +13567,8 @@ Document No.F1/04/A (1967)
 
 \end{chunk}
 
+\index{Peters G.}
+\index{Wilkinson, J. H.}
 \begin{chunk}{ignore}
 \bibitem[Peters 70]{PW70} Peters G.; Wilkinson J H.
 ``The Least-squares Problem and Pseudo-inverses''
@@ -11586,6 +13576,8 @@ Comput. J. 13 309--316. (1970)
 
 \end{chunk}
 
+\index{Peters, G.}
+\index{Wilkinson, J. H.}
 \begin{chunk}{ignore}
 \bibitem[Peters 71]{PW71} Peters G.; Wilkinson J H.
 ``Practical Problems Arising in the Solution of Polynomial Equations''
@@ -11593,6 +13585,7 @@ J. Inst. Maths Applics. 8 16--35. (1971)
 
 \end{chunk}
 
+\index{Pierce, R.S.}
 \begin{chunk}{ignore}
 \bibitem[Pierce 82]{Pie82} R.S. Pierce
 ``Associative Algebras''
@@ -11601,6 +13594,7 @@ Springer-Verlag,  Heidelberg, 1982, ISBN 0-387-90693-2
 
 \end{chunk}
 
+\index{Piessens, R.}
 \begin{chunk}{ignore}
 \bibitem[Piessens 73]{Pie73} Piessens R.
 ``An Algorithm for Automatic Integration''
@@ -11608,13 +13602,18 @@ Angewandte Informatik. 15 399--401. (1973)
 
 \end{chunk}
 
+\index{Piessens, R.}
+\index{Mertens, I.}
+\index{Branders, M.}
 \begin{chunk}{ignore}
-\bibitem[Piessens 74]{PMB74} Piessens R.;; Mertens I.; Branders M.
+\bibitem[Piessens 74]{PMB74} Piessens R.; Mertens I.; Branders M.
 ``Integration of Functions having End-point Singularities''
 Angewandte Informatik. 16 65--68. (1974) 
 
 \end{chunk}
 
+\index{Piessens, R.}
+\index{Branders, M.}
 \begin{chunk}{ignore}
 \bibitem[Piessens 75]{PB75} Piessens R.; Branders M.
 ``Algorithm 002. Computation of Oscillating Integrals''
@@ -11622,6 +13621,9 @@ J. Comput. Appl. Math. 1 153--164. (1975)
 
 \end{chunk}
 
+\index{Piessens, R.}
+\index{Van Roy-Branders, M.}
+\index{Mertens, I.}
 \begin{chunk}{ignore}
 \bibitem[Piessens 76]{PVRBM76} Piessens R.; Van Roy-Branders M.; Mertens I.
 ``The Automatic Evaluation of Cauchy Principal Value Integrals''
@@ -11629,6 +13631,8 @@ Angewandte Informatik. 18 31--35. (1976)
 
 \end{chunk}
 
+\index{Piessens, R.}
+\index{De Doncker-Kapenga, E.}
 \begin{chunk}{ignore}
 \bibitem[Piessens 83]{PDUK83} Piessens R.; De Doncker-Kapenga E.; 
 Uberhuber C.; Kahaner D.
@@ -11637,6 +13641,7 @@ Springer-Verlag.(1983)
 
 \end{chunk}
 
+\index{Polya, G.}
 \begin{chunk}{ignore}
 \bibitem[Polya 37]{Pol37} Polya, G.
 ``Kombinatorische Anzahlbestimmungen fur Gruppen,
@@ -11645,6 +13650,7 @@ Acta Math. 68 (1937) 145-254.
 
 \end{chunk}
 
+\index{Powell, M. J. D.}
 \begin{chunk}{ignore}
 \bibitem[Powell 70]{Pow70} Powell M J D. 
 ``A Hybrid Method for Nonlinear Algebraic Equations''
@@ -11653,6 +13659,7 @@ Numerical Methods for Nonlinear Algebraic Equations.
 
 \end{chunk}
 
+\index{Powell, M. J. D.}
 \begin{chunk}{ignore}
 \bibitem[Powell 74]{Pow74} Powell M J D.
 ``Introduction to Constrained Optimization''
@@ -11661,6 +13668,7 @@ Numerical Methods for Constrained Optimization.
 
 \end{chunk}
 
+\index{Powell, M. J. D.}
 \begin{chunk}{ignore}
 \bibitem[Powell 83]{Pow83} Powell M J D.
 ``Variable Metric Methods in Constrained Optimization''
@@ -11669,6 +13677,7 @@ Mathematical Programming: The State of the Art.
 
 \end{chunk}
 
+\index{Pratt, Vaughan R.}
 \begin{chunk}{axiom.bib}
 @inproceedings{Prat73,
   author = "Pratt, Vaughan R.",
@@ -11685,6 +13694,8 @@ Mathematical Programming: The State of the Art.
 
 \end{chunk}
 
+\index{Press, William H.}
+\index{Teukolsky, Saul A.}
 \begin{chunk}{ignore}
 \bibitem[Press 95]{PTVF95} Press, William H.; Teukolsky, Saul A.; 
 Vetterling, William T.; Flannery, Brian P.
@@ -11693,6 +13704,8 @@ Cambridge University Press (1995) ISBN 0-521-43108-5
 
 \end{chunk}
 
+\index{Pryce, J. D.}
+\index{Hargrave, B. A.}
 \begin{chunk}{ignore}
 \bibitem[Pryce 77]{PH77} Pryce J D.; Hargrave B A.
 ``The Scale Pruefer Method for one-parameter and multi-parameter eigenvalue 
@@ -11701,6 +13714,7 @@ Inst. Math. Appl., Numerical Analysis Newsletter. 1(3)  (1977)
 
 \end{chunk}
 
+\index{Pryce, J. D.}
 \begin{chunk}{ignore}
 \bibitem[Pryce 81]{Pry81} Pryce J D. 
 ``Two codes for Sturm-Liouville problems''
@@ -11708,6 +13722,7 @@ Technical Report CS-81-01. Dept of Computer Science, Bristol University (1981)
 
 \end{chunk}
 
+\index{Pryce, J. D.}
 \begin{chunk}{ignore}
 \bibitem[Pryce 86]{Pry86} Pryce J D.
 ``Error Estimation for Phase-function Shooting Methods for 
@@ -11727,6 +13742,7 @@ J. Num. Anal. 6 103--123. (1986)
 
 \subsection{Q} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Quintana-Orti, Gregorio}
 \begin{chunk}{ignore}
 \bibitem[Quintana-Orti 06]{QG06} Quintana-Orti, Gregorio; 
 van de Geijn, Robert
@@ -11737,6 +13753,7 @@ ACM Transactions on Mathematical Software, 32(2):180-194, June 2006.
 
 \subsection{R} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Rabinowitz, P.}
 \begin{chunk}{ignore}
 \bibitem[Rabinowitz 70]{Rab70} Rabinowitz P.
 ``Numerical Methods for Nonlinear Algebraic Equations''
@@ -11744,6 +13761,7 @@ Gordon and Breach. (1970)
 
 \end{chunk}
 
+\index{Ralston, A.}
 \begin{chunk}{ignore}
 \bibitem[Ralston 65]{Ral65} Ralston A.
 ``A First Course in Numerical Analysis''
@@ -11751,6 +13769,7 @@ McGraw-Hill. 87--90. (1965)
 
 \end{chunk}
 
+\index{Ramakrishnan, Maya}
 \begin{chunk}{ignore}
 \bibitem[Ramakrishnan 03]{Ram03} Ramakrishnan, Maya
 ``A Gentle Introduction to Lyapunov Functions''
@@ -11759,6 +13778,7 @@ ORSUM August 2003
 
 \end{chunk}
 
+\index{Ramsey, Norman}
 \begin{chunk}{ignore}
 \bibitem[Ramsey 03]{Ra03} Ramsey, Norman
 ``Noweb--A Simple, Extensible Tool for Literate Programming''
@@ -11766,6 +13786,7 @@ ORSUM August 2003
 
 \end{chunk}
 
+\index{Redfield, J.H.}
 \begin{chunk}{ignore}
 \bibitem[Redfield 27]{Red27} Redfield, J.H.
 ``The Theory of Group-Reduced Distributions''
@@ -11773,6 +13794,7 @@ American J. Math., 49 (1927) 433-455.
 
 \end{chunk}
 
+\index{Reinsch, C. H.}
 \begin{chunk}{ignore}
 \bibitem[Reinsch 67]{Rei67} Reinsch C H.
 ``Smoothing by Spline Functions''
@@ -11780,6 +13802,7 @@ Num. Math. 10 177--183. (1967)
 
 \end{chunk}
 
+\index{Renka, R. L.}
 \begin{chunk}{ignore}
 \bibitem[Renka 84]{Ren84} Renka R L.
 ``Algorithm 624: Triangulation and Interpolation of Arbitrarily Distributed 
@@ -11788,6 +13811,8 @@ ACM Trans. Math. Softw. 10 440--442. (1984)
 
 \end{chunk}
 
+\index{Renka, R. L.}
+\index{Cline, A. K.}
 \begin{chunk}{ignore}
 \bibitem[Renka 84]{RC84} Renka R L.; Cline A K.
 ``A Triangle-based C Interpolation Method''
@@ -11795,6 +13820,7 @@ Rocky Mountain J. Math. 14 223--237. (1984)
 
 \end{chunk}
 
+\index{Reutenauer, Christophe}
 \begin{chunk}{ignore}
 \bibitem[Reutenauer 93]{Re93} Reutenauer, Christophe
 ``Free Lie Algebras''
@@ -11802,6 +13828,7 @@ Oxford University Press, June 1993 ISBN 0198536798
 
 \end{chunk}
 
+\index{Reznick, Bruce}
 \begin{chunk}{ignore}
 \bibitem[Reznick 93]{Rezn93} Reznick, Bruce
 ``An Inequality for Products of Polynomials''
@@ -11810,6 +13837,8 @@ Proc. AMS Vol 117 No 4 April 1993
 
 \end{chunk}
 
+\index{Rich, Albert D.}
+\index{Jeffrey, David J.}
 \begin{chunk}{ignore}
 \bibitem[Rich xx]{Rixx} Rich, A.D.; Jeffrey, D.J.
 ``Crafting a Repository of Knowledge Based on Transformation''
@@ -11829,6 +13858,7 @@ Proc. AMS Vol 117 No 4 April 1993
 
 \end{chunk}
 
+\index{Rich, Albert D.}
 \begin{chunk}{ignore}
 \bibitem[Rich 10]{Ri10} Rich, Albert D.
 ``Rule-based Mathematics''
@@ -11836,6 +13866,8 @@ Proc. AMS Vol 117 No 4 April 1993
 
 \end{chunk}
 
+\index{Richardson, Dan}
+\index{Fitch, John P.}
 \begin{chunk}{ignore}
 \bibitem[Richardson 94]{RF94} Richardson, Dan; Fitch, John
 ``The identity problem for elementary functions and constants''
@@ -11843,6 +13875,8 @@ ACM Proc. of ISSAC 94 pp285-290 ISBN 0-89791-638-7
 
 \end{chunk}
 
+\index{Richtmyer, R. D.}
+\index{Morton, K. W.}
 \begin{chunk}{ignore}
 \bibitem[Richtmyer 67]{RM67} Richtmyer R D.; Morton K W.
 ``Difference Methods for Initial-value Problems''
@@ -11850,6 +13884,7 @@ Interscience (2nd Edition).  (1967)
 
 \end{chunk}
 
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Rioboo 92]{REF-Rio92} Rioboo, R.
 ``Real algebraic closure of an ordered field, implementation in Axiom''
@@ -11859,6 +13894,7 @@ In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
 
 \end{chunk}
 
+\index{Rioboo, Renaud}
 \begin{chunk}{ignore}
 \bibitem[Rioboo 96]{Rio96} Rioboo, R.
 ``Generic computation of the real closure of an ordered field''
@@ -11867,6 +13903,7 @@ November 1996.
 
 \end{chunk}
 
+\index{Ritt, Joseph Fels}
 \begin{chunk}{ignore}
 \bibitem[Ritt 50]{Ritt50} Ritt, Joseph Fels
 ``Differential Algebra''
@@ -11874,6 +13911,7 @@ AMS Colloquium Publications Volume 33 ISBN 978-0-8218-4638-4
 
 \end{chunk}
 
+\index{Rote, G\"unter}
 \begin{chunk}{ignore}
 \bibitem[Rote 01]{Rote01} Rote, G\"unter
 ``Division-free algorithms for the determinant and the Pfaffian''
@@ -11882,6 +13920,7 @@ in Computational Discrete Mathematics ISBN 3-540-42775-9 pp119-135
 
 \end{chunk}
 
+\index{Rubey, Martin}
 \begin{chunk}{ignore}
 \bibitem[Rubey 07]{Rub07} Rubey, Martin
 ``Formula Guessing with Axiom''
@@ -11889,6 +13928,7 @@ April 2007
 
 \end{chunk}
 
+\index{Rutishauser, H.}
 \begin{chunk}{ignore}
 \bibitem[Rutishauser 69]{Rut69} Rutishauser H.
 ``Computational aspects of F L Bauer's simultaneous iteration method''
@@ -11896,6 +13936,7 @@ Num. Math. 13 4--13.  (1969)
 
 \end{chunk}
 
+\index{Rutishauser, H.}
 \begin{chunk}{ignore}
 \bibitem[Rutishauser 70]{Rut70} Rutishauser H.
 ``Simultaneous iteration method for symmetric matrices''
@@ -11905,6 +13946,7 @@ Num. Math. 16 205--223. (1970)
 
 \subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Schafer, R.D.}
 \begin{chunk}{ignore}
 \bibitem[Schafer 66]{Sch66} Schafer, R.D.
 ``An Introduction to Nonassociative Algebras''
@@ -11912,6 +13954,8 @@ Academic Press, New York, 1966
 
 \end{chunk}
 
+\index{Schoenberg, I. J.}
+\index{Whitney, A.}
 \begin{chunk}{ignore}
 \bibitem[Schoenberg 53]{SW53} Schoenberg I J.; Whitney A.
 ``On Polya Frequency Functions III''
@@ -11919,6 +13963,7 @@ Trans. Amer. Math. Soc. 74  246--259. (1953)
 
 \end{chunk}
 
+\index{Schoenhage, A.}
 \begin{chunk}{ignore}
 \bibitem[Schoenhage 82]{Sch82} Schoenhage, A.
 ``The fundamental theorem of algebra in terms of computational complexity''
@@ -11926,6 +13971,7 @@ preliminary report, Univ. Tuebingen, 1982
 
 \end{chunk}
 
+\index{Schonfelder, J. L.}
 \begin{chunk}{ignore}
 \bibitem[Schonfelder 76]{Sch76} Schonfelder J L.
 ``The Production of Special Function Routines for a Multi-Machine Library''
@@ -11933,6 +13979,7 @@ Software Practice and Experience. 6(1) (1976)
 
 \end{chunk}
 
+\index{von Seggern, David Henry}
 \begin{chunk}{axiom.bib}
 @book{Segg93,
   author = "{von Seggern}, David Henry",
@@ -11944,6 +13991,8 @@ Software Practice and Experience. 6(1) (1976)
 
 \end{chunk}
 
+\index{Seiler, Werner Markus}
+\index{Calmet, J.}
 \begin{chunk}{ignore}
 \bibitem[Seiler 95a]{Sei95a} Seiler, W.M.; Calmet, J.
 ``JET -- An Axiom Environment for Geometric Computations with Differential
@@ -11952,6 +14001,7 @@ Equations''
 
 \end{chunk}
 
+\index{Shepard, D.}
 \begin{chunk}{ignore}
 \bibitem[Shepard 68]{She68} Shepard D.
 ``A Two-dimensional Interpolation Function for Irregularly Spaced Data''
@@ -11960,6 +14010,7 @@ Princeton. 517--523. 1968
 
 \end{chunk}
 
+\index{Shirayanagi, Kiyoshi}
 \begin{chunk}{ignore}
 \bibitem[Shirayanagi 96]{Shir96} Shirayanagi, Kiyoshi
 ``Floating point Gr\"obner bases''
@@ -11982,6 +14033,7 @@ Mathematics and Computers in Simulation 42 pp 509-528 (1996)
 
 \end{chunk}
 
+\index{Sims, Charles}
 \begin{chunk}{ignore}
 \bibitem[Sims 71]{Sims71} Sims, C.
 ``Determining the Conjugacy Classes of a Permutation Group''
@@ -11990,6 +14042,7 @@ American Math. Soc., 1991, pp191-195
 
 \end{chunk}
 
+\index{Singer, Michael F.}
 \begin{chunk}{ignore}
 \bibitem[Singer 89]{Sing89} Singer, M.F.
 ``Formal Solutions of Differential Equations''
@@ -12005,6 +14058,7 @@ J. Symbolic COmputation 10, No.1 59-94 (1990)
 
 \end{chunk}
 
+\index{Sit, William Y.}
 \begin{chunk}{ignore}
 \bibitem[Sit 92]{REF-Sit92} Sit, William
 ``An Algorithm for Parametric Linear Systems''
@@ -12012,6 +14066,7 @@ J. Sym. Comp., April 1992
 
 \end{chunk}
 
+\index{Smith, B. T.}
 \begin{chunk}{ignore}
 \bibitem[Smith 67]{Smi67} Smith B T.
 ``ZERPOL: A Zero Finding Algorithm for Polynomials Using Laguerre's Method''
@@ -12020,6 +14075,7 @@ Canada.  (1967)
 
 \end{chunk}
 
+\index{Smith, G. D.}
 \begin{chunk}{ignore}
 \bibitem[Smith 85]{Smi85} Smith G D.
 ``Numerical Solution of Partial Differential Equations: Finite Difference 
@@ -12028,6 +14084,7 @@ Oxford University Press (3rd Edition). (1985)
 
 \end{chunk}
 
+\index{Sobol, I. M.}
 \begin{chunk}{ignore}
 \bibitem[Sobol 74]{Sob74} Sobol I M.
 ``The Monte Carlo Method''
@@ -12035,6 +14092,7 @@ The University of Chicago Press. 1974
 
 \end{chunk}
 
+\index{Steele, Guy L.}
 \begin{chunk}{ignore}
 \bibitem[Steele 90]{Ste90} Steele, Guy L.
 ``Common Lisp The Language''
@@ -12042,6 +14100,7 @@ Second Edition ISBN 1-55558-041-6 Digital Press (1990)
 
 \end{chunk}
 
+\index{Stichtenoth, H.}
 \begin{chunk}{axiom.bib}
 @misc{Stic93,
   author = "Stichtenoth, H.",
@@ -12052,6 +14111,7 @@ Second Edition ISBN 1-55558-041-6 Digital Press (1990)
 
 \end{chunk}
 
+\index{Stinson, D.R.}
 \begin{chunk}{ignore}
 \bibitem[Stinson 90]{Stin90} Stinson, D.R.
 ``Some observations on parallel Algorithms for fast exponentiation 
@@ -12068,6 +14128,8 @@ Siam J. Comp., Vol.19, No.4, pp.711-717, August 1990
 
 \end{chunk}
 
+\index{Stroud, A. H.}
+\index{Secrest, D.}
 \begin{chunk}{ignore}
 \bibitem[Stroud 66]{SS66} Stroud A H.; Secrest D.
 ``Gaussian Quadrature Formulas''
@@ -12075,6 +14137,7 @@ Prentice-Hall. (1966)
 
 \end{chunk}
 
+\index{Stroud, A. H.}
 \begin{chunk}{ignore}
 \bibitem[Stroud 71]{Str71} Stroud A H.
 ``Approximate Calculation of Multiple Integrals''
@@ -12082,6 +14145,8 @@ Prentice-Hall 1971
 
 \end{chunk}
 
+\index{Swarztrauber, P. N.}
+\index{Sweet, R. A.}
 \begin{chunk}{ignore}
 \bibitem[Swarztrauber 79]{SS79} Swarztrauber P N.; Sweet R A.
 ``Efficient Fortran Subprograms for the Solution of Separable Elliptic Partial
@@ -12090,6 +14155,7 @@ ACM Trans. Math. Softw. 5 352--364. (1979)
 
 \end{chunk}
 
+\index{Swarztrauber, P. N.}
 \begin{chunk}{ignore}
 \bibitem[Swarztrauber 84]{SS84} Swarztrauber P N.
 ``Fast Poisson Solvers''
@@ -12100,6 +14166,7 @@ Mathematical Association of America. (1984)
 
 \subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Tait, P.G.}
 \begin{chunk}{axiom.bib}
 @book{Tait1890,
   author = "Tait, P.G.",
@@ -12111,6 +14178,7 @@ Mathematical Association of America. (1984)
 
 \end{chunk}
 
+\index{Taivalsaari, Antero}
 \begin{chunk}{ignore}
 \bibitem[Taivalsaari 96]{Tai96} Taivalsaari, Antero
 ``On the Notion of Inheritance''
@@ -12118,6 +14186,7 @@ ACM Computing Surveys, Vol 28 No 3 Sept 1996 pp438-479
 
 \end{chunk}
 
+\index{Temme, N. M.}
 \begin{chunk}{ignore}
 \bibitem[Temme 87]{Tem87} Temme N M.
 ``On the Computation of the Incomplete Gamma Functions for Large Values of 
@@ -12127,6 +14196,7 @@ Oxford University Press. (1987)
 
 \end{chunk}
 
+\index{Temperton, C.}
 \begin{chunk}{ignore}
 \bibitem[Temperton 83a]{Tem83a} Temperton C.
 ``Self-sorting Mixed-radix Fast Fourier Transforms''
@@ -12134,6 +14204,7 @@ J. Comput. Phys. 52 1--23. (1983)
 
 \end{chunk}
 
+\index{Temperton, C.}
 \begin{chunk}{ignore}
 \bibitem[Temperton 83b]{Tem83b} Temperton C.
 ``Fast Mixed-Radix Real Fourier Transforms''
@@ -12141,6 +14212,7 @@ J. Comput. Phys. 52 340--350. (1983)
 
 \end{chunk}
 
+\index{Thurston, William P.}
 \begin{chunk}{axiom.bib}
 @article{Thur94,
   author = "Thurston, William P.",
@@ -12168,6 +14240,8 @@ Chapter 8. NPL Notes on Applied Science (2nd Edition). 16 HMSO. 1961
 
 \subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Van Dooren, P.}
+\index{De Ridder, L.}
 \begin{chunk}{ignore}
 \bibitem[Van Dooren 76]{vDDR76} Van Dooren P.;  De Ridder L.
 ``An Adaptive Algorithm for Numerical Integration over an N-dimensional 
@@ -12176,6 +14250,7 @@ J. Comput. Appl. Math. 2 207--217. (1976)
 
 \end{chunk}
 
+\index{van Hoeij, Mark}
 \begin{chunk}{ignore}
 \bibitem[van Hoeij 94]{REF-vH94} van Hoeij, M.
 ``An algorithm for computing an integral
@@ -12185,6 +14260,7 @@ basis in an algebraic function field''
 
 \end{chunk}
 
+\index{Van Loan, C.}
 \begin{chunk}{ignore}
 \bibitem[Van Loan 92]{Van92} Van Loan, C.
 ``Computational Frameworks for the Fast Fourier Transform''
@@ -12194,6 +14270,8 @@ SIAM Philadelphia. (1992)
 
 \subsection{W} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Wait, R.}
+\index{Mitchell, A. R.}
 \begin{chunk}{ignore}
 \bibitem[Wait 85]{WM85} Wait R.; Mitchell A R.
 ``Finite Element Analysis and Application''
@@ -12201,6 +14279,7 @@ Wiley. (1985)
 
 \end{chunk}
 
+\index{Wang, Dongming}
 \begin{chunk}{ignore}
 \bibitem[Wang 92]{Wang92} Wang, D.M.
 ``An implementation of the characteristic set method in Maple''
@@ -12208,6 +14287,7 @@ Proc. DISCO'92 Bath, England
 
 \end{chunk}
 
+\index{Ward, R. C.}
 \begin{chunk}{ignore}
 \bibitem[Ward 75]{War75} Ward, R C.
 ``The Combination Shift QZ Algorithm''
@@ -12215,6 +14295,7 @@ SIAM J. Numer. Anal. 12 835--853. 1975
 
 \end{chunk}
 
+\index{Watt, Stephen M.}
 \begin{chunk}{axiom.bib}
 @misc{Watt03,
   author = "Watt, Stephen",
@@ -12225,6 +14306,7 @@ SIAM J. Numer. Anal. 12 835--853. 1975
 
 \end{chunk}
 
+\index{Weil, Andr\'{e}}
 \begin{chunk}{axiom.bib}
 @misc{Weil71,
   author = "Weil, Andr\'{e}",
@@ -12234,6 +14316,7 @@ SIAM J. Numer. Anal. 12 835--853. 1975
 
 \end{chunk}
 
+\index{Weisstein, Eric W.}
 \begin{chunk}{ignore}
 \bibitem[Weisstein]{Wein} Weisstein, Eric W.
 ``Hypergeometric Function''
@@ -12242,6 +14325,7 @@ MathWorld - A Wolfram Web Resource
 
 \end{chunk}
 
+\index{Weitz, E.}
 \begin{chunk}{axiom.bib}
 @misc{Weit03,
   author = "Weitz, E.",
@@ -12252,6 +14336,7 @@ MathWorld - A Wolfram Web Resource
 
 \end{chunk}
 
+\index{Weitz, E.}
 \begin{chunk}{axiom.bib}
 @misc{Weit06,
   author = "Weitz, E.",
@@ -12262,6 +14347,7 @@ MathWorld - A Wolfram Web Resource
 
 \end{chunk}
 
+\index{Wesseling, P.}
 \begin{chunk}{ignore}
 \bibitem[Wesseling 82a]{Wes82a} Wesseling, P.
 ``MGD1 - A Robust and Efficient Multigrid Method''
@@ -12270,6 +14356,7 @@ Springer-Verlag. 614--630. (1982)
 
 \end{chunk}
 
+\index{Wesseling, P.}
 \begin{chunk}{ignore}
 \bibitem[Wesseling 82b]{Wes82b} Wesseling, P.
 ``Theoretical Aspects of a Multigrid Method''
@@ -12277,6 +14364,9 @@ SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
 
 \end{chunk}
 
+\index{Wicks, Mark}
+\index{Carlisle, David}
+\index{Rahtz, Sebastian}
 \begin{chunk}{ignore}
 \bibitem[Wicks 89]{Wic89} Wicks, Mark; Carlisle, David, Rahtz, Sebastian
 ``dvipdfm.def''
@@ -12309,6 +14399,7 @@ SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
 
 \end{chunk}
 
+\index{Williamson, S.G.}
 \begin{chunk}{ignore}
 \bibitem[Williamson 85]{Wil85} Williamson, S.G.
 ``Combinatorics for Computer Science''
@@ -12316,6 +14407,8 @@ Computer Science Press, 1985.
 
 \end{chunk}
 
+\index{Wilkinson, J. H.}
+\index{Reinsch, C.}
 \begin{chunk}{ignore}
 \bibitem[Wilkinson 71]{WR71} Wilkinson J H.; Reinsch C.
 ``Handbook for Automatic Computation II, Linear Algebra''
@@ -12323,6 +14416,7 @@ Springer-Verlag. 1971
 
 \end{chunk}
 
+\index{Wilkinson, J. H.}
 \begin{chunk}{ignore}
 \bibitem[Wilkinson 63]{Wil63} Wilkinson J H.
 ``Rounding Errors in Algebraic Processes''
@@ -12330,6 +14424,7 @@ Springer-Verlag. 1971
 
 \end{chunk}
 
+\index{Wilkinson, J. H.}
 \begin{chunk}{ignore}
 \bibitem[Wilkinson 65]{Wil65} Wilkinson J H.
 ``The Algebraic Eigenvalue Problem''
@@ -12337,6 +14432,7 @@ Springer-Verlag. 1971
 
 \end{chunk}
 
+\index{Wilkinson, J. H.}
 \begin{chunk}{ignore}
 \bibitem[Wilkinson 78]{Wil78} Wilkinson J H.
 ``Singular Value Decomposition -- Basic Aspects''
@@ -12345,6 +14441,7 @@ Numerical Software -- Needs and Availability.
 
 \end{chunk}
 
+\index{Wilkinson, J. H.}
 \begin{chunk}{ignore}
 \bibitem[Wilkinson 79]{Wil79} Wilkinson J H.
 ``Kronecker's Canonical Form and the QZ Algorithm''
@@ -12352,6 +14449,7 @@ Linear Algebra and Appl. 28 285--303. 1979
 
 \end{chunk}
 
+\index{Wisbauer, R.}
 \begin{chunk}{ignore}
 \bibitem[Wisbauer 91]{Wis91} Wisbauer, R.
 ``Bimodule Structure of Algebra''
@@ -12359,6 +14457,7 @@ Lecture Notes Univ. Duesseldorf 1991
 
 \end{chunk}
 
+\index{Woerz-Busekros, A.}
 \begin{chunk}{ignore}
 \bibitem[Woerz-Busekros 80]{Woe80} Woerz-Busekros, A.
 ``Algebra in Genetics''
@@ -12366,6 +14465,7 @@ Lectures Notes in Biomathematics 36, Springer-Verlag,  Heidelberg, 1980
 
 \end{chunk}
 
+\index{Wolberg, J. R.}
 \begin{chunk}{ignore}
 \bibitem[Wolberg 67]{Wol67} Wolberg J R.
 ``Prediction Analysis''
@@ -12379,6 +14479,7 @@ Van Nostrand. (1967)
 
 \end{chunk}
 
+\index{Wu, W.T.}
 \begin{chunk}{ignore}
 \bibitem[Wu 87]{WU87} Wu, W.T.
 ``A Zero Structure Theorem for polynomial equations solving''
@@ -12386,6 +14487,7 @@ MM Research Preprints, 1987
 
 \end{chunk}
 
+\index{Wynn, P.}
 \begin{chunk}{ignore}
 \bibitem[Wynn 56]{Wynn56} Wynn P.
 ``On a Device for Computing the $e_m(S_n )$ Transformation''
@@ -12397,6 +14499,7 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 
 \subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\index{Zakrajsek, Helena}
 \begin{chunk}{ignore}
 \bibitem[Zakrajsek 02]{Zak02} Zakrajsek, Helena
 ``Applications of Hermite transform in computer algebra''
@@ -12415,6 +14518,8 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 
 \end{chunk}
 
+\index{Zdancewic, Steve}
+\index{Martin, Milo M.K.}
 \begin{chunk}{axiom.bib}
 @misc{Zdan14,
   author = "Zdancewic, Steve and Martin, Milo M.K.",
@@ -12424,6 +14529,7 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 
 \end{chunk}
 
+\index{Zhi, Lihong}
 \begin{chunk}{ignore}
 \bibitem[Zhi 97]{Zhi97} Zhi, Lihong
 ``Optimal Algorithm for Algebraic Factoring''
diff --git a/changelog b/changelog
index 0dac261..b824e95 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140923 tpd src/axiom-website/patches.html 20140923.01.tpd.patch
+20140923 tpd books/bookvolbib add authors to index
 20140920 tpd src/axiom-website/patches.html 20140920.02.tpd.patch
 20140920 tpd books/bookvolbib add abstracts, rearrange, add new sections
 20140920 tpd src/axiom-website/patches.html 20140920.01.tpd.patch
diff --git a/patch b/patch
index 73fef81..7bb53e1 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/bookvolbib add abstracts, rearrange, add new sections
+books/bookvolbib add authors to index
 
-Expand and cleanup bibliography
+Add authors to the index
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6c4d579..08b5e23 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4650,6 +4650,8 @@ books/axiom.bst use axiom specific bib style<br/>
 books/bookvolbib add abstracts, rearrange, add new entries<br/>
 <a href="patches/20140920.02.tpd.patch">20140920.02.tpd.patch</a>
 books/bookvolbib add abstracts, rearrange, add new sections<br/>
+<a href="patches/20140923.01.tpd.patch">20140923.01.tpd.patch</a>
+books/bookvolbib add authors to index<br/>
  </body>
 </html>
 
